!******************************************************************************!
!                                                                              !
!    fill_couplings1.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings1.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-29 12:10             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl1()
      coupl(nGC_5141) = -sqrt(2d0)/2d0
      coupl(nGC_5134) = -sqrt(2d0)/2d0
      coupl(nGC_5137) = -sqrt(2d0)*cima/2d0
      coupl(nGC_5158) = sqrt(2d0)/2d0
      coupl(nGC_5440) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw**2d0)
      coupl(nGC_5443) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_5442) = cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_5445) = -cima*ee*sw/cw**2d0
      coupl(nGC_5446) = cima*ee/cw
      coupl(nGC_5439) = -cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw**2d0*sw)
      coupl(nGC_5395) = -sqrt(2d0)*cima*ee*kZR*(CZuR1x3 + CZuR3x1)/(2d0*cw**2d0&
                        *sw)
      coupl(nGC_5218) = ee**2d0/(2d0*cw**2d0)
      coupl(nGC_5297) = -sqrt(2d0)*CWlR2x3*cima*ee*kWR/(2d0*sw**2d0)
      coupl(nGC_5424) = -sqrt(2d0)*cima*ee*sb/(2d0*sw**2d0)
      coupl(nGC_5148) = -sqrt(2d0)*cima/2d0
      coupl(nGC_5066) = cima*ee/sw
      coupl(nGC_83) = sqrt(2d0)*CWqR3x1*cima*ee*kWR/(2d0*sw)
      coupl(nGC_5312) = -sqrt(2d0)*CZdR1x1*cima*ee*kZR/(cw*sw**2d0)
      coupl(nGC_5295) = -sqrt(2d0)*CWlL2x3*cima*ee*kWL/(2d0*sw**2d0)
      coupl(nGC_5347) = -sqrt(2d0)*CZlR1x1*cima*ee*kZR/(cw**2d0*sw)
      coupl(nGC_5344) = -sqrt(2d0)*CZdR3x3*cima*ee*kZR/(cw**2d0*sw)
      coupl(nGC_5345) = -sqrt(2d0)*CZdR3x3*cima*ee*kZR/(cw*sw**2d0)
      coupl(nGC_5229) = cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0&
                        )/(cw**3d0*sw**2d0)
      coupl(nGC_5341) = -sqrt(2d0)*CZdL3x3*cima*ee*kZL/(cw**2d0*sw)
      coupl(nGC_5224) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(&
                        cw**2d0*sw**3d0)
      coupl(nGC_5227) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(&
                        cw**2d0*sw**3d0)
      coupl(nGC_5226) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/( &
                        cw**3d0*sw**2d0)
      coupl(nGC_5221) = -2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_5220) = 2d0*cima*ee**2d0/sw
      coupl(nGC_5223) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/( &
                        cw**3d0*sw**2d0)
      coupl(nGC_MZ_GF) = cMZ
      coupl(nGC_98) = sqrt(2d0)*CZlR1x1*cima*ee*kZR/(cw*sw)
      coupl(nGC_5253) = -sqrt(2d0)*CWqR2x1*cima*ee*kWR/(2d0*sw**2d0)
      coupl(nGC_102) = sqrt(2d0)*CZuR2x2*cima*ee*kZR/(cw*sw)
      coupl(nGC_97) = sqrt(2d0)*CZdR3x3*cima*ee*kZR/(cw*sw)
      coupl(nGC_28) = sqrt(2d0)*CZdR2x3*cima*ee*kZR/(2d0*cw*sw) + sqrt(2d0)*   &
                      CZdR3x2*cima*ee*kZR/(2d0*cw*sw)
      coupl(nGC_29) = sqrt(2d0)*CZlR1x2*cima*ee*kZR/(2d0*cw*sw) + sqrt(2d0)*   &
                      CZlR2x1*cima*ee*kZR/(2d0*cw*sw)
      coupl(nGC_22) = sqrt(2d0)*CZlL2x3*cima*ee*kZL/(2d0*cw*sw) + sqrt(2d0)*   &
                      CZlL3x2*cima*ee*kZL/(2d0*cw*sw)
      coupl(nGC_23) = sqrt(2d0)*CZuL1x2*cima*ee*kZL/(2d0*cw*sw) + sqrt(2d0)*   &
                      CZuL2x1*cima*ee*kZL/(2d0*cw*sw)
      coupl(nGC_20) = sqrt(2d0)*CZlL1x2*cima*ee*kZL/(2d0*cw*sw) + sqrt(2d0)*   &
                      CZlL2x1*cima*ee*kZL/(2d0*cw*sw)
      coupl(nGC_21) = sqrt(2d0)*CZlL1x3*cima*ee*kZL/(2d0*cw*sw) + sqrt(2d0)*   &
                      CZlL3x1*cima*ee*kZL/(2d0*cw*sw)
      coupl(nGC_26) = sqrt(2d0)*CZdR1x2*cima*ee*kZR/(2d0*cw*sw) + sqrt(2d0)*   &
                      CZdR2x1*cima*ee*kZR/(2d0*cw*sw)
      coupl(nGC_27) = sqrt(2d0)*CZdR1x3*cima*ee*kZR/(2d0*cw*sw) + sqrt(2d0)*   &
                      CZdR3x1*cima*ee*kZR/(2d0*cw*sw)
      coupl(nGC_24) = sqrt(2d0)*CZuL1x3*cima*ee*kZL/(2d0*cw*sw) + sqrt(2d0)*   &
                      CZuL3x1*cima*ee*kZL/(2d0*cw*sw)
      coupl(nGC_25) = sqrt(2d0)*CZuL2x3*cima*ee*kZL/(2d0*cw*sw) + sqrt(2d0)*   &
                      CZuL3x2*cima*ee*kZL/(2d0*cw*sw)
      coupl(nGC_152) = sqrt(2d0)*cima*sb*ys/2d0
      coupl(nGC_150) = -sqrt(2d0)*cb*cima*ys/2d0
      coupl(nGC_157) = -cima*ytau
      coupl(nGC_156) = sqrt(2d0)*yt/2d0
      coupl(nGC_154) = cima*yt
      coupl(nGC_159) = -sqrt(2d0)*cima*ytau/2d0
      coupl(nGC_158) = -sqrt(2d0)*ytau/2d0
      coupl(nGC_5239) = -sqrt(2d0)*CWqR1x1*cima*ee*kWR/(2d0*sw**2d0)
      coupl(nGC_91) = sqrt(2d0)*CZlL3x3*cima*ee*kZL/(cw*sw)
      coupl(nGC_5336) = -sqrt(2d0)*cima*ee*kZR*(CZdR2x3 + CZdR3x2)/(2d0*cw*sw**&
                        2d0)
      coupl(nGC_104) = -cMW*ee/(2d0*sw)
      coupl(nGC_82) = sqrt(2d0)*CWqR2x3*cima*ee*kWR/(2d0*sw)
      coupl(nGC_5190) = ee**2d0/(2d0*sw**2d0)
      coupl(nGC_5263) = -sqrt(2d0)*CWqR3x1*cima*ee*kWR/(2d0*sw**2d0)
      coupl(nGC_5233) = -4d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_118) = -cima*cw*ee**2d0/sw + cima*ee**2d0*sw/cw
      coupl(nGC_148) = -cima*ys
      coupl(nGC_MWp) = cMWp**2d0*cima
      coupl(nGC_5230) = -cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**  &
                        2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_5196) = -cima*ee**2d0*vev/sw**3d0
      coupl(nGC_5405) = -sqrt(2d0)*CZuL2x2*cima*ee*kZL/(cw*sw**2d0)
      coupl(nGC_5404) = -sqrt(2d0)*CZuL2x2*cima*ee*kZL/(cw**2d0*sw)
      coupl(nGC_5407) = -sqrt(2d0)*cima*ee*kZL*(CZuL2x3 + CZuL3x2)/(2d0*cw**2d0&
                        *sw)
      coupl(nGC_5231) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw**&
                        2d0)
      coupl(nGC_5401) = -sqrt(2d0)*CZuR2x2*cima*ee*kZR/(cw**2d0*sw)
      coupl(nGC_5408) = -sqrt(2d0)*cima*ee*kZL*(CZuL2x3 + CZuL3x2)/(2d0*cw*sw**&
                        2d0)
      coupl(nGC_126) = cima*ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_127) = -cima*ee**2d0*vev/(2d0*sw)
      coupl(nGC_125) = -3d0*cima*lam*vev/2d0
      coupl(nGC_122) = cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0 + cima&
                       *ee**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_123) = -cima*ee**2d0*vev/(2d0*cw)
      coupl(nGC_120) = -cMZ*cima*cw*ee/(2d0*sw) - cMZ*cima*ee*sw/(2d0*cw)
      coupl(nGC_128) = cima*cw**2d0*ee**2d0*vev/(2d0*sw**2d0) + cima*ee**2d0*  &
                       vev + cima*ee**2d0*sw**2d0*vev/(2d0*cw**2d0)
      coupl(nGC_129) = -cima*yb
      coupl(nGC_5281) = -sqrt(2d0)*CWlR1x2*cima*ee*kWR/(2d0*sw**2d0)
      coupl(nGC_100) = sqrt(2d0)*CZlR3x3*cima*ee*kZR/(cw*sw)
      coupl(nGC_5044) = -3d0*cima/2d0
      coupl(nGC_5046) = -cima/2d0
      coupl(nGC_MMW_GF) = -cMW*cima
      coupl(nGC_5049) = -cima*vev/2d0
      coupl(nGC_5167) = sqrt(2d0)/2d0
      coupl(nGC_5164) = -cima*sb
      coupl(nGC_5161) = -sqrt(2d0)*cima/2d0
      coupl(nGC_5261) = -sqrt(2d0)*CWqL2x3*cima*ee*kWL/(2d0*sw**2d0)
      coupl(nGC_108) = -sqrt(2d0)*cima*ee*sb/(2d0*sw)
      coupl(nGC_141) = sqrt(2d0)*sb*ydo/2d0
      coupl(nGC_5170) = -sqrt(2d0)*cima/2d0
      coupl(nGC_5309) = -sqrt(2d0)*CWlR3x3*cima*ee*kWR/(2d0*sw**2d0)
      coupl(nGC_5303) = -sqrt(2d0)*CWlL3x2*cima*ee*kWL/(2d0*sw**2d0)
      coupl(nGC_5301) = -sqrt(2d0)*CWlL3x1*cima*ee*kWL/(2d0*sw**2d0)
      coupl(nGC_5307) = -sqrt(2d0)*CWlL3x3*cima*ee*kWL/(2d0*sw**2d0)
      coupl(nGC_109) = sqrt(2d0)*cima*ee*sb/(2d0*sw)
      coupl(nGC_87) = sqrt(2d0)*CZdL2x2*cima*ee*kZL/(cw*sw)
      coupl(nGC_5305) = -sqrt(2d0)*CWlR3x2*cima*ee*kWR/(2d0*sw**2d0)
      coupl(nGC_5277) = -sqrt(2d0)*CWlL1x1*cima*ee*kWL/(2d0*sw**2d0)
      coupl(nGC_5275) = -sqrt(2d0)*CWlR1x1*cima*ee*kWR/(2d0*sw**2d0)
      coupl(nGC_5273) = -sqrt(2d0)*CWqR3x3*cima*ee*kWR/(2d0*sw**2d0)
      coupl(nGC_5271) = -sqrt(2d0)*CWqL3x3*cima*ee*kWL/(2d0*sw**2d0)
      coupl(nGC_5279) = -sqrt(2d0)*CWlL1x2*cima*ee*kWL/(2d0*sw**2d0)
      coupl(nGC_3) = -cima*ee
      coupl(nGC_2) = -2d0*cima*ee/3d0
      coupl(nGC_1) = cima*ee/3d0
      coupl(nGC_5389) = -sqrt(2d0)*cima*ee*kZL*(CZuL1x2 + CZuL2x1)/(2d0*cw**2d0&
                        *sw)
      coupl(nGC_7) = -ee**2d0/(2d0*cw)
      coupl(nGC_6) = 2d0*cima*ee**2d0
      coupl(nGC_5) = cima*ee**2d0
      coupl(nGC_4) = cima*ee
      coupl(nGC_5377) = -sqrt(2d0)*CZlL3x3*cima*ee*kZL/(cw**2d0*sw)
      coupl(nGC_9) = ee**2d0/(2d0*cw)
      coupl(nGC_8) = -cima*ee**2d0/(2d0*cw)
      coupl(nGC_5372) = -sqrt(2d0)*cima*ee*kZL*(CZlL2x3 + CZlL3x2)/(2d0*cw*sw**&
                        2d0)
      coupl(nGC_5371) = -sqrt(2d0)*cima*ee*kZL*(CZlL2x3 + CZlL3x2)/(2d0*cw**2d0&
                        *sw)
      coupl(nGC_53) = sqrt(2d0)*CWlL2x1*cima*ee*kWL/(2d0*sw)
      coupl(nGC_52) = sqrt(2d0)*CWlL1x3*cima*ee*kWL/(2d0*sw)
      coupl(nGC_51) = sqrt(2d0)*CWlL1x2*cima*ee*kWL/(2d0*sw)
      coupl(nGC_50) = sqrt(2d0)*CWlL1x1*cima*ee*kWL/(2d0*sw)
      coupl(nGC_57) = sqrt(2d0)*CWlL3x2*cima*ee*kWL/(2d0*sw)
      coupl(nGC_56) = sqrt(2d0)*CWlL3x1*cima*ee*kWL/(2d0*sw)
      coupl(nGC_55) = sqrt(2d0)*CWlL2x3*cima*ee*kWL/(2d0*sw)
      coupl(nGC_54) = sqrt(2d0)*CWlL2x2*cima*ee*kWL/(2d0*sw)
      coupl(nGC_59) = sqrt(2d0)*CWqL1x1*cima*ee*kWL/(2d0*sw)
      coupl(nGC_58) = sqrt(2d0)*CWlL3x3*cima*ee*kWL/(2d0*sw)
      coupl(nGC_12) = cima*gs**2d0
      coupl(nGC_MC) = -cMC*cima
      coupl(nGC_5289) = -sqrt(2d0)*CWlL2x1*cima*ee*kWL/(2d0*sw**2d0)
      coupl(nGC_162) = cb*cima*yup
      coupl(nGC_163) = cima*sb*yup
      coupl(nGC_160) = -sqrt(2d0)*cima*yup/2d0
      coupl(nGC_161) = sqrt(2d0)*yup/2d0
      coupl(nGC_5287) = -sqrt(2d0)*CWlR2x1*cima*ee*kWR/(2d0*sw**2d0)
      coupl(nGC_687) = -coupl(nGC_156)
      coupl(nGC_106) = cMW*ee/(2d0*sw)
      coupl(nGC_MZp) = cMZp**2d0*cima
      coupl(nGC_107) = cMZ*cima*ee/(2d0*sw)
      coupl(nGC_5088) = 2d0*cima*gs**2d0
      coupl(nGC_5121) = sqrt(2d0)*sb/2d0
      coupl(nGC_5127) = -sqrt(2d0)*cb*cima/2d0
      coupl(nGC_5124) = -sqrt(2d0)*cb/2d0
      coupl(nGC_5080) = -cMZ*cima*ee/(2d0*sw**2d0)
      coupl(nGC_5083) = -cima*ee*(cw**2d0 + sw**2d0)/(4d0*cMZ*cw*sw)
      coupl(nGC_5082) = -cMZ*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_5084) = cMZ*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_5086) = -gs
      coupl(nGC_MZ) = cMZ**2d0*cima
      coupl(nGC_65) = sqrt(2d0)*CWqL3x1*cima*ee*kWL/(2d0*sw)
      coupl(nGC_5155) = cima*sb
      coupl(nGC_5153) = -sqrt(2d0)*cima/2d0
      coupl(nGC_5079) = cima*ee/(4d0*cMZ*sw)
      coupl(nGC_5173) = sqrt(2d0)/2d0
      coupl(nGC_5333) = -sqrt(2d0)*CZdR2x2*cima*ee*kZR/(cw*sw**2d0)
      coupl(nGC_5332) = -sqrt(2d0)*CZdR2x2*cima*ee*kZR/(cw**2d0*sw)
      coupl(nGC_5330) = -sqrt(2d0)*CZdL2x2*cima*ee*kZL/(cw*sw**2d0)
      coupl(nGC_5335) = -sqrt(2d0)*cima*ee*kZR*(CZdR2x3 + CZdR3x2)/(2d0*cw**2d0&
                        *sw)
      coupl(nGC_5339) = -sqrt(2d0)*cima*ee*kZL*(CZdL2x3 + CZdL3x2)/(2d0*cw*sw**&
                        2d0)
      coupl(nGC_5338) = -sqrt(2d0)*cima*ee*kZL*(CZdL2x3 + CZdL3x2)/(2d0*cw**2d0&
                        *sw)
      coupl(nGC_5236) = 2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_5237) = -2d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_5234) = 4d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_5293) = -sqrt(2d0)*CWlL2x2*cima*ee*kWL/(2d0*sw**2d0)
      coupl(nGC_5071) = cMW*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
      coupl(nGC_5245) = -sqrt(2d0)*CWqR1x2*cima*ee*kWR/(2d0*sw**2d0)
      coupl(nGC_17) = sqrt(2d0)*CZdL1x2*cima*ee*kZL/(2d0*cw*sw) + sqrt(2d0)*   &
                      CZdL2x1*cima*ee*kZL/(2d0*cw*sw)
      coupl(nGC_16) = cMW*cima*ee
      coupl(nGC_15) = -3d0*cima*lam/2d0
      coupl(nGC_14) = -cima*lam
      coupl(nGC_13) = -cima*lam/2d0
      coupl(nGC_11) = cima*gs
      coupl(nGC_10) = -gs
      coupl(nGC_5243) = -sqrt(2d0)*CWqL1x2*cima*ee*kWL/(2d0*sw**2d0)
      coupl(nGC_19) = sqrt(2d0)*CZdL2x3*cima*ee*kZL/(2d0*cw*sw) + sqrt(2d0)*   &
                      CZdL3x2*cima*ee*kZL/(2d0*cw*sw)
      coupl(nGC_18) = sqrt(2d0)*CZdL1x3*cima*ee*kZL/(2d0*cw*sw) + sqrt(2d0)*   &
                      CZdL3x1*cima*ee*kZL/(2d0*cw*sw)
      coupl(nGC_103) = sqrt(2d0)*CZuR3x3*cima*ee*kZR/(cw*sw)
      coupl(nGC_5249) = -sqrt(2d0)*CWqR1x3*cima*ee*kWR/(2d0*sw**2d0)
      coupl(nGC_5247) = -sqrt(2d0)*CWqL1x3*cima*ee*kWL/(2d0*sw**2d0)
      coupl(nGC_5241) = -sqrt(2d0)*CWqL1x1*cima*ee*kWL/(2d0*sw**2d0)
      coupl(nGC_94) = sqrt(2d0)*CZuL3x3*cima*ee*kZL/(cw*sw)
      coupl(nGC_5098) = -sqrt(2d0)*cb*cima/2d0
      coupl(nGC_385) = -coupl(nGC_3)
      coupl(nGC_5413) = -sqrt(2d0)*CZuL3x3*cima*ee*kZL/(cw**2d0*sw)
      coupl(nGC_5410) = -sqrt(2d0)*cima*ee*kZR*(CZuR2x3 + CZuR3x2)/(2d0*cw**2d0&
                        *sw)
      coupl(nGC_5411) = -sqrt(2d0)*cima*ee*kZR*(CZuR2x3 + CZuR3x2)/(2d0*cw*sw**&
                        2d0)
      coupl(nGC_5416) = -sqrt(2d0)*CZuR3x3*cima*ee*kZR/(cw**2d0*sw)
      coupl(nGC_5414) = -sqrt(2d0)*CZuL3x3*cima*ee*kZL/(cw*sw**2d0)
      coupl(nGC_5378) = -sqrt(2d0)*CZlL3x3*cima*ee*kZL/(cw*sw**2d0)
      coupl(nGC_135) = -cima*sb*yc
      coupl(nGC_134) = cb*cima*yc
      coupl(nGC_133) = sqrt(2d0)*yc/2d0
      coupl(nGC_132) = -sqrt(2d0)*cima*yc/2d0
      coupl(nGC_5342) = -sqrt(2d0)*CZdL3x3*cima*ee*kZL/(cw*sw**2d0)
      coupl(nGC_5375) = -sqrt(2d0)*cima*ee*kZR*(CZlR2x3 + CZlR3x2)/(2d0*cw*sw**&
                        2d0)
      coupl(nGC_84) = sqrt(2d0)*CWqR3x2*cima*ee*kWR/(2d0*sw)
      coupl(nGC_5374) = -sqrt(2d0)*cima*ee*kZR*(CZlR2x3 + CZlR3x2)/(2d0*cw**2d0&
                        *sw)
      coupl(nGC_5259) = -sqrt(2d0)*CWqR2x3*cima*ee*kWR/(2d0*sw**2d0)
      coupl(nGC_5052) = -3d0*cima*vev/2d0
      coupl(nGC_5053) = -3d0*cima*lam/2d0
      coupl(nGC_5050) = -cima*lam/2d0
      coupl(nGC_5058) = cima*ee/(2d0*cMW)
      coupl(nGC_5118) = sqrt(2d0)*sb/2d0
      coupl(nGC_5110) = sqrt(2d0)*cima*sb/2d0
      coupl(nGC_5115) = cb*cima
      coupl(nGC_5348) = -sqrt(2d0)*CZlR1x1*cima*ee*kZR/(cw*sw**2d0)
      coupl(nGC_117) = cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
      coupl(nGC_5269) = -sqrt(2d0)*CWqL3x2*cima*ee*kWL/(2d0*sw**2d0)
      coupl(nGC_116) = -cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
      coupl(nGC_5434) = -2d0*cima*ee/(3d0*cw)
      coupl(nGC_5255) = -sqrt(2d0)*CWqR2x2*cima*ee*kWR/(2d0*sw**2d0)
      coupl(nGC_5390) = -sqrt(2d0)*cima*ee*kZL*(CZuL1x2 + CZuL2x1)/(2d0*cw*sw**&
                        2d0)
      coupl(nGC_5203) = cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw*sw**2d0)
      coupl(nGC_5202) = -cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw**2d0*sw)
      coupl(nGC_5200) = 2d0*cima*ee**2d0/sw**3d0
      coupl(nGC_5206) = ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_5205) = -ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_5209) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
      coupl(nGC_5208) = -cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
      coupl(nGC_525) = -coupl(nGC_4)
      coupl(nGC_5369) = -sqrt(2d0)*CZlR2x2*cima*ee*kZR/(cw*sw**2d0)
      coupl(nGC_5365) = -sqrt(2d0)*CZlL2x2*cima*ee*kZL/(cw**2d0*sw)
      coupl(nGC_5366) = -sqrt(2d0)*CZlL2x2*cima*ee*kZL/(cw*sw**2d0)
      coupl(nGC_5360) = -sqrt(2d0)*cima*ee*kZR*(CZlR1x3 + CZlR3x1)/(2d0*cw*sw**&
                        2d0)
      coupl(nGC_5362) = -sqrt(2d0)*cima*ee*kZL*(CZlL1x3 + CZlL3x1)/(2d0*cw**2d0&
                        *sw)
      coupl(nGC_5363) = -sqrt(2d0)*cima*ee*kZL*(CZlL1x3 + CZlL3x1)/(2d0*cw*sw**&
                        2d0)
      coupl(nGC_5433) = 2d0*cima*ee*sw/(3d0*cw**2d0)
      coupl(nGC_48) = ee**2d0/(2d0*sw)
      coupl(nGC_49) = 2d0*cima*cw*ee**2d0/sw
      coupl(nGC_5422) = -sqrt(2d0)*cb*cima*ee/(2d0*sw**2d0)
      coupl(nGC_44) = -cima*cw*ee/sw
      coupl(nGC_45) = cima*cw*ee/sw
      coupl(nGC_46) = -ee**2d0/(2d0*sw)
      coupl(nGC_47) = -cima*ee**2d0/(2d0*sw)
      coupl(nGC_40) = cima*ee/(2d0*sw)
      coupl(nGC_41) = ee/(2d0*sw)
      coupl(nGC_42) = sqrt(2d0)*cima*ee/(2d0*sw)
      coupl(nGC_43) = sqrt(2d0)*cb*cima*ee/(2d0*sw)
      coupl(nGC_139) = -sqrt(2d0)*sb*ydo/2d0
      coupl(nGC_5315) = -sqrt(2d0)*CZdL1x1*cima*ee*kZL/(cw*sw**2d0)
      coupl(nGC_5251) = -sqrt(2d0)*CWqL2x1*cima*ee*kWL/(2d0*sw**2d0)
      coupl(nGC_5095) = -sqrt(2d0)*cb/2d0
      coupl(nGC_5092) = cb*cima
      coupl(nGC_138) = -sqrt(2d0)*cb*cima*ydo/2d0
      coupl(nGC_1085) = -coupl(nGC_161)
      coupl(nGC_5380) = -sqrt(2d0)*CZlR3x3*cima*ee*kZR/(cw**2d0*sw)
      coupl(nGC_5368) = -sqrt(2d0)*CZlR2x2*cima*ee*kZR/(cw**2d0*sw)
      coupl(nGC_137) = -sqrt(2d0)*cb*ydo/2d0
      coupl(nGC_136) = -cima*ydo
      coupl(nGC_131) = -sqrt(2d0)*cima*yb/2d0
      coupl(nGC_5426) = sqrt(2d0)*cima*ee*sb/(2d0*sw**2d0)
      coupl(nGC_130) = -sqrt(2d0)*yb/2d0
      coupl(nGC_5184) = -cima*ee**2d0/(2d0*sw)
      coupl(nGC_5069) = -cima*ee*(cw - sw)*(cw + sw)/(4d0*cMW*cw*sw)
      coupl(nGC_5143) = -sqrt(2d0)*cima/2d0
      coupl(nGC_5063) = -cima*ee/(4d0*cMW*sw)
      coupl(nGC_5061) = cMW*ee/(2d0*sw**2d0)
      coupl(nGC_5060) = -ee/(4d0*cMW*sw)
      coupl(nGC_5314) = -sqrt(2d0)*CZdL1x1*cima*ee*kZL/(cw**2d0*sw)
      coupl(nGC_112) = cima*ee*sw/cw
      coupl(nGC_144) = -sqrt(2d0)*cima*ye/2d0
      coupl(nGC_5430) = cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw**2d0*sw)
      coupl(nGC_919) = -coupl(nGC_133)
      coupl(nGC_5176) = -sqrt(2d0)*cima/2d0
      coupl(nGC_5320) = -sqrt(2d0)*cima*ee*kZL*(CZdL1x2 + CZdL2x1)/(2d0*cw**2d0&
                        *sw)
      coupl(nGC_5321) = -sqrt(2d0)*cima*ee*kZL*(CZdL1x2 + CZdL2x1)/(2d0*cw*sw**&
                        2d0)
      coupl(nGC_5323) = -sqrt(2d0)*cima*ee*kZL*(CZdL1x3 + CZdL3x1)/(2d0*cw**2d0&
                        *sw)
      coupl(nGC_5324) = -sqrt(2d0)*cima*ee*kZL*(CZdL1x3 + CZdL3x1)/(2d0*cw*sw**&
                        2d0)
      coupl(nGC_5327) = -sqrt(2d0)*cima*ee*kZR*(CZdR1x3 + CZdR3x1)/(2d0*cw*sw**&
                        2d0)
      coupl(nGC_5329) = -sqrt(2d0)*CZdL2x2*cima*ee*kZL/(cw**2d0*sw)
      coupl(nGC_5067) = -cima*cw*ee/sw**2d0
      coupl(nGC_5431) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw**2d0)
      coupl(nGC_253) = -coupl(nGC_45)
      coupl(nGC_153) = sqrt(2d0)*sb*ys/2d0
      coupl(nGC_151) = -sqrt(2d0)*sb*ys/2d0
      coupl(nGC_5396) = -sqrt(2d0)*cima*ee*kZR*(CZuR1x3 + CZuR3x1)/(2d0*cw*sw**&
                        2d0)
      coupl(nGC_155) = -sqrt(2d0)*cima*yt/2d0
      coupl(nGC_5393) = -sqrt(2d0)*cima*ee*kZR*(CZuR1x2 + CZuR2x1)/(2d0*cw*sw**&
                        2d0)
      coupl(nGC_5392) = -sqrt(2d0)*cima*ee*kZR*(CZuR1x2 + CZuR2x1)/(2d0*cw**2d0&
                        *sw)
      coupl(nGC_5399) = -sqrt(2d0)*cima*ee*kZL*(CZuL1x3 + CZuL3x1)/(2d0*cw*sw**&
                        2d0)
      coupl(nGC_5398) = -sqrt(2d0)*cima*ee*kZL*(CZuL1x3 + CZuL3x1)/(2d0*cw**2d0&
                        *sw)
      coupl(nGC_140) = -sqrt(2d0)*cima*sb*ydo/2d0
      coupl(nGC_5285) = -sqrt(2d0)*CWlR1x3*cima*ee*kWR/(2d0*sw**2d0)
      coupl(nGC_99) = sqrt(2d0)*CZlR2x2*cima*ee*kZR/(cw*sw)
      coupl(nGC_96) = sqrt(2d0)*CZdR2x2*cima*ee*kZR/(cw*sw)
      coupl(nGC_95) = sqrt(2d0)*CZdR1x1*cima*ee*kZR/(cw*sw)
      coupl(nGC_93) = sqrt(2d0)*CZuL2x2*cima*ee*kZL/(cw*sw)
      coupl(nGC_92) = sqrt(2d0)*CZuL1x1*cima*ee*kZL/(cw*sw)
      coupl(nGC_90) = sqrt(2d0)*CZlL2x2*cima*ee*kZL/(cw*sw)
      coupl(nGC_5192) = cima*ee/(2d0*sw**2d0)
      coupl(nGC_5197) = cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_5194) = -cima*ee**2d0/sw**3d0
      coupl(nGC_MW_GF) = cMW*cima
      coupl(nGC_75) = sqrt(2d0)*CWlR3x2*cima*ee*kWR/(2d0*sw)
      coupl(nGC_74) = sqrt(2d0)*CWlR3x1*cima*ee*kWR/(2d0*sw)
      coupl(nGC_77) = sqrt(2d0)*CWqR1x1*cima*ee*kWR/(2d0*sw)
      coupl(nGC_76) = sqrt(2d0)*CWlR3x3*cima*ee*kWR/(2d0*sw)
      coupl(nGC_71) = sqrt(2d0)*CWlR2x1*cima*ee*kWR/(2d0*sw)
      coupl(nGC_70) = sqrt(2d0)*CWlR1x3*cima*ee*kWR/(2d0*sw)
      coupl(nGC_73) = sqrt(2d0)*CWlR2x3*cima*ee*kWR/(2d0*sw)
      coupl(nGC_72) = sqrt(2d0)*CWlR2x2*cima*ee*kWR/(2d0*sw)
      coupl(nGC_5064) = cMW*cima*ee/(2d0*sw**2d0)
      coupl(nGC_79) = sqrt(2d0)*CWqR1x3*cima*ee*kWR/(2d0*sw)
      coupl(nGC_78) = sqrt(2d0)*CWqR1x2*cima*ee*kWR/(2d0*sw)
      coupl(nGC_5179) = -ee**2d0/(2d0*sw**2d0)
      coupl(nGC_142) = -cima*ye
      coupl(nGC_101) = sqrt(2d0)*CZuR1x1*cima*ee*kZR/(cw*sw)
      coupl(nGC_105) = -cMW*cima*ee/(2d0*sw)
      coupl(nGC_5383) = -sqrt(2d0)*CZuR1x1*cima*ee*kZR/(cw**2d0*sw)
      coupl(nGC_5073) = -cima*ee/sw
      coupl(nGC_86) = sqrt(2d0)*CZdL1x1*cima*ee*kZL/(cw*sw)
      coupl(nGC_143) = -sqrt(2d0)*ye/2d0
      coupl(nGC_5386) = -sqrt(2d0)*CZuL1x1*cima*ee*kZL/(cw**2d0*sw)
      coupl(nGC_5104) = -sqrt(2d0)*sb/2d0
      coupl(nGC_5107) = -sqrt(2d0)*cima*sb/2d0
      coupl(nGC_5077) = -cMW*ee/(2d0*sw**2d0)
      coupl(nGC_183) = cima*gs
      coupl(nGC_5265) = -sqrt(2d0)*CWqL3x1*cima*ee*kWL/(2d0*sw**2d0)
      coupl(nGC_2007) = -coupl(nGC_116)
      coupl(nGC_5417) = -sqrt(2d0)*CZuR3x3*cima*ee*kZR/(cw*sw**2d0)
      coupl(nGC_5267) = -sqrt(2d0)*CWqR3x2*cima*ee*kWR/(2d0*sw**2d0)
      coupl(nGC_5359) = -sqrt(2d0)*cima*ee*kZR*(CZlR1x3 + CZlR3x1)/(2d0*cw**2d0&
                        *sw)
      coupl(nGC_5211) = -ee**2d0/(2d0*cw**2d0)
      coupl(nGC_5213) = cima*ee**2d0/(2d0*cw**2d0)
      coupl(nGC_5215) = cima*ee**2d0*vev/(2d0*cw**2d0)
      coupl(nGC_5216) = -cima*ee**2d0/(2d0*cw)
      coupl(nGC_5387) = -sqrt(2d0)*CZuL1x1*cima*ee*kZL/(cw*sw**2d0)
      coupl(nGC_5350) = -sqrt(2d0)*CZlL1x1*cima*ee*kZL/(cw**2d0*sw)
      coupl(nGC_5353) = -sqrt(2d0)*cima*ee*kZL*(CZlL1x2 + CZlL2x1)/(2d0*cw**2d0&
                        *sw)
      coupl(nGC_5357) = -sqrt(2d0)*cima*ee*kZR*(CZlR1x2 + CZlR2x1)/(2d0*cw*sw**&
                        2d0)
      coupl(nGC_5356) = -sqrt(2d0)*cima*ee*kZR*(CZlR1x2 + CZlR2x1)/(2d0*cw**2d0&
                        *sw)
      coupl(nGC_5351) = -sqrt(2d0)*CZlL1x1*cima*ee*kZL/(cw*sw**2d0)
      coupl(nGC_5257) = -sqrt(2d0)*CWqL2x2*cima*ee*kWL/(2d0*sw**2d0)
      coupl(nGC_285) = -coupl(nGC_49)/2d0
      coupl(nGC_149) = -sqrt(2d0)*cb*ys/2d0
      coupl(nGC_5326) = -sqrt(2d0)*cima*ee*kZR*(CZdR1x3 + CZdR3x1)/(2d0*cw**2d0&
                        *sw)
      coupl(nGC_5181) = cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_5354) = -sqrt(2d0)*cima*ee*kZL*(CZlL1x2 + CZlL2x1)/(2d0*cw*sw**&
                        2d0)
      coupl(nGC_39) = -cima*ee/(2d0*sw)
      coupl(nGC_38) = -2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_31) = sqrt(2d0)*CZlR2x3*cima*ee*kZR/(2d0*cw*sw) + sqrt(2d0)*   &
                      CZlR3x2*cima*ee*kZR/(2d0*cw*sw)
      coupl(nGC_30) = sqrt(2d0)*CZlR1x3*cima*ee*kZR/(2d0*cw*sw) + sqrt(2d0)*   &
                      CZlR3x1*cima*ee*kZR/(2d0*cw*sw)
      coupl(nGC_33) = sqrt(2d0)*CZuR1x3*cima*ee*kZR/(2d0*cw*sw) + sqrt(2d0)*   &
                      CZuR3x1*cima*ee*kZR/(2d0*cw*sw)
      coupl(nGC_32) = sqrt(2d0)*CZuR1x2*cima*ee*kZR/(2d0*cw*sw) + sqrt(2d0)*   &
                      CZuR2x1*cima*ee*kZR/(2d0*cw*sw)
      coupl(nGC_35) = cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_37) = cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_36) = -cima*ee**2d0/sw**2d0
      coupl(nGC_146) = -sqrt(2d0)*ym/2d0
      coupl(nGC_5299) = -sqrt(2d0)*CWlR3x1*cima*ee*kWR/(2d0*sw**2d0)
      coupl(nGC_5318) = -sqrt(2d0)*cima*ee*kZR*(CZdR1x2 + CZdR2x1)/(2d0*cw*sw**&
                        2d0)
      coupl(nGC_715) = 2d0*coupl(nGC_12)
      coupl(nGC_5101) = -sqrt(2d0)*sb/2d0
      coupl(nGC_713) = -coupl(nGC_12)
      coupl(nGC_119) = -cMW*cima*cw*ee/(2d0*sw) + cMW*cima*ee*sw/(2d0*cw)
      coupl(nGC_MT) = -cMT*cima
      coupl(nGC_5428) = -sqrt(2d0)*cima*ee/(2d0*sw**2d0)
      coupl(nGC_5402) = -sqrt(2d0)*CZuR2x2*cima*ee*kZR/(cw*sw**2d0)
      coupl(nGC_5436) = -cima*ee*sw/(3d0*cw**2d0)
      coupl(nGC_5437) = cima*ee/(3d0*cw)
      coupl(nGC_MI) = -cima
      coupl(nGC_MH) = -cMH**2d0*cima
      coupl(nGC_MM) = -cMM*cima
      coupl(nGC_MB) = -cMB*cima
      coupl(nGC_ME) = -cME*cima
      coupl(nGC_MD) = -cMD*cima
      coupl(nGC_MS) = -cMS*cima
      coupl(nGC_MW) = cMW**2d0*cima
      coupl(nGC_MU) = -cMU*cima
      coupl(nGC_1725) = -coupl(nGC_39)
      coupl(nGC_5070) = -cMW*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
      coupl(nGC_5074) = cima*cw*ee/sw**2d0
      coupl(nGC_124) = -cima*lam*vev/2d0
      coupl(nGC_5076) = ee/(4d0*cMW*sw)
      coupl(nGC_145) = -cima*ym
      coupl(nGC_69) = sqrt(2d0)*CWlR1x2*cima*ee*kWR/(2d0*sw)
      coupl(nGC_121) = cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0 + cima&
                       *ee**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_5317) = -sqrt(2d0)*cima*ee*kZR*(CZdR1x2 + CZdR2x1)/(2d0*cw**2d0&
                        *sw)
      coupl(nGC_5311) = -sqrt(2d0)*CZdR1x1*cima*ee*kZR/(cw**2d0*sw)
      coupl(nGC_I) = cima
      coupl(nGC_114) = -cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
      coupl(nGC_34) = sqrt(2d0)*CZuR2x3*cima*ee*kZR/(2d0*cw*sw) + sqrt(2d0)*   &
                      CZuR3x2*cima*ee*kZR/(2d0*cw*sw)
      coupl(nGC_61) = sqrt(2d0)*CWqL1x3*cima*ee*kWL/(2d0*sw)
      coupl(nGC_MTA) = -cMTA*cima
      coupl(nGC_5291) = -sqrt(2d0)*CWlR2x2*cima*ee*kWR/(2d0*sw**2d0)
      coupl(nGC_5381) = -sqrt(2d0)*CZlR3x3*cima*ee*kZR/(cw*sw**2d0)
      coupl(nGC_5384) = -sqrt(2d0)*CZuR1x1*cima*ee*kZR/(cw*sw**2d0)
      coupl(nGC_5146) = -sqrt(2d0)/2d0
      coupl(nGC_88) = sqrt(2d0)*CZdL3x3*cima*ee*kZL/(cw*sw)
      coupl(nGC_89) = sqrt(2d0)*CZlL1x1*cima*ee*kZL/(cw*sw)
      coupl(nGC_80) = sqrt(2d0)*CWqR2x1*cima*ee*kWR/(2d0*sw)
      coupl(nGC_81) = sqrt(2d0)*CWqR2x2*cima*ee*kWR/(2d0*sw)
      coupl(nGC_85) = sqrt(2d0)*CWqR3x3*cima*ee*kWR/(2d0*sw)
      coupl(nGC_5283) = -sqrt(2d0)*CWlL1x3*cima*ee*kWL/(2d0*sw**2d0)
      coupl(nGC_5183) = cima*ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_5186) = -ee/(2d0*sw**2d0)
      coupl(nGC_5188) = -cima*ee/(2d0*sw**2d0)
      coupl(nGC_66) = sqrt(2d0)*CWqL3x2*cima*ee*kWL/(2d0*sw)
      coupl(nGC_67) = sqrt(2d0)*CWqL3x3*cima*ee*kWL/(2d0*sw)
      coupl(nGC_64) = sqrt(2d0)*CWqL2x3*cima*ee*kWL/(2d0*sw)
    end subroutine fill_couplings_mdl1
end module fill_couplings1
