!******************************************************************************!
!                                                                              !
!    fill_couplings2.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings2.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-29 12:10             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl2()
      coupl(nGC_147) = -sqrt(2d0)*cima*ym/2d0
      coupl(nGC_62) = sqrt(2d0)*CWqL2x1*cima*ee*kWL/(2d0*sw)
      coupl(nGC_63) = sqrt(2d0)*CWqL2x2*cima*ee*kWL/(2d0*sw)
      coupl(nGC_60) = sqrt(2d0)*CWqL1x2*cima*ee*kWL/(2d0*sw)
      coupl(nGC_68) = sqrt(2d0)*CWlR1x1*cima*ee*kWR/(2d0*sw)
      coupl(nGC_5151) = -sqrt(2d0)/2d0
      coupl(nGC_115) = cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
      coupl(nGC_113) = -cw*ee/(2d0*sw) - ee*sw/(2d0*cw)
      coupl(nGC_111) = -2d0*cima*ee*sw/(3d0*cw)
      coupl(nGC_110) = cima*ee*sw/(3d0*cw)
      coupl(nGC_1103) = -coupl(nGC_158)
      coupl(nGC_1587) = -coupl(nGC_149)
      coupl(nGC_2927) = -coupl(nGC_40)
      coupl(nGC_1325) = -coupl(nGC_130)
      coupl(nGC_471) = -coupl(nGC_10)
      coupl(nGC_459) = -coupl(nGC_143)
      coupl(nGC_725) = -2d0*coupl(nGC_12)
      coupl(nGC_795) = -coupl(nGC_146)
      coupl(nGC_879) = -coupl(nGC_137)
      coupl(nGC_395) = -coupl(nGC_44)
      coupl(nGC_307) = -coupl(nGC_41)
      coupl(nGC_359) = -2d0*coupl(nGC_5)
      coupl(nGC_405) = -coupl(nGC_113)
      coupl(nGC_1435) = -2d0*coupl(nGC_36)
    end subroutine fill_couplings_mdl2
end module fill_couplings2
