!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-29 12:10             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl1()
      coupl(nGC_5136) = coupl(nGC_5134)*dyb_QED1_QCD2
      coupl(nGC_5133) = -cima*dyb_QED1_QCD2
      coupl(nGC_5132) = -cima*dyb_QED1
      coupl(nGC_5139) = coupl(nGC_5137)*dyb_QED1_QCD2
      coupl(nGC_5138) = coupl(nGC_5137)*dyb_QED1
      coupl(nGC_5444) = coupl(nGC_5442)*dcw_ + coupl(nGC_5443)*dsw_
      coupl(nGC_5449) = -cima*dMH2
      coupl(nGC_5131) = cima*dyt_QED1_QCD2
      coupl(nGC_5130) = cima*dyt_QED1
      coupl(nGC_5222) = coupl(nGC_5220)*dcw_ + coupl(nGC_5221)*dsw_
      coupl(nGC_9198) = coupl(nGC_159)*(dZtauMinusL + dZtauMinusR)/2d0
      coupl(nGC_5048) = -cima*dlam_QED2
      coupl(nGC_7882) = coupl(nGC_82)*(dZbR_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_5165) = coupl(nGC_5164)*dyc_QED1
      coupl(nGC_5160) = coupl(nGC_5158)*dyup_QED1_QCD2
      coupl(nGC_5304) = coupl(nGC_5303)*dsw_
      coupl(nGC_8284) = coupl(nGC_97)*dZbR_QCD2
      coupl(nGC_10546) = coupl(nGC_150)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_5278) = coupl(nGC_5277)*dsw_
      coupl(nGC_5282) = coupl(nGC_5281)*dsw_
      coupl(nGC_7612) = coupl(nGC_3)*dZWMinus/2d0
      coupl(nGC_7613) = -coupl(nGC_7612)
      coupl(nGC_10227) = coupl(nGC_4)*dZeMinusR
      coupl(nGC_10407) = coupl(nGC_87)*dZsL_QCD2
      coupl(nGC_7531) = coupl(nGC_1)*dZA/2d0
      coupl(nGC_5125) = coupl(nGC_5124)*dys_QED1
      coupl(nGC_5458) = -cima*dMS_QCD2
      coupl(nGC_5459) = -cima*dMB_QCD2
      coupl(nGC_5456) = -cima*dMT_QCD2
      coupl(nGC_5457) = -cima*dMD_QCD2
      coupl(nGC_5454) = -cima*dMU_QCD2
      coupl(nGC_5455) = -cima*dMC_QCD2
      coupl(nGC_5452) = -cima*dMM
      coupl(nGC_5453) = -cima*dMTA
      coupl(nGC_5451) = -cima*dME
      coupl(nGC_5150) = -cima*dytau_QED1
      coupl(nGC_5159) = coupl(nGC_5158)*dyup_QED1
      coupl(nGC_5172) = coupl(nGC_5170)*dyc_QED1_QCD2
      coupl(nGC_5334) = coupl(nGC_5332)*dcw_ + coupl(nGC_5333)*dsw_
      coupl(nGC_5235) = coupl(nGC_5233)*dcw_ + coupl(nGC_5234)*dsw_
      coupl(nGC_7689) = coupl(nGC_2)*dZA/2d0
      coupl(nGC_5294) = coupl(nGC_5293)*dsw_
      coupl(nGC_8665) = coupl(nGC_108)*(dZcL_QCD2 + dZdL_QCD2)/2d0
      coupl(nGC_5296) = coupl(nGC_5295)*dsw_
      coupl(nGC_4881) = coupl(nGC_11)**2d0*coupl(nGC_150)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_7828) = coupl(nGC_1)*dZbL_QCD2
      coupl(nGC_7651) = coupl(nGC_5296) + coupl(nGC_55)*dZWpMinus/2d0 + coupl( &
                        nGC_55)*dZnu_muL/2d0 + coupl(nGC_55)*dZtauMinusL/2d0
      coupl(nGC_7659) = coupl(nGC_26)*(dZdR_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_7890) = coupl(nGC_28)*(dZbR_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_5246) = coupl(nGC_5245)*dsw_
      coupl(nGC_5244) = coupl(nGC_5243)*dsw_
      coupl(nGC_5240) = coupl(nGC_5239)*dsw_
      coupl(nGC_4889) = coupl(nGC_109)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9035) = coupl(nGC_2)*dZcR_QCD2
      coupl(nGC_9036) = coupl(nGC_2)*dZcL_QCD2
      coupl(nGC_5415) = coupl(nGC_5413)*dcw_ + coupl(nGC_5414)*dsw_
      coupl(nGC_4827) = cMT*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_4820) = cMS*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_4940) = -coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(     &
                        nGC_10) - coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
      coupl(nGC_4945) = -coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_10&
                        ) + coupl(nGC_11))/(64d0*pi**2d0*Nc)
      coupl(nGC_5343) = coupl(nGC_5341)*dcw_ + coupl(nGC_5342)*dsw_
      coupl(nGC_5051) = coupl(nGC_5049)*dlam_QED2 + coupl(nGC_5050)*dvev_QEDM1
      coupl(nGC_5054) = coupl(nGC_5052)*dlam_QED2 + coupl(nGC_5053)*dvev_QEDM1
      coupl(nGC_5059) = coupl(nGC_5058)*dMW2
      coupl(nGC_7563) = coupl(nGC_133)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_5463) = cima*dMWp2
      coupl(nGC_5461) = cima*dMZp2
      coupl(nGC_5460) = cima*dMZ2
      coupl(nGC_5349) = coupl(nGC_5347)*dcw_ + coupl(nGC_5348)*dsw_
      coupl(nGC_7848) = coupl(nGC_5294) + coupl(nGC_54)*dZWpMinus/2d0 + coupl( &
                        nGC_54)*dZmuMinusL/2d0 + coupl(nGC_54)*dZnu_muL/2d0
      coupl(nGC_8520) = coupl(nGC_3)*dZA/2d0
      coupl(nGC_223) = -cima/(2d0*cMW)
      coupl(nGC_7696) = coupl(nGC_65)*(dZdL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_7693) = coupl(nGC_83)*(dZdR_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_7690) = coupl(nGC_2)*dZuR_QCD2
      coupl(nGC_5204) = coupl(nGC_5202)*dcw_ + coupl(nGC_5203)*dsw_
      coupl(nGC_8148) = coupl(nGC_156)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_7826) = coupl(nGC_4)*dZA/2d0
      coupl(nGC_5298) = coupl(nGC_5297)*dsw_
      coupl(nGC_10230) = coupl(nGC_10227) + coupl(nGC_7826)
      coupl(nGC_4863) = coupl(nGC_11)**2d0*coupl(nGC_133)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4866) = coupl(nGC_11)**2d0*coupl(nGC_141)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_5093) = coupl(nGC_5092)*dyup_QED1
      coupl(nGC_5090) = -cima*dydo_QED1
      coupl(nGC_5099) = coupl(nGC_5098)*dydo_QED1
      coupl(nGC_7523) = coupl(nGC_43)*(dZcL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_7529) = coupl(nGC_5349) + coupl(nGC_98)*dZZp/2d0 + coupl(nGC_98&
                        )*dZeMinusR
      coupl(nGC_4914) = coupl(nGC_11)**2d0*coupl(nGC_18)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4915) = coupl(nGC_11)**2d0*coupl(nGC_27)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4916) = coupl(nGC_11)**2d0*coupl(nGC_19)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4913) = coupl(nGC_11)**2d0*coupl(nGC_97)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_5423) = coupl(nGC_5422)*dsw_
      coupl(nGC_5425) = coupl(nGC_5424)*dsw_
      coupl(nGC_4973) = coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_10&
                        ) - coupl(nGC_11))/(64d0*pi**2d0*Nc)
      coupl(nGC_5091) = -cima*dydo_QED1_QCD2
      coupl(nGC_5140) = -cima*dye_QED1
      coupl(nGC_5142) = coupl(nGC_5141)*dye_QED1
      coupl(nGC_4842) = cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_7793) = coupl(nGC_59)*(dZdL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_5325) = coupl(nGC_5323)*dcw_ + coupl(nGC_5324)*dsw_
      coupl(nGC_9518) = coupl(nGC_102)*dZcR_QCD2
      coupl(nGC_4931) = coupl(nGC_103)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9457) = coupl(nGC_11)*dZsL_QCD2
      coupl(nGC_7813) = coupl(nGC_24)*(dZtL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_4878) = coupl(nGC_11)**2d0*coupl(nGC_138)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4919) = coupl(nGC_102)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_8596) = coupl(nGC_2)*dZtR_QCD2
      coupl(nGC_4843) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0 &
                         - cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi &
                        **2d0*Nc)
      coupl(nGC_4855) = coupl(nGC_11)**2d0*coupl(nGC_134)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4873) = coupl(nGC_11)**2d0*coupl(nGC_156)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4872) = coupl(nGC_11)**2d0*coupl(nGC_687)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_5391) = coupl(nGC_5389)*dcw_ + coupl(nGC_5390)*dsw_
      coupl(nGC_5254) = coupl(nGC_5253)*dsw_
      coupl(nGC_4877) = coupl(nGC_11)**2d0*coupl(nGC_132)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_7702) = coupl(nGC_42)*(dZbL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_7769) = coupl(nGC_25)*(dZcL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_5252) = coupl(nGC_5251)*dsw_
      coupl(nGC_4876) = coupl(nGC_11)**2d0*coupl(nGC_131)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8051) = coupl(nGC_130)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_8074) = coupl(nGC_109)*(dZsL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_8055) = -coupl(nGC_5136) - coupl(nGC_8051)
      coupl(nGC_8056) = coupl(nGC_5136) + coupl(nGC_8051)
      coupl(nGC_5191) = coupl(nGC_5190)*dsw_
      coupl(nGC_9276) = -coupl(nGC_5125)
      coupl(nGC_5198) = coupl(nGC_5196)*dsw_ + coupl(nGC_5197)*dvev_QEDM1
      coupl(nGC_4936) = coupl(nGC_11)**2d0*coupl(nGC_92)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_7937) = coupl(nGC_23)*(dZcL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_5435) = coupl(nGC_5433)*dcw_ + coupl(nGC_5434)*dsw_
      coupl(nGC_4886) = coupl(nGC_11)**2d0*sq2**2d0*(-cMB*coupl(nGC_131) - cMC*&
                        coupl(nGC_132) - cMD*coupl(nGC_138) - cMS*coupl(nGC_150&
                        ) - cMT*coupl(nGC_155) - cMU*coupl(nGC_160))/(16d0*pi**&
                        2d0)
      coupl(nGC_4887) = coupl(nGC_108)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4839) = -Nc*cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_5123) = coupl(nGC_5121)*dydo_QED1_QCD2
      coupl(nGC_5100) = coupl(nGC_5098)*dydo_QED1_QCD2
      coupl(nGC_5105) = coupl(nGC_5104)*dydo_QED1
      coupl(nGC_5106) = coupl(nGC_5104)*dydo_QED1_QCD2
      coupl(nGC_4891) = coupl(nGC_11)**2d0*coupl(nGC_82)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_5112) = coupl(nGC_5110)*dys_QED1_QCD2
      coupl(nGC_5126) = coupl(nGC_5124)*dys_QED1_QCD2
      coupl(nGC_8214) = coupl(nGC_11)*dZcR_QCD2
      coupl(nGC_8040) = coupl(nGC_11)*dZdL_QCD2
      coupl(nGC_5264) = coupl(nGC_5263)*dsw_
      coupl(nGC_5114) = -cima*dys_QED1_QCD2
      coupl(nGC_5128) = coupl(nGC_5127)*dys_QED1
      coupl(nGC_5262) = coupl(nGC_5261)*dsw_
      coupl(nGC_219) = cima/(2d0*cMW)
      coupl(nGC_5260) = coupl(nGC_5259)*dsw_
      coupl(nGC_9818) = 3d0*coupl(nGC_125)*dZH/2d0 + coupl(nGC_5054)
      coupl(nGC_7662) = coupl(nGC_17)*(dZdL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_4883) = coupl(nGC_11)**2d0*coupl(nGC_160)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_5212) = coupl(nGC_5211)*dcw_
      coupl(nGC_5214) = coupl(nGC_5213)*dcw_
      coupl(nGC_5217) = coupl(nGC_5215)*dcw_ + coupl(nGC_5216)*dvev_QEDM1
      coupl(nGC_5219) = coupl(nGC_5218)*dcw_
      coupl(nGC_5462) = cima*dMW2
      coupl(nGC_8016) = coupl(nGC_5)*(dZA + dZWMinus)
      coupl(nGC_4880) = coupl(nGC_11)**2d0*coupl(nGC_152)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_5322) = coupl(nGC_5320)*dcw_ + coupl(nGC_5321)*dsw_
      coupl(nGC_8427) = coupl(nGC_11)*dZuL_QCD2
      coupl(nGC_4903) = coupl(nGC_11)**2d0*coupl(nGC_77)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_7816) = coupl(nGC_33)*(dZtR_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_4854) = coupl(nGC_11)**2d0*coupl(nGC_154)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4998) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_131)**2d0  &
                         + coupl(nGC_132)**2d0 + coupl(nGC_138)**2d0 + coupl(  &
                        nGC_140)**2d0 + coupl(nGC_150)**2d0 + coupl(nGC_152)** &
                        2d0 + coupl(nGC_155)**2d0 + coupl(nGC_160)**2d0)/(16d0*&
                        pi**2d0*Nc)
      coupl(nGC_4850) = coupl(nGC_1)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_4853) = coupl(nGC_11)**2d0*coupl(nGC_129)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4994) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_129)**2d0 &
                         - coupl(nGC_134)**2d0 - coupl(nGC_135)**2d0 - coupl(  &
                        nGC_136)**2d0 - coupl(nGC_148)**2d0 - coupl(nGC_154)** &
                        2d0 - coupl(nGC_162)**2d0 - coupl(nGC_163)**2d0)/(32d0*&
                        pi**2d0)
      coupl(nGC_4995) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_129)**2d0  &
                         + coupl(nGC_134)**2d0 + coupl(nGC_135)**2d0 + coupl(  &
                        nGC_136)**2d0 + coupl(nGC_148)**2d0 + coupl(nGC_154)** &
                        2d0 + coupl(nGC_162)**2d0 + coupl(nGC_163)**2d0)/(32d0*&
                        pi**2d0*Nc)
      coupl(nGC_7741) = coupl(nGC_11)*dZbR_QCD2
      coupl(nGC_9266) = coupl(nGC_144)*(dZeMinusL + dZeMinusR)/2d0
      coupl(nGC_4990) = sq2**3d0*(11d0*Nc*cima*coupl(nGC_10)**3d0 + 48d0*coupl(&
                        nGC_11)**3d0)/(768d0*pi**2d0)
      coupl(nGC_4858) = coupl(nGC_11)**2d0*coupl(nGC_136)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4992) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_108)**2d0  &
                         + coupl(nGC_109)**2d0 + coupl(nGC_42)**2d0 + 2d0*coupl&
                        (nGC_43)**2d0)/(96d0*pi**2d0)
      coupl(nGC_4993) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_108)**2d0 &
                         - coupl(nGC_109)**2d0 - coupl(nGC_42)**2d0 - 2d0*coupl&
                        (nGC_43)**2d0)/(96d0*pi**2d0*Nc)
      coupl(nGC_8428) = coupl(nGC_11)*dZuR_QCD2
      coupl(nGC_4841) = cima*sq2**2d0*(-Nc*coupl(nGC_10)**2d0 + 4d0*coupl(     &
                        nGC_11)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_8645) = coupl(nGC_137)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_4901) = coupl(nGC_11)**2d0*coupl(nGC_83)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_5149) = coupl(nGC_5148)*dym_QED1
      coupl(nGC_5113) = -cima*dys_QED1
      coupl(nGC_7519) = coupl(nGC_4)*dZWMinus/2d0
      coupl(nGC_5102) = coupl(nGC_5101)*dys_QED1
      coupl(nGC_4920) = coupl(nGC_11)**2d0*coupl(nGC_25)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4923) = coupl(nGC_11)**2d0*coupl(nGC_32)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4922) = coupl(nGC_11)**2d0*coupl(nGC_23)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4925) = coupl(nGC_11)**2d0*coupl(nGC_95)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4924) = coupl(nGC_11)**2d0*coupl(nGC_86)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4927) = coupl(nGC_11)**2d0*coupl(nGC_26)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4926) = coupl(nGC_11)**2d0*coupl(nGC_17)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_5122) = coupl(nGC_5121)*dydo_QED1
      coupl(nGC_4928) = coupl(nGC_11)**2d0*coupl(nGC_87)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_5432) = coupl(nGC_5430)*dcw_ + coupl(nGC_5431)*dsw_
      coupl(nGC_10550) = coupl(nGC_150)*dZH/2d0 + coupl(nGC_5128)
      coupl(nGC_5268) = coupl(nGC_5267)*dsw_
      coupl(nGC_4868) = coupl(nGC_11)**2d0*coupl(nGC_139)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_7955) = coupl(nGC_129)*dZbR_QCD2/2d0 + coupl(nGC_129)*dZtL_QCD2&
                        /2d0 + coupl(nGC_5133)
      coupl(nGC_7956) = coupl(nGC_154)*dZbL_QCD2/2d0 + coupl(nGC_154)*dZtR_QCD2&
                        /2d0 + coupl(nGC_5131)
      coupl(nGC_4929) = coupl(nGC_11)**2d0*coupl(nGC_96)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4856) = coupl(nGC_11)**2d0*coupl(nGC_148)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8263) = coupl(nGC_101)*dZuR_QCD2
      coupl(nGC_8260) = coupl(nGC_92)*dZuL_QCD2
      coupl(nGC_5171) = coupl(nGC_5170)*dyc_QED1
      coupl(nGC_5175) = coupl(nGC_5173)*dyt_QED1_QCD2
      coupl(nGC_5174) = coupl(nGC_5173)*dyt_QED1
      coupl(nGC_5177) = coupl(nGC_5176)*dyt_QED1
      coupl(nGC_5178) = coupl(nGC_5176)*dyt_QED1_QCD2
      coupl(nGC_5072) = coupl(nGC_5069)*dMW2 + coupl(nGC_5070)*dcw_ + coupl(   &
                        nGC_5071)*dsw_
      coupl(nGC_7893) = coupl(nGC_19)*(dZbL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_9460) = coupl(nGC_11)*dZsR_QCD2
      coupl(nGC_5120) = coupl(nGC_5118)*dys_QED1_QCD2
      coupl(nGC_9447) = coupl(nGC_MI)*dZuR_QCD2
      coupl(nGC_8661) = coupl(nGC_MI)*dZnu_eL
      coupl(nGC_4833) = cMD*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_8110) = coupl(nGC_18)*(dZbL_QCD2 + dZdL_QCD2)/2d0
      coupl(nGC_5379) = coupl(nGC_5377)*dcw_ + coupl(nGC_5378)*dsw_
      coupl(nGC_8866) = coupl(nGC_MC)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_10608) = coupl(nGC_MI)*dZnu_muL
      coupl(nGC_8193) = coupl(nGC_5268) + coupl(nGC_84)*dZWpMinus/2d0
      coupl(nGC_8195) = coupl(nGC_6)*dZA
      coupl(nGC_4937) = coupl(nGC_101)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_5210) = coupl(nGC_5208)*dcw_ + coupl(nGC_5209)*dsw_
      coupl(nGC_4917) = coupl(nGC_11)**2d0*coupl(nGC_28)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_5316) = coupl(nGC_5314)*dcw_ + coupl(nGC_5315)*dsw_
      coupl(nGC_5310) = coupl(nGC_5309)*dsw_
      coupl(nGC_7827) = -coupl(nGC_7826)
      coupl(nGC_8462) = coupl(nGC_43)*(dZdL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_10228) = coupl(nGC_4)*dZeMinusL
      coupl(nGC_7706) = coupl(nGC_5219) + coupl(nGC_7)*dZWMinus/2d0 + coupl(   &
                        nGC_7)*dZZ/2d0
      coupl(nGC_227) = 1d0/(2d0*cMZ)
      coupl(nGC_12825) = coupl(nGC_MI)*dZsR_QCD2
      coupl(nGC_4930) = coupl(nGC_11)**2d0*coupl(nGC_94)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_8762) = coupl(nGC_MI)*dZtauMinusR
      coupl(nGC_5290) = coupl(nGC_5289)*dsw_
      coupl(nGC_4838) = cima*sq2**2d0*(Nc*coupl(nGC_10)**2d0 - 4d0*coupl(nGC_11&
                        )**2d0)/(64d0*pi**2d0)
      coupl(nGC_8744) = coupl(nGC_5461) + coupl(nGC_MZp)*dZZp
      coupl(nGC_8154) = coupl(nGC_117)*dZZ/2d0 + coupl(nGC_117)*dZnu_eL + coupl&
                        (nGC_5444)
      coupl(nGC_8188) = coupl(nGC_84)*(dZsR_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_8595) = coupl(nGC_2)*dZtL_QCD2
      coupl(nGC_5145) = -cima*dym_QED1
      coupl(nGC_4875) = coupl(nGC_11)**2d0*coupl(nGC_161)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8113) = coupl(nGC_27)*(dZbR_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_7738) = coupl(nGC_11)*dZbL_QCD2
      coupl(nGC_10821) = coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_10822) = -coupl(nGC_10821)
      coupl(nGC_9027) = coupl(nGC_3)*(dZA + 2d0*dZWMinus)/2d0
      coupl(nGC_5385) = coupl(nGC_5383)*dcw_ + coupl(nGC_5384)*dsw_
      coupl(nGC_4895) = coupl(nGC_11)**2d0*coupl(nGC_79)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4894) = coupl(nGC_11)**2d0*coupl(nGC_61)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_5266) = coupl(nGC_5265)*dsw_
      coupl(nGC_8041) = coupl(nGC_11)*dZdR_QCD2
      coupl(nGC_5180) = coupl(nGC_5179)*dsw_
    end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
