!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-29 12:10             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl2()
      coupl(nGC_5182) = coupl(nGC_5181)*dsw_
      coupl(nGC_5313) = coupl(nGC_5311)*dcw_ + coupl(nGC_5312)*dsw_
      coupl(nGC_5185) = coupl(nGC_5183)*dsw_ + coupl(nGC_5184)*dvev_QEDM1
      coupl(nGC_5147) = coupl(nGC_5146)*dym_QED1
      coupl(nGC_7532) = coupl(nGC_1)*dZdR_QCD2
      coupl(nGC_4857) = coupl(nGC_11)**2d0*coupl(nGC_163)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8115) = coupl(nGC_18)*dZZp/2d0 + coupl(nGC_5325)
      coupl(nGC_4851) = coupl(nGC_11)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_4862) = coupl(nGC_11)**2d0*coupl(nGC_919)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4999) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_131)**2d0 &
                         - coupl(nGC_132)**2d0 - coupl(nGC_138)**2d0 - coupl(  &
                        nGC_140)**2d0 - coupl(nGC_150)**2d0 - coupl(nGC_152)** &
                        2d0 - coupl(nGC_155)**2d0 - coupl(nGC_160)**2d0)/(16d0*&
                        pi**2d0)
      coupl(nGC_4965) = coupl(nGC_11)*sq2*(-coupl(nGC_17)**2d0 - coupl(nGC_19  &
                        )**2d0 - coupl(nGC_60)**2d0 - coupl(nGC_63)**2d0 -     &
                        coupl(nGC_66)**2d0 - coupl(nGC_87)**2d0)/(16d0*pi**2d0*&
                        Nc)
      coupl(nGC_4967) = coupl(nGC_11)*sq2*(-coupl(nGC_26)**2d0 - coupl(nGC_28  &
                        )**2d0 - coupl(nGC_78)**2d0 - coupl(nGC_81)**2d0 -     &
                        coupl(nGC_84)**2d0 - coupl(nGC_96)**2d0)/(16d0*pi**2d0*&
                        Nc)
      coupl(nGC_4961) = coupl(nGC_11)*sq2*(coupl(nGC_17)**2d0 + coupl(nGC_18)**&
                        2d0 + coupl(nGC_59)**2d0 + coupl(nGC_62)**2d0 + coupl( &
                        nGC_65)**2d0 + coupl(nGC_86)**2d0)/(16d0*pi**2d0)
      coupl(nGC_4963) = coupl(nGC_11)*sq2*(coupl(nGC_26)**2d0 + coupl(nGC_27)**&
                        2d0 + coupl(nGC_77)**2d0 + coupl(nGC_80)**2d0 + coupl( &
                        nGC_83)**2d0 + coupl(nGC_95)**2d0)/(16d0*pi**2d0)
      coupl(nGC_4814) = cMC*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_4852) = coupl(nGC_11)**2d0*coupl(nGC_135)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4968) = coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_10 &
                        ) + coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
      coupl(nGC_11209) = coupl(nGC_5463) + coupl(nGC_MWp)*dZWpMinus
      coupl(nGC_5427) = coupl(nGC_5426)*dsw_
      coupl(nGC_4808) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_114)**2d0 - coupl(&
                        nGC_42)**2d0)/(16d0*pi**2d0)
      coupl(nGC_4809) = cima*(-coupl(nGC_18)**2d0 - coupl(nGC_19)**2d0 - coupl(&
                        nGC_61)**2d0 - coupl(nGC_64)**2d0 - coupl(nGC_67)**2d0 &
                         - coupl(nGC_88)**2d0)/(16d0*pi**2d0)
      coupl(nGC_4806) = cMB*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_4807) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0&
                        *pi**2d0*Nc)
      coupl(nGC_5062) = coupl(nGC_5060)*dMW2 + coupl(nGC_5061)*dsw_
      coupl(nGC_4997) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_108)*coupl&
                        (nGC_62) - coupl(nGC_109)*coupl(nGC_60) - coupl(nGC_42 &
                        )*coupl(nGC_67) - coupl(nGC_43)*coupl(nGC_59) - coupl( &
                        nGC_43)*coupl(nGC_63))/(96d0*pi**2d0*Nc)
      coupl(nGC_5043) = cima*coupl(nGC_11)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
      coupl(nGC_10002) = coupl(nGC_4)*dZmuMinusR
      coupl(nGC_10003) = coupl(nGC_4)*dZmuMinusL
      coupl(nGC_5135) = coupl(nGC_5134)*dyb_QED1
      coupl(nGC_7548) = coupl(nGC_155)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_5441) = coupl(nGC_5439)*dcw_ + coupl(nGC_5440)*dsw_
      coupl(nGC_5447) = coupl(nGC_5445)*dcw_ + coupl(nGC_5446)*dsw_
      coupl(nGC_9153) = -coupl(nGC_9027)
      coupl(nGC_7901) = coupl(nGC_160)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_12584) = coupl(nGC_MI)*dZWMinus
      coupl(nGC_12587) = coupl(nGC_5462) + coupl(nGC_MW)*dZWMinus
      coupl(nGC_8316) = coupl(nGC_103)*dZtR_QCD2
      coupl(nGC_8099) = coupl(nGC_132)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_8313) = coupl(nGC_94)*dZtL_QCD2
      coupl(nGC_8318) = coupl(nGC_5415) + coupl(nGC_94)*dZZp/2d0
      coupl(nGC_5003) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +  &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0)
      coupl(nGC_5002) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 - &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_5005) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(  &
                        nGC_86) + coupl(nGC_1)*coupl(nGC_87) + coupl(nGC_1)*   &
                        coupl(nGC_88) + coupl(nGC_1)*coupl(nGC_95) + coupl(    &
                        nGC_1)*coupl(nGC_96) + coupl(nGC_1)*coupl(nGC_97) +    &
                        coupl(nGC_101)*coupl(nGC_2) + coupl(nGC_102)*coupl(    &
                        nGC_2) + coupl(nGC_103)*coupl(nGC_2) + coupl(nGC_2)*   &
                        coupl(nGC_92) + coupl(nGC_2)*coupl(nGC_93) + coupl(    &
                        nGC_2)*coupl(nGC_94))/(96d0*pi**2d0)
      coupl(nGC_8708) = coupl(nGC_117)*dZZ/2d0 + coupl(nGC_117)*dZnu_muL +     &
                        coupl(nGC_5444)
      coupl(nGC_5007) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(  &
                        nGC_110) + coupl(nGC_1)*coupl(nGC_114) + coupl(nGC_111 &
                        )*coupl(nGC_2) + coupl(nGC_115)*coupl(nGC_2))/(32d0*pi &
                        **2d0)
      coupl(nGC_5006) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl( &
                        nGC_110) - coupl(nGC_1)*coupl(nGC_114) - coupl(nGC_111 &
                        )*coupl(nGC_2) - coupl(nGC_115)*coupl(nGC_2))/(32d0*pi &
                        **2d0*Nc)
      coupl(nGC_5009) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_110)**2d0  &
                         + coupl(nGC_111)**2d0 + coupl(nGC_114)**2d0 + coupl(  &
                        nGC_115)**2d0)/(32d0*pi**2d0)
      coupl(nGC_5008) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_110)**2d0 &
                         - coupl(nGC_111)**2d0 - coupl(nGC_114)**2d0 - coupl(  &
                        nGC_115)**2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_8701) = -coupl(nGC_5159)
      coupl(nGC_8700) = coupl(nGC_161)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_8703) = coupl(nGC_5160) + coupl(nGC_8700)
      coupl(nGC_8702) = -coupl(nGC_5160) - coupl(nGC_8700)
      coupl(nGC_5166) = coupl(nGC_5164)*dyc_QED1_QCD2
      coupl(nGC_12519) = coupl(nGC_MI)*dZA
      coupl(nGC_8894) = coupl(nGC_114)*dZZ/2d0 + coupl(nGC_5441)
      coupl(nGC_8892) = coupl(nGC_114)*dZsL_QCD2
      coupl(nGC_8898) = coupl(nGC_157)*dZnu_tauL/2d0 + coupl(nGC_157)*         &
                        dZtauMinusR/2d0 + coupl(nGC_5150)
      coupl(nGC_7572) = coupl(nGC_50)*dZWpMinus/2d0 + coupl(nGC_50)*dZeMinusL/ &
                        2d0 + coupl(nGC_50)*dZnu_eL/2d0 + coupl(nGC_5278)
      coupl(nGC_5346) = coupl(nGC_5344)*dcw_ + coupl(nGC_5345)*dsw_
      coupl(nGC_5228) = coupl(nGC_5226)*dcw_ + coupl(nGC_5227)*dsw_
      coupl(nGC_5340) = coupl(nGC_5338)*dcw_ + coupl(nGC_5339)*dsw_
      coupl(nGC_5225) = coupl(nGC_5223)*dcw_ + coupl(nGC_5224)*dsw_
      coupl(nGC_8000) = coupl(nGC_49)*dZA/2d0 + coupl(nGC_49)*dZWMinus + coupl(&
                        nGC_49)*dZZ/2d0 + coupl(nGC_5222)
      coupl(nGC_8001) = -coupl(nGC_8000)/2d0
      coupl(nGC_7549) = coupl(nGC_155)*dZH/2d0 + coupl(nGC_5177)
      coupl(nGC_10267) = coupl(nGC_110)*dZdR_QCD2
      coupl(nGC_10264) = coupl(nGC_114)*dZdL_QCD2
      coupl(nGC_7640) = coupl(nGC_81)*(dZcR_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_7643) = coupl(nGC_63)*(dZcL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_8675) = coupl(nGC_4)*dZtauMinusR
      coupl(nGC_4840) = cima*coupl(nGC_11)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0  &
                         + cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi &
                        **2d0)
      coupl(nGC_7884) = coupl(nGC_5262) + coupl(nGC_64)*dZWpMinus/2d0
      coupl(nGC_4846) = cima*(-cMB*coupl(nGC_61)*coupl(nGC_79) - cMC*coupl(    &
                        nGC_23)*coupl(nGC_32) - cMD*coupl(nGC_59)*coupl(nGC_77 &
                        ) - cMS*coupl(nGC_60)*coupl(nGC_78) - cMT*coupl(nGC_24 &
                        )*coupl(nGC_33) - cMU*coupl(nGC_101)*coupl(nGC_92))/(  &
                        8d0*pi**2d0)
      coupl(nGC_4847) = cima*(-coupl(nGC_109)**2d0 - coupl(nGC_115)**2d0 -     &
                        coupl(nGC_2)**2d0 - coupl(nGC_43)**2d0)/(16d0*pi**2d0)
      coupl(nGC_4844) = cMU*cima*(-coupl(nGC_111)*coupl(nGC_115) - coupl(nGC_2 &
                        )**2d0)/(8d0*pi**2d0)
      coupl(nGC_4845) = cMU*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_7766) = coupl(nGC_34)*(dZcR_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_9273) = coupl(nGC_149)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_4848) = cima*(-coupl(nGC_23)**2d0 - coupl(nGC_24)**2d0 - coupl(&
                        nGC_59)**2d0 - coupl(nGC_60)**2d0 - coupl(nGC_61)**2d0 &
                         - coupl(nGC_92)**2d0)/(16d0*pi**2d0)
      coupl(nGC_4849) = cima*(-coupl(nGC_101)**2d0 - coupl(nGC_32)**2d0 - coupl&
                        (nGC_33)**2d0 - coupl(nGC_77)**2d0 - coupl(nGC_78)**2d0&
                         - coupl(nGC_79)**2d0)/(16d0*pi**2d0)
      coupl(nGC_7762) = coupl(nGC_117)*dZZ/2d0 + coupl(nGC_117)*dZnu_tauL +    &
                        coupl(nGC_5444)
      coupl(nGC_5331) = coupl(nGC_5329)*dcw_ + coupl(nGC_5330)*dsw_
      coupl(nGC_7888) = coupl(nGC_48)*dZA/2d0 + coupl(nGC_48)*dZWMinus/2d0 +   &
                        coupl(nGC_5180)
      coupl(nGC_8075) = coupl(nGC_109)*dZWMinus/2d0 + coupl(nGC_5425)
      coupl(nGC_8179) = coupl(nGC_143)*(dZeMinusL + dZeMinusR)/2d0
      coupl(nGC_8173) = coupl(nGC_5304) + coupl(nGC_57)*dZWpMinus/2d0 + coupl( &
                        nGC_57)*dZmuMinusL/2d0 + coupl(nGC_57)*dZnu_tauL/2d0
      coupl(nGC_7885) = coupl(nGC_5260) + coupl(nGC_82)*dZWpMinus/2d0
      coupl(nGC_9445) = coupl(nGC_MU)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_5406) = coupl(nGC_5404)*dcw_ + coupl(nGC_5405)*dsw_
      coupl(nGC_5400) = coupl(nGC_5398)*dcw_ + coupl(nGC_5399)*dsw_
      coupl(nGC_5403) = coupl(nGC_5401)*dcw_ + coupl(nGC_5402)*dsw_
      coupl(nGC_5409) = coupl(nGC_5407)*dcw_ + coupl(nGC_5408)*dsw_
      coupl(nGC_4837) = cima*(-coupl(nGC_26)**2d0 - coupl(nGC_27)**2d0 - coupl(&
                        nGC_77)**2d0 - coupl(nGC_80)**2d0 - coupl(nGC_83)**2d0 &
                         - coupl(nGC_95)**2d0)/(16d0*pi**2d0)
      coupl(nGC_4836) = cima*(-cMB*coupl(nGC_18)*coupl(nGC_27) - cMC*coupl(    &
                        nGC_62)*coupl(nGC_80) - cMD*coupl(nGC_86)*coupl(nGC_95 &
                        ) - cMS*coupl(nGC_17)*coupl(nGC_26) - cMT*coupl(nGC_65 &
                        )*coupl(nGC_83) - cMU*coupl(nGC_59)*coupl(nGC_77))/(8d0&
                        *pi**2d0)
      coupl(nGC_4835) = cima*(-coupl(nGC_17)**2d0 - coupl(nGC_18)**2d0 - coupl(&
                        nGC_59)**2d0 - coupl(nGC_62)**2d0 - coupl(nGC_65)**2d0 &
                         - coupl(nGC_86)**2d0)/(16d0*pi**2d0)
      coupl(nGC_4834) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_108)**2d0 - coupl(&
                        nGC_114)**2d0 - coupl(nGC_43)**2d0)/(16d0*pi**2d0)
      coupl(nGC_4832) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_110)*coupl(   &
                        nGC_114))/(8d0*pi**2d0)
      coupl(nGC_4938) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                        nGC_114)**2d0 - coupl(nGC_130)*coupl(nGC_1325) - coupl(&
                        nGC_131)**2d0 - coupl(nGC_154)**2d0 - 4d0*coupl(nGC_42 &
                        )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_4939) = coupl(nGC_11)*sq2*(-coupl(nGC_18)**2d0 - coupl(nGC_19  &
                        )**2d0 - coupl(nGC_61)**2d0 - coupl(nGC_64)**2d0 -     &
                        coupl(nGC_67)**2d0 - coupl(nGC_88)**2d0)/(16d0*pi**2d0*&
                        Nc)
      coupl(nGC_4934) = coupl(nGC_11)**2d0*coupl(nGC_24)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4935) = coupl(nGC_11)**2d0*coupl(nGC_33)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4932) = coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_101) - coupl(  &
                        nGC_102) - coupl(nGC_103) + coupl(nGC_86) + coupl(     &
                        nGC_87) + coupl(nGC_88) + coupl(nGC_92) + coupl(nGC_93 &
                        ) + coupl(nGC_94) - coupl(nGC_95) - coupl(nGC_96) -    &
                        coupl(nGC_97))/(24d0*pi**2d0*Nc)
      coupl(nGC_4933) = coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_101) + coupl(   &
                        nGC_102) + coupl(nGC_103) - coupl(nGC_86) - coupl(     &
                        nGC_87) - coupl(nGC_88) - coupl(nGC_92) - coupl(nGC_93 &
                        ) - coupl(nGC_94) + coupl(nGC_95) + coupl(nGC_96) +    &
                        coupl(nGC_97))/(24d0*pi**2d0)
      coupl(nGC_7948) = coupl(nGC_5282) + coupl(nGC_69)*dZWpMinus/2d0 + coupl( &
                        nGC_69)*dZmuMinusR/2d0 + coupl(nGC_69)*dZnu_eR/2d0
      coupl(nGC_7940) = coupl(nGC_23)*dZZp/2d0 + coupl(nGC_5391)
      coupl(nGC_5045) = coupl(nGC_5044)*dlam_QED2
      coupl(nGC_5047) = coupl(nGC_5046)*dlam_QED2
      coupl(nGC_5041) = (-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*   &
                        cima*coupl(nGC_12)*coupl(nGC_713) + 9d0*Nc*coupl(nGC_10&
                        )**2d0*coupl(nGC_12)*sq2**2d0 - 12d0*Nc*coupl(nGC_10)**&
                        2d0*coupl(nGC_713)*sq2**2d0 + 18d0*cima*coupl(nGC_11)**&
                        4d0*sq2**4d0)/(384d0*pi**2d0)
      coupl(nGC_5040) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 24d0*Nc*   &
                        cima*coupl(nGC_12)*coupl(nGC_713) + 3d0*Nc*coupl(nGC_10&
                        )**2d0*coupl(nGC_12)*sq2**2d0 - 39d0*Nc*coupl(nGC_10)**&
                        2d0*coupl(nGC_713)*sq2**2d0 + 36d0*cima*coupl(nGC_11)**&
                        4d0*sq2**4d0)/(768d0*pi**2d0)
      coupl(nGC_8215) = coupl(nGC_11)*dZcL_QCD2
      coupl(nGC_5042) = -3d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(32d0*pi**2d0*Nc &
                        **3d0)
      coupl(nGC_8354) = coupl(nGC_1)*dZsR_QCD2
      coupl(nGC_8355) = coupl(nGC_1)*dZsL_QCD2
      coupl(nGC_5168) = coupl(nGC_5167)*dyc_QED1
      coupl(nGC_5169) = coupl(nGC_5167)*dyc_QED1_QCD2
      coupl(nGC_7577) = coupl(nGC_147)*dZH/2d0 + coupl(nGC_5149)
      coupl(nGC_7576) = coupl(nGC_147)*(dZmuMinusL + dZmuMinusR)/2d0
      coupl(nGC_5162) = coupl(nGC_5161)*dyup_QED1
      coupl(nGC_5163) = coupl(nGC_5161)*dyup_QED1_QCD2
      coupl(nGC_9105) = coupl(nGC_MI)*dZtL_QCD2
      coupl(nGC_9106) = coupl(nGC_MT)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_9108) = coupl(nGC_MI)*dZtR_QCD2
      coupl(nGC_9109) = coupl(nGC_5456) + coupl(nGC_9106)
      coupl(nGC_7830) = coupl(nGC_1)*dZbR_QCD2
      coupl(nGC_5308) = coupl(nGC_5307)*dsw_
      coupl(nGC_5302) = coupl(nGC_5301)*dsw_
      coupl(nGC_7902) = coupl(nGC_160)*dZH/2d0 + coupl(nGC_5162)
      coupl(nGC_5300) = coupl(nGC_5299)*dsw_
      coupl(nGC_7934) = coupl(nGC_32)*(dZcR_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_5306) = coupl(nGC_5305)*dsw_
      coupl(nGC_7932) = coupl(nGC_112)*dZZ/2d0 + coupl(nGC_112)*dZeMinusR +    &
                        coupl(nGC_5447)
      coupl(nGC_7931) = coupl(nGC_116)*dZZ/2d0 + coupl(nGC_116)*dZeMinusL +    &
                        coupl(nGC_5210)
      coupl(nGC_12588) = -coupl(nGC_12584)
      coupl(nGC_4921) = coupl(nGC_11)**2d0*coupl(nGC_34)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_8323) = coupl(nGC_11)*dZtL_QCD2
      coupl(nGC_8322) = coupl(nGC_11)*dZtR_QCD2
      coupl(nGC_8453) = coupl(nGC_MI)*dZeMinusR
      coupl(nGC_8452) = coupl(nGC_ME)*(dZeMinusL + dZeMinusR)/2d0
      coupl(nGC_8281) = coupl(nGC_88)*dZbL_QCD2
      coupl(nGC_8286) = coupl(nGC_5343) + coupl(nGC_88)*dZZp/2d0
      coupl(nGC_8287) = coupl(nGC_5346) + coupl(nGC_97)*dZZp/2d0
      coupl(nGC_5276) = coupl(nGC_5275)*dsw_
      coupl(nGC_7688) = coupl(nGC_118)*dZA/2d0 + coupl(nGC_118)*dZZ/2d0 + coupl&
                        (nGC_5204)
      coupl(nGC_4884) = coupl(nGC_11)**2d0*coupl(nGC_42)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4885) = coupl(nGC_11)**2d0*sq2**2d0*(cMB*coupl(nGC_131) + cMC* &
                        coupl(nGC_132) + cMD*coupl(nGC_138) + cMS*coupl(nGC_150&
                        ) + cMT*coupl(nGC_155) + cMU*coupl(nGC_160))/(16d0*pi**&
                        2d0*Nc)
      coupl(nGC_4882) = coupl(nGC_11)**2d0*coupl(nGC_155)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_7727) = coupl(nGC_61)*(dZbL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_7724) = coupl(nGC_79)*(dZbR_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_7681) = coupl(nGC_116)*dZZ/2d0 + coupl(nGC_5210)
      coupl(nGC_7682) = -coupl(nGC_7681)
      coupl(nGC_7685) = coupl(nGC_123)*dZWMinus/2d0 + coupl(nGC_123)*dZZ/2d0 + &
                        coupl(nGC_5217)
      coupl(nGC_4888) = coupl(nGC_11)**2d0*coupl(nGC_43)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9037) = coupl(nGC_MI)*dZZ
      coupl(nGC_5376) = coupl(nGC_5374)*dcw_ + coupl(nGC_5375)*dsw_
      coupl(nGC_5373) = coupl(nGC_5371)*dcw_ + coupl(nGC_5372)*dsw_
      coupl(nGC_5370) = coupl(nGC_5368)*dcw_ + coupl(nGC_5369)*dsw_
      coupl(nGC_8529) = coupl(nGC_95)*dZdR_QCD2
      coupl(nGC_8915) = coupl(nGC_139)*dZdR_QCD2/2d0 + coupl(nGC_139)*dZsL_QCD2&
                        /2d0 + coupl(nGC_5106)
      coupl(nGC_8521) = -coupl(nGC_8520)
      coupl(nGC_8032) = coupl(nGC_141)*dZdR_QCD2/2d0 + coupl(nGC_141)*dZsL_QCD2&
                        /2d0 + coupl(nGC_5123)
      coupl(nGC_8526) = coupl(nGC_86)*dZdL_QCD2
      coupl(nGC_8451) = coupl(nGC_MI)*dZeMinusL
      coupl(nGC_4972) = coupl(nGC_11)*sq2*(coupl(nGC_26)**2d0 + coupl(nGC_28)**&
                        2d0 + coupl(nGC_78)**2d0 + coupl(nGC_81)**2d0 + coupl( &
                        nGC_84)**2d0 + coupl(nGC_96)**2d0)/(16d0*pi**2d0)
      coupl(nGC_4971) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                        nGC_110)**2d0 + coupl(nGC_148)**2d0 + coupl(nGC_149)*  &
                        coupl(nGC_1587) + coupl(nGC_150)**2d0 + coupl(nGC_151)*&
                        coupl(nGC_153) + coupl(nGC_152)**2d0)/(64d0*pi**2d0)
      coupl(nGC_4976) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_111)**2d0 - coupl(   &
                        nGC_154)**2d0 - coupl(nGC_155)**2d0 - coupl(nGC_156)*  &
                        coupl(nGC_687) - 4d0*coupl(nGC_2)**2d0)/(64d0*pi**2d0* &
                        Nc)
      coupl(nGC_4977) = coupl(nGC_11)*sq2*(-coupl(nGC_103)**2d0 - coupl(nGC_33 &
                        )**2d0 - coupl(nGC_34)**2d0 - coupl(nGC_83)**2d0 -     &
                        coupl(nGC_84)**2d0 - coupl(nGC_85)**2d0)/(16d0*pi**2d0*&
                        Nc)
      coupl(nGC_7619) = coupl(nGC_111)*dZtR_QCD2
      coupl(nGC_7616) = coupl(nGC_115)*dZtL_QCD2
      coupl(nGC_4978) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_115)**2d0 + coupl(    &
                        nGC_129)**2d0 + coupl(nGC_155)**2d0 + coupl(nGC_156)*  &
                        coupl(nGC_687) + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl(    &
                        nGC_42)**2d0)/(64d0*pi**2d0)
      coupl(nGC_4979) = coupl(nGC_11)*sq2*(coupl(nGC_24)**2d0 + coupl(nGC_25)**&
                        2d0 + coupl(nGC_65)**2d0 + coupl(nGC_66)**2d0 + coupl( &
                        nGC_67)**2d0 + coupl(nGC_94)**2d0)/(16d0*pi**2d0)
      coupl(nGC_4879) = coupl(nGC_11)**2d0*coupl(nGC_140)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_5288) = coupl(nGC_5287)*dsw_
      coupl(nGC_4871) = coupl(nGC_11)**2d0*coupl(nGC_149)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_5280) = coupl(nGC_5279)*dsw_
      coupl(nGC_5286) = coupl(nGC_5285)*dsw_
      coupl(nGC_8149) = -coupl(nGC_5174)
      coupl(nGC_4874) = coupl(nGC_1085)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_7533) = coupl(nGC_1)*dZdL_QCD2
      coupl(nGC_7537) = coupl(nGC_47)*dZA/2d0 + coupl(nGC_47)*dZH/2d0 + coupl( &
                        nGC_47)*dZWMinus/2d0 + coupl(nGC_5182)
      coupl(nGC_4951) = coupl(nGC_11)*sq2*(-coupl(nGC_102)**2d0 - coupl(nGC_32 &
                        )**2d0 - coupl(nGC_34)**2d0 - coupl(nGC_80)**2d0 -     &
                        coupl(nGC_81)**2d0 - coupl(nGC_82)**2d0)/(16d0*pi**2d0*&
                        Nc)
      coupl(nGC_5081) = coupl(nGC_5079)*dMZ2 + coupl(nGC_5080)*dsw_
      coupl(nGC_5129) = coupl(nGC_5127)*dys_QED1_QCD2
      coupl(nGC_5085) = coupl(nGC_5082)*dcw_ + coupl(nGC_5083)*dMZ2 + coupl(   &
                        nGC_5084)*dsw_
      coupl(nGC_5087) = coupl(nGC_5086)*dZgs_QCD2
      coupl(nGC_5004) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl( &
                        nGC_86) - coupl(nGC_1)*coupl(nGC_87) - coupl(nGC_1)*   &
                        coupl(nGC_88) - coupl(nGC_1)*coupl(nGC_95) - coupl(    &
                        nGC_1)*coupl(nGC_96) - coupl(nGC_1)*coupl(nGC_97) -    &
                        coupl(nGC_101)*coupl(nGC_2) - coupl(nGC_102)*coupl(    &
                        nGC_2) - coupl(nGC_103)*coupl(nGC_2) - coupl(nGC_2)*   &
                        coupl(nGC_92) - coupl(nGC_2)*coupl(nGC_93) - coupl(    &
                        nGC_2)*coupl(nGC_94))/(96d0*pi**2d0*Nc)
      coupl(nGC_4989) = coupl(nGC_11)*sq2*(coupl(nGC_101)**2d0 + coupl(nGC_32  &
                        )**2d0 + coupl(nGC_33)**2d0 + coupl(nGC_77)**2d0 +     &
                        coupl(nGC_78)**2d0 + coupl(nGC_79)**2d0)/(16d0*pi**2d0)
      coupl(nGC_4907) = coupl(nGC_11)**2d0*coupl(nGC_78)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4906) = coupl(nGC_11)**2d0*coupl(nGC_60)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4905) = coupl(nGC_11)**2d0*coupl(nGC_84)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4904) = coupl(nGC_11)**2d0*coupl(nGC_66)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9889) = 2d0*coupl(nGC_15)*dZH + coupl(nGC_5045)
      coupl(nGC_4902) = coupl(nGC_11)**2d0*coupl(nGC_59)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4900) = coupl(nGC_11)**2d0*coupl(nGC_65)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4909) = coupl(nGC_11)**2d0*coupl(nGC_110)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4908) = coupl(nGC_11)**2d0*coupl(nGC_114)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_7879) = coupl(nGC_64)*(dZbL_QCD2 + dZcL_QCD2)/2d0
      coupl(nGC_7870) = coupl(nGC_136)*dZdR_QCD2/2d0 + coupl(nGC_136)*dZuL_QCD2&
                        /2d0 + coupl(nGC_5091)
      coupl(nGC_8088) = coupl(nGC_5310) + coupl(nGC_76)*dZWpMinus/2d0 + coupl( &
                        nGC_76)*dZnu_tauR/2d0 + coupl(nGC_76)*dZtauMinusR/2d0
      coupl(nGC_8360) = coupl(nGC_158)*(dZtauMinusL + dZtauMinusR)/2d0
      coupl(nGC_4981) = coupl(nGC_11)*sq2*(coupl(nGC_103)**2d0 + coupl(nGC_33  &
                        )**2d0 + coupl(nGC_34)**2d0 + coupl(nGC_83)**2d0 +     &
                        coupl(nGC_84)**2d0 + coupl(nGC_85)**2d0)/(16d0*pi**2d0)
      coupl(nGC_4980) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_111)**2d0 + coupl(    &
                        nGC_154)**2d0 + coupl(nGC_155)**2d0 + coupl(nGC_156)*  &
                        coupl(nGC_687) + 4d0*coupl(nGC_2)**2d0)/(64d0*pi**2d0)
      coupl(nGC_5157) = coupl(nGC_5155)*dyup_QED1_QCD2
      coupl(nGC_5156) = coupl(nGC_5155)*dyup_QED1
      coupl(nGC_5154) = coupl(nGC_5153)*dytau_QED1
      coupl(nGC_5152) = coupl(nGC_5151)*dytau_QED1
      coupl(nGC_5018) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_110) -    &
                        coupl(nGC_111) - coupl(nGC_114) - coupl(nGC_115))/(64d0&
                        *pi**2d0*Nc)
      coupl(nGC_5019) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_110) +     &
                        coupl(nGC_111) + coupl(nGC_114) + coupl(nGC_115))/(    &
                        128d0*pi**2d0)
      coupl(nGC_5016) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_59)**2d0  &
                         - coupl(nGC_60)**2d0 - coupl(nGC_61)**2d0 - coupl(    &
                        nGC_62)**2d0 - coupl(nGC_63)**2d0 - coupl(nGC_64)**2d0 &
                         - coupl(nGC_65)**2d0 - coupl(nGC_66)**2d0 - coupl(    &
                        nGC_67)**2d0 - coupl(nGC_77)**2d0 - coupl(nGC_78)**2d0 &
                         - coupl(nGC_79)**2d0 - coupl(nGC_80)**2d0 - coupl(    &
                        nGC_81)**2d0 - coupl(nGC_82)**2d0 - coupl(nGC_83)**2d0 &
                         - coupl(nGC_84)**2d0 - coupl(nGC_85)**2d0)/(96d0*pi** &
                        2d0*Nc)
      coupl(nGC_5017) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_110) +     &
                        coupl(nGC_111) + coupl(nGC_114) + coupl(nGC_115))/(32d0&
                        *pi**2d0*Nc**2d0)
      coupl(nGC_5014) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(&
                        nGC_2))/(64d0*pi**2d0)
      coupl(nGC_5015) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_59)**2d0 + &
                        coupl(nGC_60)**2d0 + coupl(nGC_61)**2d0 + coupl(nGC_62 &
                        )**2d0 + coupl(nGC_63)**2d0 + coupl(nGC_64)**2d0 +     &
                        coupl(nGC_65)**2d0 + coupl(nGC_66)**2d0 + coupl(nGC_67 &
                        )**2d0 + coupl(nGC_77)**2d0 + coupl(nGC_78)**2d0 +     &
                        coupl(nGC_79)**2d0 + coupl(nGC_80)**2d0 + coupl(nGC_81 &
                        )**2d0 + coupl(nGC_82)**2d0 + coupl(nGC_83)**2d0 +     &
                        coupl(nGC_84)**2d0 + coupl(nGC_85)**2d0)/(96d0*pi**2d0)
      coupl(nGC_5012) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(&
                        nGC_2))/(16d0*pi**2d0*Nc**2d0)
      coupl(nGC_5013) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl&
                        (nGC_2))/(32d0*pi**2d0*Nc)
      coupl(nGC_5010) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_101)*coupl&
                        (nGC_111) - coupl(nGC_102)*coupl(nGC_111) - coupl(     &
                        nGC_103)*coupl(nGC_111) - coupl(nGC_110)*coupl(nGC_95  &
                        ) - coupl(nGC_110)*coupl(nGC_96) - coupl(nGC_110)*coupl&
                        (nGC_97) - coupl(nGC_114)*coupl(nGC_86) - coupl(nGC_114&
                        )*coupl(nGC_87) - coupl(nGC_114)*coupl(nGC_88) - coupl(&
                        nGC_115)*coupl(nGC_92) - coupl(nGC_115)*coupl(nGC_93   &
                        ) - coupl(nGC_115)*coupl(nGC_94))/(96d0*pi**2d0*Nc)
      coupl(nGC_5011) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_101)*coupl(&
                        nGC_111) + coupl(nGC_102)*coupl(nGC_111) + coupl(      &
                        nGC_103)*coupl(nGC_111) + coupl(nGC_110)*coupl(nGC_95  &
                        ) + coupl(nGC_110)*coupl(nGC_96) + coupl(nGC_110)*coupl&
                        (nGC_97) + coupl(nGC_114)*coupl(nGC_86) + coupl(nGC_114&
                        )*coupl(nGC_87) + coupl(nGC_114)*coupl(nGC_88) + coupl(&
                        nGC_115)*coupl(nGC_92) + coupl(nGC_115)*coupl(nGC_93   &
                        ) + coupl(nGC_115)*coupl(nGC_94))/(96d0*pi**2d0)
      coupl(nGC_10231) = coupl(nGC_10228) + coupl(nGC_7826)
      coupl(nGC_8889) = coupl(nGC_110)*dZsR_QCD2
      coupl(nGC_5238) = coupl(nGC_5236)*dcw_ + coupl(nGC_5237)*dsw_
      coupl(nGC_5337) = coupl(nGC_5335)*dcw_ + coupl(nGC_5336)*dsw_
      coupl(nGC_9448) = coupl(nGC_5454) + coupl(nGC_9445)
      coupl(nGC_5232) = coupl(nGC_5229)*dcw_ + coupl(nGC_5230)*dsw_ + coupl(   &
                        nGC_5231)*dvev_QEDM1
      coupl(nGC_9444) = coupl(nGC_MI)*dZuL_QCD2
      coupl(nGC_4864) = coupl(nGC_11)**2d0*coupl(nGC_879)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_5274) = coupl(nGC_5273)*dsw_
      coupl(nGC_4865) = coupl(nGC_11)**2d0*coupl(nGC_137)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_5272) = coupl(nGC_5271)*dsw_
      coupl(nGC_8817) = coupl(nGC_5300) + coupl(nGC_74)*dZWpMinus/2d0 + coupl( &
                        nGC_74)*dZeMinusR/2d0 + coupl(nGC_74)*dZnu_tauR/2d0
      coupl(nGC_8816) = coupl(nGC_5302) + coupl(nGC_56)*dZWpMinus/2d0 + coupl( &
                        nGC_56)*dZeMinusL/2d0 + coupl(nGC_56)*dZnu_tauL/2d0
      coupl(nGC_8761) = coupl(nGC_MTA)*(dZtauMinusL + dZtauMinusR)/2d0
      coupl(nGC_8760) = coupl(nGC_MI)*dZtauMinusL
      coupl(nGC_5270) = coupl(nGC_5269)*dsw_
      coupl(nGC_9278) = coupl(nGC_5126) + coupl(nGC_9273)
      coupl(nGC_7652) = coupl(nGC_5298) + coupl(nGC_73)*dZWpMinus/2d0 + coupl( &
                        nGC_73)*dZnu_muR/2d0 + coupl(nGC_73)*dZtauMinusR/2d0
      coupl(nGC_8662) = coupl(nGC_MI)*dZnu_eR
      coupl(nGC_7895) = coupl(nGC_28)*dZZp/2d0 + coupl(nGC_5337)
      coupl(nGC_7896) = coupl(nGC_19)*dZZp/2d0 + coupl(nGC_5340)
      coupl(nGC_8666) = coupl(nGC_108)*dZWMinus/2d0 + coupl(nGC_5427)
      coupl(nGC_5248) = coupl(nGC_5247)*dsw_
      coupl(nGC_7713) = coupl(nGC_5272) + coupl(nGC_67)*dZWpMinus/2d0
      coupl(nGC_7711) = coupl(nGC_85)*(dZbR_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_7717) = coupl(nGC_5214) + coupl(nGC_8)*dZH/2d0 + coupl(nGC_8)* &
                        dZWMinus/2d0 + coupl(nGC_8)*dZZ/2d0
      coupl(nGC_5242) = coupl(nGC_5241)*dsw_
      coupl(nGC_7714) = coupl(nGC_5274) + coupl(nGC_85)*dZWpMinus/2d0
      coupl(nGC_8065) = coupl(nGC_148)*dZcL_QCD2/2d0 + coupl(nGC_148)*dZsR_QCD2&
                        /2d0 + coupl(nGC_5114)
      coupl(nGC_9041) = -coupl(nGC_9037)
      coupl(nGC_9040) = coupl(nGC_5460) + coupl(nGC_MZ)*dZZ
      coupl(nGC_8104) = coupl(nGC_5172) + coupl(nGC_8099)
      coupl(nGC_5108) = coupl(nGC_5107)*dydo_QED1
      coupl(nGC_8103) = coupl(nGC_132)*dZH/2d0 + coupl(nGC_5171)
      coupl(nGC_5412) = coupl(nGC_5410)*dcw_ + coupl(nGC_5411)*dsw_
    end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
