!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-29 12:10             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl3()
      coupl(nGC_7626) = coupl(nGC_5288) + coupl(nGC_71)*dZWpMinus/2d0 + coupl( &
                        nGC_71)*dZeMinusR/2d0 + coupl(nGC_71)*dZnu_muR/2d0
      coupl(nGC_7621) = coupl(nGC_111)*dZZ/2d0 + coupl(nGC_5435)
      coupl(nGC_7620) = coupl(nGC_115)*dZZ/2d0 + coupl(nGC_5432)
      coupl(nGC_5418) = coupl(nGC_5416)*dcw_ + coupl(nGC_5417)*dsw_
      coupl(nGC_4824) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_110)*coupl(   &
                        nGC_114))/(8d0*pi**2d0)
      coupl(nGC_4825) = cima*(-coupl(nGC_26)**2d0 - coupl(nGC_28)**2d0 - coupl(&
                        nGC_78)**2d0 - coupl(nGC_81)**2d0 - coupl(nGC_84)**2d0 &
                         - coupl(nGC_96)**2d0)/(16d0*pi**2d0)
      coupl(nGC_4826) = cMT*cima*(-coupl(nGC_111)*coupl(nGC_115) - coupl(nGC_2 &
                        )**2d0)/(8d0*pi**2d0)
      coupl(nGC_4948) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_108)**2d0 - 4d0*coupl&
                        (nGC_115)**2d0 - coupl(nGC_132)**2d0 - coupl(nGC_133)* &
                        coupl(nGC_919) - coupl(nGC_148)**2d0 - 4d0*coupl(nGC_2 &
                        )**2d0 - 4d0*coupl(nGC_43)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_4821) = cima*(-cMB*coupl(nGC_19)*coupl(nGC_28) - cMC*coupl(    &
                        nGC_63)*coupl(nGC_81) - cMD*coupl(nGC_17)*coupl(nGC_26 &
                        ) - cMS*coupl(nGC_87)*coupl(nGC_96) - cMT*coupl(nGC_66 &
                        )*coupl(nGC_84) - cMU*coupl(nGC_60)*coupl(nGC_78))/(8d0&
                        *pi**2d0)
      coupl(nGC_4822) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_109)**2d0 - coupl(&
                        nGC_114)**2d0 - coupl(nGC_43)**2d0)/(16d0*pi**2d0)
      coupl(nGC_4823) = cima*(-coupl(nGC_17)**2d0 - coupl(nGC_19)**2d0 - coupl(&
                        nGC_60)**2d0 - coupl(nGC_63)**2d0 - coupl(nGC_66)**2d0 &
                         - coupl(nGC_87)**2d0)/(16d0*pi**2d0)
      coupl(nGC_4943) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                        nGC_114)**2d0 + coupl(nGC_130)*coupl(nGC_1325) + coupl(&
                        nGC_131)**2d0 + coupl(nGC_154)**2d0 + 4d0*coupl(nGC_42 &
                        )**2d0)/(64d0*pi**2d0)
      coupl(nGC_4942) = coupl(nGC_11)*sq2*(-coupl(nGC_27)**2d0 - coupl(nGC_28  &
                        )**2d0 - coupl(nGC_79)**2d0 - coupl(nGC_82)**2d0 -     &
                        coupl(nGC_85)**2d0 - coupl(nGC_97)**2d0)/(16d0*pi**2d0*&
                        Nc)
      coupl(nGC_4941) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                        nGC_110)**2d0 - coupl(nGC_129)**2d0 - coupl(nGC_130)*  &
                        coupl(nGC_1325) - coupl(nGC_131)**2d0)/(64d0*pi**2d0*Nc&
                        )
      coupl(nGC_4828) = cima*(-coupl(nGC_115)**2d0 - coupl(nGC_2)**2d0 - coupl(&
                        nGC_42)**2d0)/(16d0*pi**2d0)
      coupl(nGC_4829) = cima*(-coupl(nGC_24)**2d0 - coupl(nGC_25)**2d0 - coupl(&
                        nGC_65)**2d0 - coupl(nGC_66)**2d0 - coupl(nGC_67)**2d0 &
                         - coupl(nGC_94)**2d0)/(16d0*pi**2d0)
      coupl(nGC_4944) = coupl(nGC_11)*sq2*(coupl(nGC_18)**2d0 + coupl(nGC_19)**&
                        2d0 + coupl(nGC_61)**2d0 + coupl(nGC_64)**2d0 + coupl( &
                        nGC_67)**2d0 + coupl(nGC_88)**2d0)/(16d0*pi**2d0)
      coupl(nGC_8205) = coupl(nGC_111)*dZcR_QCD2
      coupl(nGC_8208) = coupl(nGC_115)*dZcL_QCD2
      coupl(nGC_5119) = coupl(nGC_5118)*dys_QED1
      coupl(nGC_7564) = -coupl(nGC_5168)
      coupl(nGC_7565) = -coupl(nGC_5169) - coupl(nGC_7563)
      coupl(nGC_5111) = coupl(nGC_5110)*dys_QED1
      coupl(nGC_5117) = coupl(nGC_5115)*dyc_QED1_QCD2
      coupl(nGC_5116) = coupl(nGC_5115)*dyc_QED1
      coupl(nGC_5466) = coupl(nGC_227)*dMZ2
      coupl(nGC_5465) = coupl(nGC_223)*dMW2
      coupl(nGC_5464) = coupl(nGC_219)*dMW2
      coupl(nGC_7841) = coupl(nGC_152)*dZdL_QCD2/2d0 + coupl(nGC_152)*dZsR_QCD2&
                        /2d0 + coupl(nGC_5112)
      coupl(nGC_7840) = coupl(nGC_140)*dZH/2d0 + coupl(nGC_5108)
      coupl(nGC_8033) = coupl(nGC_153)*dZdL_QCD2/2d0 + coupl(nGC_153)*dZsR_QCD2&
                        /2d0 + coupl(nGC_5120)
      coupl(nGC_9521) = coupl(nGC_102)*dZZp/2d0 + coupl(nGC_5403)
      coupl(nGC_5027) = sq2**2d0*(-2d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 -   &
                        3d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_715) + 3d0*Nc*coupl&
                        (nGC_10)**2d0*coupl(nGC_725) - 30d0*cima*coupl(nGC_11  &
                        )**4d0*sq2**2d0)/(384d0*pi**2d0)
      coupl(nGC_5026) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_101)**2d0  &
                         + coupl(nGC_102)**2d0 + coupl(nGC_103)**2d0 + 2d0*    &
                        coupl(nGC_17)**2d0 + 2d0*coupl(nGC_18)**2d0 + 2d0*coupl&
                        (nGC_19)**2d0 + 2d0*coupl(nGC_23)**2d0 + 2d0*coupl(    &
                        nGC_24)**2d0 + 2d0*coupl(nGC_25)**2d0 + 2d0*coupl(     &
                        nGC_26)**2d0 + 2d0*coupl(nGC_27)**2d0 + 2d0*coupl(     &
                        nGC_28)**2d0 + 2d0*coupl(nGC_32)**2d0 + 2d0*coupl(     &
                        nGC_33)**2d0 + 2d0*coupl(nGC_34)**2d0 + coupl(nGC_86)**&
                        2d0 + coupl(nGC_87)**2d0 + coupl(nGC_88)**2d0 + coupl( &
                        nGC_92)**2d0 + coupl(nGC_93)**2d0 + coupl(nGC_94)**2d0 &
                         + coupl(nGC_95)**2d0 + coupl(nGC_96)**2d0 + coupl(    &
                        nGC_97)**2d0)/(96d0*pi**2d0)
      coupl(nGC_5025) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_101)**2d0 &
                         - coupl(nGC_102)**2d0 - coupl(nGC_103)**2d0 - 2d0*    &
                        coupl(nGC_17)**2d0 - 2d0*coupl(nGC_18)**2d0 - 2d0*coupl&
                        (nGC_19)**2d0 - 2d0*coupl(nGC_23)**2d0 - 2d0*coupl(    &
                        nGC_24)**2d0 - 2d0*coupl(nGC_25)**2d0 - 2d0*coupl(     &
                        nGC_26)**2d0 - 2d0*coupl(nGC_27)**2d0 - 2d0*coupl(     &
                        nGC_28)**2d0 - 2d0*coupl(nGC_32)**2d0 - 2d0*coupl(     &
                        nGC_33)**2d0 - 2d0*coupl(nGC_34)**2d0 - coupl(nGC_86)**&
                        2d0 - coupl(nGC_87)**2d0 - coupl(nGC_88)**2d0 - coupl( &
                        nGC_92)**2d0 - coupl(nGC_93)**2d0 - coupl(nGC_94)**2d0 &
                         - coupl(nGC_95)**2d0 - coupl(nGC_96)**2d0 - coupl(    &
                        nGC_97)**2d0)/(96d0*pi**2d0*Nc)
      coupl(nGC_5024) = 3d0*cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_101   &
                        ) - coupl(nGC_102) - coupl(nGC_103) + coupl(nGC_86) +  &
                        coupl(nGC_87) + coupl(nGC_88) + coupl(nGC_92) + coupl( &
                        nGC_93) + coupl(nGC_94) - coupl(nGC_95) - coupl(nGC_96 &
                        ) - coupl(nGC_97))/(128d0*pi**2d0)
      coupl(nGC_5023) = 3d0*cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_101) + &
                        coupl(nGC_102) + coupl(nGC_103) - coupl(nGC_86) - coupl&
                        (nGC_87) - coupl(nGC_88) - coupl(nGC_92) - coupl(nGC_93&
                        ) - coupl(nGC_94) + coupl(nGC_95) + coupl(nGC_96) +    &
                        coupl(nGC_97))/(128d0*pi**2d0)
      coupl(nGC_8339) = coupl(nGC_135)*dZcR_QCD2/2d0 + coupl(nGC_135)*dZdL_QCD2&
                        /2d0 + coupl(nGC_5166)
      coupl(nGC_5021) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_101) -    &
                        coupl(nGC_102) - coupl(nGC_103) - coupl(nGC_86) - coupl&
                        (nGC_87) - coupl(nGC_88) - coupl(nGC_92) - coupl(nGC_93&
                        ) - coupl(nGC_94) - coupl(nGC_95) - coupl(nGC_96) -    &
                        coupl(nGC_97))/(192d0*pi**2d0*Nc)
      coupl(nGC_8191) = coupl(nGC_66)*(dZsL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_5029) = (20d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*   &
                        cima*coupl(nGC_12)*coupl(nGC_715) + 12d0*Nc*cima*coupl(&
                        nGC_713)*coupl(nGC_715) - 21d0*Nc*coupl(nGC_10)**2d0*  &
                        coupl(nGC_12)*sq2**2d0 + 15d0*Nc*coupl(nGC_10)**2d0*   &
                        coupl(nGC_713)*sq2**2d0 - 15d0*Nc*coupl(nGC_10)**2d0*  &
                        coupl(nGC_715)*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*   &
                        coupl(nGC_725)*sq2**2d0 - 12d0*cima*coupl(nGC_11)**4d0*&
                        sq2**4d0)/(768d0*pi**2d0*Nc)
      coupl(nGC_5028) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*Nc*   &
                        cima*coupl(nGC_12)**2d0 + 12d0*Nc*cima*coupl(nGC_713)**&
                        2d0 + 21d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2**2d0&
                         - 21d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_713)*sq2**2d0  &
                         + 36d0*cima*coupl(nGC_11)**4d0*sq2**4d0)/(768d0*pi**  &
                        2d0)
      coupl(nGC_8194) = coupl(nGC_5270) + coupl(nGC_66)*dZWpMinus/2d0
      coupl(nGC_7691) = coupl(nGC_2)*dZuL_QCD2
      coupl(nGC_7698) = coupl(nGC_5264) + coupl(nGC_83)*dZWpMinus/2d0
      coupl(nGC_7699) = coupl(nGC_5266) + coupl(nGC_65)*dZWpMinus/2d0
      coupl(nGC_5201) = coupl(nGC_5200)*dsw_
      coupl(nGC_5207) = coupl(nGC_5205)*dcw_ + coupl(nGC_5206)*dsw_
      coupl(nGC_7993) = coupl(nGC_131)*dZH/2d0 + coupl(nGC_5138)
      coupl(nGC_7992) = coupl(nGC_131)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_8532) = coupl(nGC_5313) + coupl(nGC_95)*dZZp/2d0
      coupl(nGC_7994) = coupl(nGC_5139) + coupl(nGC_7992)
      coupl(nGC_7997) = coupl(nGC_124)*dZH/2d0 + coupl(nGC_5051)
      coupl(nGC_8531) = coupl(nGC_5316) + coupl(nGC_86)*dZZp/2d0
      coupl(nGC_5364) = coupl(nGC_5362)*dcw_ + coupl(nGC_5363)*dsw_
      coupl(nGC_5367) = coupl(nGC_5365)*dcw_ + coupl(nGC_5366)*dsw_
      coupl(nGC_5361) = coupl(nGC_5359)*dcw_ + coupl(nGC_5360)*dsw_
      coupl(nGC_8383) = coupl(nGC_138)*dZH/2d0 + coupl(nGC_5099)
      coupl(nGC_8382) = coupl(nGC_138)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_8384) = coupl(nGC_5100) + coupl(nGC_8382)
      coupl(nGC_8841) = coupl(nGC_5379) + coupl(nGC_91)*dZZp/2d0 + coupl(nGC_91&
                        )*dZtauMinusL
      coupl(nGC_7627) = coupl(nGC_5290) + coupl(nGC_53)*dZWpMinus/2d0 + coupl( &
                        nGC_53)*dZeMinusL/2d0 + coupl(nGC_53)*dZnu_muL/2d0
      coupl(nGC_7668) = coupl(nGC_142)*dZeMinusR/2d0 + coupl(nGC_142)*dZnu_eL/ &
                        2d0 + coupl(nGC_5140)
      coupl(nGC_4988) = coupl(nGC_11)*sq2*(coupl(nGC_1085)*coupl(nGC_161) + 4d0&
                        *coupl(nGC_111)**2d0 + coupl(nGC_160)**2d0 + coupl(    &
                        nGC_162)**2d0 + coupl(nGC_163)**2d0 + 4d0*coupl(nGC_2  &
                        )**2d0)/(64d0*pi**2d0)
      coupl(nGC_4987) = coupl(nGC_11)*sq2*(coupl(nGC_23)**2d0 + coupl(nGC_24)**&
                        2d0 + coupl(nGC_59)**2d0 + coupl(nGC_60)**2d0 + coupl( &
                        nGC_61)**2d0 + coupl(nGC_92)**2d0)/(16d0*pi**2d0)
      coupl(nGC_4986) = coupl(nGC_11)*sq2*(coupl(nGC_1085)*coupl(nGC_161) + 4d0&
                        *coupl(nGC_109)**2d0 + 4d0*coupl(nGC_115)**2d0 + coupl(&
                        nGC_136)**2d0 + coupl(nGC_160)**2d0 + 4d0*coupl(nGC_2  &
                        )**2d0 + 4d0*coupl(nGC_43)**2d0)/(64d0*pi**2d0)
      coupl(nGC_4985) = coupl(nGC_11)*sq2*(-coupl(nGC_101)**2d0 - coupl(nGC_32 &
                        )**2d0 - coupl(nGC_33)**2d0 - coupl(nGC_77)**2d0 -     &
                        coupl(nGC_78)**2d0 - coupl(nGC_79)**2d0)/(16d0*pi**2d0*&
                        Nc)
      coupl(nGC_4984) = coupl(nGC_11)*sq2*(-coupl(nGC_1085)*coupl(nGC_161) -   &
                        4d0*coupl(nGC_111)**2d0 - coupl(nGC_160)**2d0 - coupl( &
                        nGC_162)**2d0 - coupl(nGC_163)**2d0 - 4d0*coupl(nGC_2  &
                        )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_4983) = coupl(nGC_11)*sq2*(-coupl(nGC_23)**2d0 - coupl(nGC_24  &
                        )**2d0 - coupl(nGC_59)**2d0 - coupl(nGC_60)**2d0 -     &
                        coupl(nGC_61)**2d0 - coupl(nGC_92)**2d0)/(16d0*pi**2d0*&
                        Nc)
      coupl(nGC_4982) = coupl(nGC_11)*sq2*(-coupl(nGC_1085)*coupl(nGC_161) -   &
                        4d0*coupl(nGC_109)**2d0 - 4d0*coupl(nGC_115)**2d0 -    &
                        coupl(nGC_136)**2d0 - coupl(nGC_160)**2d0 - 4d0*coupl( &
                        nGC_2)**2d0 - 4d0*coupl(nGC_43)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_7665) = coupl(nGC_17)*dZZp/2d0 + coupl(nGC_5322)
      coupl(nGC_4869) = coupl(nGC_11)**2d0*coupl(nGC_151)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8156) = coupl(nGC_78)*(dZsR_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_8150) = -coupl(nGC_5175) - coupl(nGC_8148)
      coupl(nGC_8151) = coupl(nGC_5175) + coupl(nGC_8148)
      coupl(nGC_4860) = coupl(nGC_11)**2d0*coupl(nGC_1325)*sq2**2d0*(Nc**2d0 - &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4861) = coupl(nGC_11)**2d0*coupl(nGC_130)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_5292) = coupl(nGC_5291)*dsw_
      coupl(nGC_8656) = coupl(nGC_146)*(dZmuMinusL + dZmuMinusR)/2d0
      coupl(nGC_4867) = coupl(nGC_11)**2d0*coupl(nGC_153)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_5096) = coupl(nGC_5095)*dydo_QED1
      coupl(nGC_5097) = coupl(nGC_5095)*dydo_QED1_QCD2
      coupl(nGC_5094) = coupl(nGC_5092)*dyup_QED1_QCD2
      coupl(nGC_10410) = coupl(nGC_96)*dZsR_QCD2
      coupl(nGC_10413) = coupl(nGC_5334) + coupl(nGC_96)*dZZp/2d0
      coupl(nGC_10412) = coupl(nGC_5331) + coupl(nGC_87)*dZZp/2d0
      coupl(nGC_7520) = -coupl(nGC_7519)
      coupl(nGC_7524) = coupl(nGC_43)*dZWMinus/2d0 + coupl(nGC_5423)
      coupl(nGC_4893) = coupl(nGC_11)**2d0*coupl(nGC_85)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4949) = coupl(nGC_11)*sq2*(-coupl(nGC_23)**2d0 - coupl(nGC_25  &
                        )**2d0 - coupl(nGC_62)**2d0 - coupl(nGC_63)**2d0 -     &
                        coupl(nGC_64)**2d0 - coupl(nGC_93)**2d0)/(16d0*pi**2d0*&
                        Nc)
      coupl(nGC_5429) = coupl(nGC_5428)*dsw_
      coupl(nGC_4910) = coupl(nGC_11)**2d0*coupl(nGC_115)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4911) = coupl(nGC_11)**2d0*coupl(nGC_111)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4912) = coupl(nGC_11)**2d0*coupl(nGC_88)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_5421) = coupl(nGC_183)*dZgs_QCD2
      coupl(nGC_4918) = coupl(nGC_11)**2d0*coupl(nGC_93)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_5034) = (-10d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 6d0*cima*    &
                        coupl(nGC_715)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(    &
                        nGC_12)*sq2**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_713&
                        )*sq2**2d0 + 15d0*coupl(nGC_10)**2d0*coupl(nGC_715)*sq2&
                        **2d0)/(192d0*pi**2d0)
      coupl(nGC_5035) = (-10d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 6d0*cima*    &
                        coupl(nGC_715)**2d0 + 18d0*coupl(nGC_10)**2d0*coupl(   &
                        nGC_715)*sq2**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(      &
                        nGC_725)*sq2**2d0)/(192d0*pi**2d0)
      coupl(nGC_4970) = coupl(nGC_11)*sq2*(coupl(nGC_17)**2d0 + coupl(nGC_19)**&
                        2d0 + coupl(nGC_60)**2d0 + coupl(nGC_63)**2d0 + coupl( &
                        nGC_66)**2d0 + coupl(nGC_87)**2d0)/(16d0*pi**2d0)
      coupl(nGC_9874) = coupl(nGC_MI)*dZbR_QCD2
      coupl(nGC_9871) = coupl(nGC_MI)*dZbL_QCD2
      coupl(nGC_9872) = coupl(nGC_MB)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_5030) = (5d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 3d0*Nc*cima*&
                        coupl(nGC_12)*coupl(nGC_715) + 3d0*Nc*cima*coupl(      &
                        nGC_713)*coupl(nGC_715) - 6d0*Nc*coupl(nGC_10)**2d0*   &
                        coupl(nGC_12)*sq2**2d0 + 3d0*Nc*coupl(nGC_10)**2d0*    &
                        coupl(nGC_713)*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*   &
                        coupl(nGC_715)*sq2**2d0 - 3d0*cima*coupl(nGC_11)**4d0* &
                        sq2**4d0)/(192d0*pi**2d0*Nc)
      coupl(nGC_7595) = coupl(nGC_I)*dZH
      coupl(nGC_5068) = coupl(nGC_5066)*dcw_ + coupl(nGC_5067)*dsw_
      coupl(nGC_4974) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_115)**2d0 - coupl(   &
                        nGC_129)**2d0 - coupl(nGC_155)**2d0 - coupl(nGC_156)*  &
                        coupl(nGC_687) - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl(    &
                        nGC_42)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_4947) = coupl(nGC_11)*sq2*(coupl(nGC_27)**2d0 + coupl(nGC_28)**&
                        2d0 + coupl(nGC_79)**2d0 + coupl(nGC_82)**2d0 + coupl( &
                        nGC_85)**2d0 + coupl(nGC_97)**2d0)/(16d0*pi**2d0)
      coupl(nGC_4975) = coupl(nGC_11)*sq2*(-coupl(nGC_24)**2d0 - coupl(nGC_25  &
                        )**2d0 - coupl(nGC_65)**2d0 - coupl(nGC_66)**2d0 -     &
                        coupl(nGC_67)**2d0 - coupl(nGC_94)**2d0)/(16d0*pi**2d0*&
                        Nc)
      coupl(nGC_8275) = coupl(nGC_42)*dZWMinus/2d0 + coupl(nGC_42)*dZnu_tauL/  &
                        2d0 + coupl(nGC_42)*dZtauMinusL/2d0 + coupl(nGC_5429)
      coupl(nGC_7598) = coupl(nGC_5449) + coupl(nGC_MH)*dZH
      coupl(nGC_5065) = coupl(nGC_5063)*dMW2 + coupl(nGC_5064)*dsw_
      coupl(nGC_4946) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                        nGC_110)**2d0 + coupl(nGC_129)**2d0 + coupl(nGC_130)*  &
                        coupl(nGC_1325) + coupl(nGC_131)**2d0)/(64d0*pi**2d0)
      coupl(nGC_4830) = cima*(-cMB*coupl(nGC_67)*coupl(nGC_85) - cMC*coupl(    &
                        nGC_25)*coupl(nGC_34) - cMD*coupl(nGC_65)*coupl(nGC_83 &
                        ) - cMS*coupl(nGC_66)*coupl(nGC_84) - cMT*coupl(nGC_103&
                        )*coupl(nGC_94) - cMU*coupl(nGC_24)*coupl(nGC_33))/(8d0&
                        *pi**2d0)
      coupl(nGC_7790) = coupl(nGC_77)*(dZdR_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_7796) = coupl(nGC_5242) + coupl(nGC_59)*dZWpMinus/2d0
      coupl(nGC_8879) = coupl(nGC_MI)*dZmuMinusR
      coupl(nGC_8877) = coupl(nGC_MM)*(dZmuMinusL + dZmuMinusR)/2d0
      coupl(nGC_8876) = coupl(nGC_MI)*dZmuMinusL
      coupl(nGC_8181) = coupl(nGC_5142) + coupl(nGC_8179)
      coupl(nGC_8180) = -coupl(nGC_5142) - coupl(nGC_8179)
      coupl(nGC_7818) = coupl(nGC_24)*dZZp/2d0 + coupl(nGC_5400)
      coupl(nGC_9515) = coupl(nGC_93)*dZcL_QCD2
      coupl(nGC_5328) = coupl(nGC_5326)*dcw_ + coupl(nGC_5327)*dsw_
      coupl(nGC_7811) = coupl(nGC_5465) + coupl(nGC_MMW_GF)*dZWMinus/2d0
      coupl(nGC_11164) = coupl(nGC_MI)*dZnu_tauL
      coupl(nGC_11165) = coupl(nGC_MI)*dZnu_tauR
      coupl(nGC_8770) = coupl(nGC_122)*dZZ + coupl(nGC_5225)
      coupl(nGC_5144) = coupl(nGC_5143)*dye_QED1
      coupl(nGC_8590) = coupl(nGC_112)*dZZ/2d0 + coupl(nGC_112)*dZmuMinusR +   &
                        coupl(nGC_5447)
      coupl(nGC_8591) = coupl(nGC_116)*dZZ/2d0 + coupl(nGC_116)*dZmuMinusL +   &
                        coupl(nGC_5210)
      coupl(nGC_8676) = coupl(nGC_7826) + coupl(nGC_8675)
      coupl(nGC_7708) = coupl(nGC_67)*(dZbL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_5394) = coupl(nGC_5392)*dcw_ + coupl(nGC_5393)*dsw_
      coupl(nGC_5397) = coupl(nGC_5395)*dcw_ + coupl(nGC_5396)*dsw_
      coupl(nGC_4870) = coupl(nGC_11)**2d0*coupl(nGC_1587)*sq2**2d0*(Nc**2d0 - &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_5258) = coupl(nGC_5257)*dsw_
      coupl(nGC_8673) = coupl(nGC_4)*dZtauMinusL
      coupl(nGC_5256) = coupl(nGC_5255)*dsw_
      coupl(nGC_7703) = coupl(nGC_42)*dZWMinus/2d0 + coupl(nGC_5429)
      coupl(nGC_5250) = coupl(nGC_5249)*dsw_
      coupl(nGC_8054) = -coupl(nGC_5135)
      coupl(nGC_5284) = coupl(nGC_5283)*dsw_
      coupl(nGC_5193) = coupl(nGC_5192)*dsw_
      coupl(nGC_10102) = coupl(nGC_5466) + coupl(nGC_MZ_GF)*dZZ/2d0
      coupl(nGC_5195) = coupl(nGC_5194)*dsw_
      coupl(nGC_9277) = -coupl(nGC_5126) - coupl(nGC_9273)
      coupl(nGC_7635) = coupl(nGC_31)*dZZp/2d0 + coupl(nGC_31)*dZmuMinusR/2d0  &
                         + coupl(nGC_31)*dZtauMinusR/2d0 + coupl(nGC_5376)
      coupl(nGC_7636) = coupl(nGC_22)*dZZp/2d0 + coupl(nGC_22)*dZmuMinusL/2d0  &
                         + coupl(nGC_22)*dZtauMinusL/2d0 + coupl(nGC_5373)
      coupl(nGC_7630) = coupl(nGC_127)*dZA/2d0 + coupl(nGC_127)*dZWMinus/2d0 + &
                        coupl(nGC_5185)
      coupl(nGC_4811) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_110)**2d0)/(16d0* &
                        pi**2d0)
      coupl(nGC_4959) = coupl(nGC_11)*sq2*(-coupl(nGC_26)**2d0 - coupl(nGC_27  &
                        )**2d0 - coupl(nGC_77)**2d0 - coupl(nGC_80)**2d0 -     &
                        coupl(nGC_83)**2d0 - coupl(nGC_95)**2d0)/(16d0*pi**2d0*&
                        Nc)
      coupl(nGC_4813) = cMC*cima*(-coupl(nGC_111)*coupl(nGC_115) - coupl(nGC_2 &
                        )**2d0)/(8d0*pi**2d0)
      coupl(nGC_4812) = cima*(-coupl(nGC_27)**2d0 - coupl(nGC_28)**2d0 - coupl(&
                        nGC_79)**2d0 - coupl(nGC_82)**2d0 - coupl(nGC_85)**2d0 &
                         - coupl(nGC_97)**2d0)/(16d0*pi**2d0)
      coupl(nGC_4815) = cima*(-coupl(nGC_108)**2d0 - coupl(nGC_115)**2d0 -     &
                        coupl(nGC_2)**2d0 - coupl(nGC_43)**2d0)/(16d0*pi**2d0)
      coupl(nGC_4817) = cima*(-cMB*coupl(nGC_64)*coupl(nGC_82) - cMC*coupl(    &
                        nGC_102)*coupl(nGC_93) - cMD*coupl(nGC_62)*coupl(nGC_80&
                        ) - cMS*coupl(nGC_63)*coupl(nGC_81) - cMT*coupl(nGC_25 &
                        )*coupl(nGC_34) - cMU*coupl(nGC_23)*coupl(nGC_32))/(8d0&
                        *pi**2d0)
      coupl(nGC_4816) = cima*(-coupl(nGC_23)**2d0 - coupl(nGC_25)**2d0 - coupl(&
                        nGC_62)**2d0 - coupl(nGC_63)**2d0 - coupl(nGC_64)**2d0 &
                         - coupl(nGC_93)**2d0)/(16d0*pi**2d0)
      coupl(nGC_4819) = cima*(-coupl(nGC_102)**2d0 - coupl(nGC_32)**2d0 - coupl&
                        (nGC_34)**2d0 - coupl(nGC_80)**2d0 - coupl(nGC_81)**2d0&
                         - coupl(nGC_82)**2d0)/(16d0*pi**2d0)
      coupl(nGC_4818) = cima*(-coupl(nGC_111)**2d0 - coupl(nGC_2)**2d0)/(16d0* &
                        pi**2d0)
      coupl(nGC_4952) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_108)**2d0 + 4d0*coupl(&
                        nGC_115)**2d0 + coupl(nGC_132)**2d0 + coupl(nGC_133)*  &
                        coupl(nGC_919) + coupl(nGC_148)**2d0 + 4d0*coupl(nGC_2 &
                        )**2d0 + 4d0*coupl(nGC_43)**2d0)/(64d0*pi**2d0)
      coupl(nGC_4953) = coupl(nGC_11)*sq2*(coupl(nGC_23)**2d0 + coupl(nGC_25)**&
                        2d0 + coupl(nGC_62)**2d0 + coupl(nGC_63)**2d0 + coupl( &
                        nGC_64)**2d0 + coupl(nGC_93)**2d0)/(16d0*pi**2d0)
      coupl(nGC_4954) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_111)**2d0 + coupl(    &
                        nGC_132)**2d0 + coupl(nGC_133)*coupl(nGC_919) + coupl( &
                        nGC_134)**2d0 + coupl(nGC_135)**2d0 + 4d0*coupl(nGC_2  &
                        )**2d0)/(64d0*pi**2d0)
      coupl(nGC_4955) = coupl(nGC_11)*sq2*(coupl(nGC_102)**2d0 + coupl(nGC_32  &
                        )**2d0 + coupl(nGC_34)**2d0 + coupl(nGC_80)**2d0 +     &
                        coupl(nGC_81)**2d0 + coupl(nGC_82)**2d0)/(16d0*pi**2d0)
      coupl(nGC_4956) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                        nGC_108)**2d0 - 4d0*coupl(nGC_114)**2d0 - coupl(nGC_135&
                        )**2d0 - coupl(nGC_137)*coupl(nGC_879) - coupl(nGC_138 &
                        )**2d0 - coupl(nGC_151)*coupl(nGC_153) - coupl(nGC_152 &
                        )**2d0 - coupl(nGC_162)**2d0 - 4d0*coupl(nGC_43)**2d0  &
                        )/(64d0*pi**2d0*Nc)
      coupl(nGC_4957) = coupl(nGC_11)*sq2*(-coupl(nGC_17)**2d0 - coupl(nGC_18  &
                        )**2d0 - coupl(nGC_59)**2d0 - coupl(nGC_62)**2d0 -     &
                        coupl(nGC_65)**2d0 - coupl(nGC_86)**2d0)/(16d0*pi**2d0*&
                        Nc)
      coupl(nGC_4899) = coupl(nGC_11)**2d0*coupl(nGC_63)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_14185) = -coupl(nGC_4990)
      coupl(nGC_5109) = coupl(nGC_5107)*dydo_QED1_QCD2
      coupl(nGC_8232) = coupl(nGC_45)*dZWMinus + coupl(nGC_45)*dZZ/2d0 + coupl(&
                        nGC_5068)
      coupl(nGC_7559) = coupl(nGC_5370) + coupl(nGC_99)*dZZp/2d0 + coupl(nGC_99&
                        )*dZmuMinusR
      coupl(nGC_5089) = coupl(nGC_5088)*dZgs_QCD2
      coupl(nGC_7550) = coupl(nGC_5178) + coupl(nGC_7548)
      coupl(nGC_7553) = coupl(nGC_121)*dZZ + coupl(nGC_5228)
      coupl(nGC_5103) = coupl(nGC_5101)*dys_QED1_QCD2
      coupl(nGC_9071) = coupl(nGC_114)*dZbL_QCD2
      coupl(nGC_7566) = coupl(nGC_5169) + coupl(nGC_7563)
      coupl(nGC_7915) = coupl(nGC_5212) + coupl(nGC_9)*dZWMinus/2d0 + coupl(   &
                        nGC_9)*dZZ/2d0
      coupl(nGC_8308) = coupl(nGC_45)*dZZ/2d0 + coupl(nGC_5068)
      coupl(nGC_5036) = (-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*   &
                        cima*coupl(nGC_12)*coupl(nGC_713) + 12d0*Nc*coupl(     &
                        nGC_10)**2d0*coupl(nGC_12)*sq2**2d0 - 9d0*Nc*coupl(    &
                        nGC_10)**2d0*coupl(nGC_713)*sq2**2d0 + 18d0*cima*coupl(&
                        nGC_11)**4d0*sq2**4d0)/(384d0*pi**2d0)
      coupl(nGC_5037) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*Nc*   &
                        cima*coupl(nGC_12)**2d0 + 12d0*Nc*cima*coupl(nGC_713)**&
                        2d0 + 39d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2**2d0&
                         - 3d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_713)*sq2**2d0 + &
                        36d0*cima*coupl(nGC_11)**4d0*sq2**4d0)/(768d0*pi**2d0)
      coupl(nGC_11328) = 3d0*coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_5087)
      coupl(nGC_5031) = (10d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 6d0*Nc*cima&
                        *coupl(nGC_12)*coupl(nGC_715) + 6d0*Nc*cima*coupl(     &
                        nGC_713)*coupl(nGC_715) - 9d0*Nc*coupl(nGC_10)**2d0*   &
                        coupl(nGC_12)*sq2**2d0 + 9d0*Nc*coupl(nGC_10)**2d0*    &
                        coupl(nGC_713)*sq2**2d0 - 9d0*Nc*coupl(nGC_10)**2d0*   &
                        coupl(nGC_715)*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*   &
                        coupl(nGC_725)*sq2**2d0 - 6d0*cima*coupl(nGC_11)**4d0* &
                        sq2**4d0)/(384d0*pi**2d0*Nc)
      coupl(nGC_5032) = (-5d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 3d0*cima*coupl&
                        (nGC_12)**2d0 - 6d0*cima*coupl(nGC_12)*coupl(nGC_713   &
                        ) + 3d0*cima*coupl(nGC_713)**2d0 + 9d0*coupl(nGC_10)** &
                        2d0*coupl(nGC_12)*sq2**2d0 - 6d0*coupl(nGC_10)**2d0*   &
                        coupl(nGC_713)*sq2**2d0)/(96d0*pi**2d0)
      coupl(nGC_5033) = (-20d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*cima*   &
                        coupl(nGC_715)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(    &
                        nGC_12)*sq2**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_713&
                        )*sq2**2d0 + 33d0*coupl(nGC_10)**2d0*coupl(nGC_715)*sq2&
                        **2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_725)*sq2**2d0 &
                        )/(384d0*pi**2d0)
      coupl(nGC_5038) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 -   &
                        3d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_715) + 9d0*Nc*coupl&
                        (nGC_10)**2d0*coupl(nGC_725) - 60d0*cima*coupl(nGC_11  &
                        )**4d0*sq2**2d0)/(768d0*pi**2d0)
      coupl(nGC_5039) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 -   &
                        9d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_715) + 3d0*Nc*coupl&
                        (nGC_10)**2d0*coupl(nGC_725) - 60d0*cima*coupl(nGC_11  &
                        )**4d0*sq2**2d0)/(768d0*pi**2d0)
      coupl(nGC_12520) = -coupl(nGC_12519)
      coupl(nGC_8542) = coupl(nGC_MI)*dZdL_QCD2
      coupl(nGC_8942) = coupl(nGC_128)*dZH/2d0 + coupl(nGC_128)*dZZ + coupl(   &
                        nGC_5232)
      coupl(nGC_8543) = coupl(nGC_MD)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_5358) = coupl(nGC_5356)*dcw_ + coupl(nGC_5357)*dsw_
      coupl(nGC_8017) = -2d0*coupl(nGC_8016)
      coupl(nGC_8545) = coupl(nGC_5457) + coupl(nGC_8543)
      coupl(nGC_8544) = coupl(nGC_MI)*dZdR_QCD2
      coupl(nGC_5352) = coupl(nGC_5350)*dcw_ + coupl(nGC_5351)*dsw_
      coupl(nGC_5355) = coupl(nGC_5353)*dcw_ + coupl(nGC_5354)*dsw_
      coupl(nGC_8781) = coupl(nGC_122)*dZH + coupl(nGC_122)*dZZ + coupl(       &
                        nGC_5225)
      coupl(nGC_8396) = coupl(nGC_38)*dZWMinus + coupl(nGC_38)*dZZ + coupl(    &
                        nGC_5235)
      coupl(nGC_8397) = coupl(nGC_37)*dZWMinus + coupl(nGC_37)*dZZ + coupl(    &
                        nGC_5238)
      coupl(nGC_8426) = coupl(nGC_111)*dZuR_QCD2
      coupl(nGC_8423) = coupl(nGC_115)*dZuL_QCD2
      coupl(nGC_7771) = coupl(nGC_34)*dZZp/2d0 + coupl(nGC_5412)
      coupl(nGC_7772) = coupl(nGC_25)*dZZp/2d0 + coupl(nGC_5409)
      coupl(nGC_7775) = 2d0*coupl(nGC_12)*dZg_QCD2 + coupl(nGC_5089)
      coupl(nGC_7777) = 2d0*coupl(nGC_7775)
      coupl(nGC_7776) = -coupl(nGC_7775)
      coupl(nGC_9267) = coupl(nGC_144)*dZH/2d0 + coupl(nGC_5144)
      coupl(nGC_4859) = coupl(nGC_11)**2d0*coupl(nGC_162)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4991) = sq2**3d0*(-11d0*Nc*cima*coupl(nGC_10)**3d0 - 48d0*coupl&
                        (nGC_11)**3d0)/(768d0*pi**2d0)
      coupl(nGC_7677) = coupl(nGC_116)*dZZ/2d0 + coupl(nGC_116)*dZtauMinusL +  &
                        coupl(nGC_5210)
      coupl(nGC_8161) = coupl(nGC_5246) + coupl(nGC_78)*dZWpMinus/2d0
      coupl(nGC_8162) = coupl(nGC_5244) + coupl(nGC_60)*dZWpMinus/2d0
      coupl(nGC_9068) = coupl(nGC_110)*dZbR_QCD2
      coupl(nGC_8646) = -coupl(nGC_5096)
      coupl(nGC_8647) = -coupl(nGC_5097) - coupl(nGC_8645)
      coupl(nGC_4958) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                        nGC_110)**2d0 - coupl(nGC_136)**2d0 - coupl(nGC_137)*  &
                        coupl(nGC_879) - coupl(nGC_138)**2d0 - coupl(nGC_139)* &
                        coupl(nGC_141) - coupl(nGC_140)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9199) = coupl(nGC_159)*dZH/2d0 + coupl(nGC_5154)
      coupl(nGC_9169) = coupl(nGC_126)*dZH/2d0 + coupl(nGC_126)*dZWMinus +     &
                        coupl(nGC_5198)
      coupl(nGC_5438) = coupl(nGC_5436)*dcw_ + coupl(nGC_5437)*dsw_
      coupl(nGC_10551) = coupl(nGC_10546) + coupl(nGC_5129)
      coupl(nGC_8266) = coupl(nGC_101)*dZZp/2d0 + coupl(nGC_5385)
      coupl(nGC_9520) = coupl(nGC_5406) + coupl(nGC_93)*dZZp/2d0
      coupl(nGC_8342) = coupl(nGC_42)*dZWMinus/2d0 + coupl(nGC_42)*dZmuMinusL/ &
                        2d0 + coupl(nGC_42)*dZnu_muL/2d0 + coupl(nGC_5429)
      coupl(nGC_5078) = coupl(nGC_5076)*dMW2 + coupl(nGC_5077)*dsw_
      coupl(nGC_7583) = coupl(nGC_80)*(dZcR_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_7580) = coupl(nGC_62)*(dZcL_QCD2 + dZdL_QCD2)/2d0
      coupl(nGC_8159) = coupl(nGC_60)*(dZsL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_7586) = coupl(nGC_5254) + coupl(nGC_80)*dZWpMinus/2d0
      coupl(nGC_7585) = coupl(nGC_5252) + coupl(nGC_62)*dZWpMinus/2d0
      coupl(nGC_5075) = coupl(nGC_5073)*dcw_ + coupl(nGC_5074)*dsw_
      coupl(nGC_8868) = coupl(nGC_5455) + coupl(nGC_8866)
      coupl(nGC_4831) = cima*(-coupl(nGC_103)**2d0 - coupl(nGC_33)**2d0 - coupl&
                        (nGC_34)**2d0 - coupl(nGC_83)**2d0 - coupl(nGC_84)**2d0&
                         - coupl(nGC_85)**2d0)/(16d0*pi**2d0)
      coupl(nGC_7786) = -2d0*coupl(nGC_7775)
      coupl(nGC_8865) = coupl(nGC_MI)*dZcL_QCD2
      coupl(nGC_8867) = coupl(nGC_MI)*dZcR_QCD2
      coupl(nGC_10609) = coupl(nGC_MI)*dZnu_muR
      coupl(nGC_4966) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                        nGC_110)**2d0 - coupl(nGC_148)**2d0 - coupl(nGC_149)*  &
                        coupl(nGC_1587) - coupl(nGC_150)**2d0 - coupl(nGC_151)*&
                        coupl(nGC_153) - coupl(nGC_152)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_5319) = coupl(nGC_5317)*dcw_ + coupl(nGC_5318)*dsw_
      coupl(nGC_5022) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_101) +     &
                        coupl(nGC_102) + coupl(nGC_103) + coupl(nGC_86) + coupl&
                        (nGC_87) + coupl(nGC_88) + coupl(nGC_92) + coupl(nGC_93&
                        ) + coupl(nGC_94) + coupl(nGC_95) + coupl(nGC_96) +    &
                        coupl(nGC_97))/(384d0*pi**2d0)
      coupl(nGC_7795) = coupl(nGC_5240) + coupl(nGC_77)*dZWpMinus/2d0
      coupl(nGC_4996) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_108)*coupl(&
                        nGC_62) + coupl(nGC_109)*coupl(nGC_60) + coupl(nGC_42)*&
                        coupl(nGC_67) + coupl(nGC_43)*coupl(nGC_59) + coupl(   &
                        nGC_43)*coupl(nGC_63))/(96d0*pi**2d0)
      coupl(nGC_5020) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_101) +     &
                        coupl(nGC_102) + coupl(nGC_103) + coupl(nGC_86) + coupl&
                        (nGC_87) + coupl(nGC_88) + coupl(nGC_92) + coupl(nGC_93&
                        ) + coupl(nGC_94) + coupl(nGC_95) + coupl(nGC_96) +    &
                        coupl(nGC_97))/(96d0*pi**2d0*Nc**2d0)
      coupl(nGC_4810) = cima*(-cMB*coupl(nGC_88)*coupl(nGC_97) - cMC*coupl(    &
                        nGC_64)*coupl(nGC_82) - cMD*coupl(nGC_18)*coupl(nGC_27 &
                        ) - cMS*coupl(nGC_19)*coupl(nGC_28) - cMT*coupl(nGC_67 &
                        )*coupl(nGC_85) - cMU*coupl(nGC_61)*coupl(nGC_79))/(8d0&
                        *pi**2d0)
      coupl(nGC_8089) = coupl(nGC_5308) + coupl(nGC_58)*dZWpMinus/2d0 + coupl( &
                        nGC_58)*dZnu_tauL/2d0 + coupl(nGC_58)*dZtauMinusL/2d0
      coupl(nGC_12822) = coupl(nGC_MI)*dZsL_QCD2
      coupl(nGC_12823) = coupl(nGC_MS)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_8741) = coupl(nGC_MI)*dZZp
      coupl(nGC_8745) = -coupl(nGC_8741)
      coupl(nGC_7730) = coupl(nGC_5248) + coupl(nGC_61)*dZWpMinus/2d0
      coupl(nGC_7733) = coupl(nGC_13)*dZH + coupl(nGC_5047)
      coupl(nGC_5382) = coupl(nGC_5380)*dcw_ + coupl(nGC_5381)*dsw_
    end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
