!******************************************************************************!
!                                                                              !
!    vertices_info5.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info5.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-29 12:10             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info5
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl5()
      allocate(vertices(1567)%branchR2(0:1))
      call avR2(1567, 0, 64, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5016, nGC_5016,   &
      nGC_5016])

      call avR2(1567, 1, 63, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5015, nGC_5015,   &
      nGC_5015])

      allocate(vertices(124)%branchR2(0:0))
      call avR2(124, 0, 18, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_4857])

      allocate(vertices(1568)%branchR2(0:5))
      call avR2(1568, 0, 85, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5018, nGC_5018,   &
      nGC_5018])

      call avR2(1568, 1, 84, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5018, nGC_5018,   &
      nGC_5018])

      call avR2(1568, 2, 87, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5018, nGC_5018,   &
      nGC_5018])

      call avR2(1568, 3, 88, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5017, nGC_5017,   &
      nGC_5017])

      call avR2(1568, 4, 86, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5019, nGC_5019,   &
      nGC_5019])

      call avR2(1568, 5, 83, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5019, nGC_5019,   &
      nGC_5019])

      allocate(vertices(189)%branchR2(0:0))
      call avR2(189, 0, 21, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_4884])

      allocate(vertices(1569)%branchR2(0:1))
      call avR2(1569, 0, 56, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5008, nGC_5008,   &
      nGC_5008])

      call avR2(1569, 1, 55, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5009, nGC_5009,   &
      nGC_5009])

      allocate(vertices(744)%branchR2(0:0))
      call avR2(744, 0, 18, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_4882, nGC_4882])

      allocate(vertices(377)%branchR2(0:0))
      call avR2(377, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4907, nGC_4906])

      allocate(vertices(1570)%branchR2(0:1))
      call avR2(1570, 0, 59, 1, 0, VVSS0, 0, [2, 2, 0], [nGC_5001])

      call avR2(1570, 1, 60, 1, 0, VVSS0, 0, [2, 2, 0], [nGC_5000])

      allocate(vertices(1354)%branchR2(0:0))
      call avR2(1354, 0, 20, 1, 0, SFaF2, 0, [2, 1, 0], [nGC_4857])

      allocate(vertices(104)%branchR2(0:0))
      call avR2(104, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4921, nGC_4920])

      allocate(vertices(262)%branchR2(0:0))
      call avR2(262, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4923, nGC_4922])

      allocate(vertices(1396)%branchR2(0:0))
      call avR2(1396, 0, 18, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_4850, nGC_4850])

      allocate(vertices(1239)%branchR2(0:0))
      call avR2(1239, 0, 17, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_4909, nGC_4908])

      allocate(vertices(1375)%branchR2(0:0))
      call avR2(1375, 0, 17, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_4856, nGC_4855])

      allocate(vertices(905)%branchR2(0:0))
      call avR2(905, 0, 21, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_4864, nGC_4865])

      allocate(vertices(8)%branchR2(0:0))
      call avR2(8, 0, 17, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_4882, nGC_4882])

      allocate(vertices(1273)%branchR2(0:0))
      call avR2(1273, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_4856, nGC_4855])

      allocate(vertices(367)%branchR2(0:0))
      call avR2(367, 0, 21, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4935, nGC_4934])

      allocate(vertices(1571)%branchR2(0:1))
      call avR2(1571, 0, 53, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5015, nGC_5015,   &
      nGC_5015])

      call avR2(1571, 1, 54, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5016, nGC_5016,   &
      nGC_5016])

      allocate(vertices(1244)%branchR2(0:0))
      call avR2(1244, 0, 20, 1, 0, VFaF1, 0, [2, 1, 1], [nGC_4931, nGC_4930])

      allocate(vertices(1357)%branchR2(0:0))
      call avR2(1357, 0, 21, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_4882, nGC_4882])

      allocate(vertices(632)%branchR2(0:0))
      call avR2(632, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4901, nGC_4900])

      allocate(vertices(1459)%branchR2(0:0))
      call avR2(1459, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4907, nGC_4906])

      allocate(vertices(1082)%branchR2(0:0))
      call avR2(1082, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4895, nGC_4894])

      allocate(vertices(1572)%branchR2(0:1))
      call avR2(1572, 0, 53, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5026, nGC_5026,   &
      nGC_5026])

      call avR2(1572, 1, 54, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5025, nGC_5025,   &
      nGC_5025])

      allocate(vertices(1573)%branchR2(0:1))
      call avR2(1573, 0, 64, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5002, nGC_5002,   &
      nGC_5002])

      call avR2(1573, 1, 63, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5003, nGC_5003,   &
      nGC_5003])

      allocate(vertices(359)%branchR2(0:0))
      call avR2(359, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4905, nGC_4904])

      allocate(vertices(558)%branchR2(0:0))
      call avR2(558, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4923, nGC_4922])

      allocate(vertices(292)%branchR2(0:0))
      call avR2(292, 0, 18, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_4850, nGC_4850])

      allocate(vertices(80)%branchR2(0:0))
      call avR2(80, 0, 20, 1, 0, VFaF1, 0, [2, 1, 1], [nGC_4917, nGC_4916])

      allocate(vertices(1574)%branchR2(0:1))
      call avR2(1574, 0, 53, 1, 0, SSVV0, 0, [2, 2, 0], [nGC_5001])

      call avR2(1574, 1, 54, 1, 0, SSVV0, 0, [2, 2, 0], [nGC_5000])

      allocate(vertices(838)%branchR2(0:0))
      call avR2(838, 0, 21, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_4855, nGC_4856])

      allocate(vertices(600)%branchR2(0:0))
      call avR2(600, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4901, nGC_4900])

      allocate(vertices(1391)%branchR2(0:0))
      call avR2(1391, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4901, nGC_4900])

      allocate(vertices(621)%branchR2(0:0))
      call avR2(621, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_4872, nGC_4873])

      allocate(vertices(1399)%branchR2(0:0))
      call avR2(1399, 0, 20, 1, 0, VFaF1, 0, [2, 1, 1], [nGC_4925, nGC_4924])

      allocate(vertices(46)%branchR2(0:0))
      call avR2(46, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4895, nGC_4894])

      allocate(vertices(363)%branchR2(0:0))
      call avR2(363, 0, 21, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_4909, nGC_4908])

      allocate(vertices(1575)%branchR2(0:1))
      call avR2(1575, 0, 61, 1, 0, VSSV0, 0, [2, 2, 0], [nGC_4994])

      call avR2(1575, 1, 62, 1, 0, VSSV0, 0, [2, 2, 0], [nGC_4995])

      allocate(vertices(1154)%branchR2(0:0))
      call avR2(1154, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4903, nGC_4902])

      allocate(vertices(1398)%branchR2(0:0))
      call avR2(1398, 0, 21, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4925, nGC_4924])

      allocate(vertices(10)%branchR2(0:0))
      call avR2(10, 0, 17, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_4862, nGC_4863])

      allocate(vertices(1106)%branchR2(0:0))
      call avR2(1106, 0, 21, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_4860, nGC_4861])

      allocate(vertices(1159)%branchR2(0:0))
      call avR2(1159, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_4878, nGC_4878])

      allocate(vertices(213)%branchR2(0:0))
      call avR2(213, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4935, nGC_4934])

      allocate(vertices(618)%branchR2(0:0))
      call avR2(618, 0, 21, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4898, nGC_4899])

      allocate(vertices(1576)%branchR2(0:1))
      call avR2(1576, 0, 64, 1, 0, VSVS0, 0, [2, 2, 0], [nGC_4998])

      call avR2(1576, 1, 63, 1, 0, VSVS0, 0, [2, 2, 0], [nGC_4999])

      allocate(vertices(685)%branchR2(0:0))
      call avR2(685, 0, 18, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_4851, nGC_4851])

      allocate(vertices(559)%branchR2(0:0))
      call avR2(559, 0, 20, 1, 0, VFaF1, 0, [2, 1, 1], [nGC_4901, nGC_4900])

      allocate(vertices(651)%branchR2(0:0))
      call avR2(651, 0, 19, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_4857])

      allocate(vertices(57)%branchR2(0:0))
      call avR2(57, 0, 21, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4893, nGC_4892])

      allocate(vertices(727)%branchR2(0:0))
      call avR2(727, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_4853, nGC_4854])

      allocate(vertices(922)%branchR2(0:0))
      call avR2(922, 0, 21, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4905, nGC_4904])

      allocate(vertices(554)%branchR2(0:0))
      call avR2(554, 0, 20, 1, 0, VFaF1, 0, [2, 1, 1], [nGC_4896, nGC_4897])

      allocate(vertices(1577)%branchR2(0:1))
      call avR2(1577, 0, 59, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5015, nGC_5015,   &
      nGC_5015])

      call avR2(1577, 1, 60, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5016, nGC_5016,   &
      nGC_5016])

      allocate(vertices(1367)%branchR2(0:0))
      call avR2(1367, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_4882, nGC_4882])

      allocate(vertices(1418)%branchR2(0:0))
      call avR2(1418, 0, 19, 1, 0, FSFa2, 0, [2, 1, 0], [nGC_4852])

      allocate(vertices(1177)%branchR2(0:0))
      call avR2(1177, 0, 20, 1, 0, VFaF1, 0, [2, 1, 1], [nGC_4895, nGC_4894])

      allocate(vertices(506)%branchR2(0:0))
      call avR2(506, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4913, nGC_4912])

      allocate(vertices(543)%branchR2(0:0))
      call avR2(543, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_4888])

      allocate(vertices(451)%branchR2(0:0))
      call avR2(451, 0, 17, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_4911, nGC_4910])

      allocate(vertices(1578)%branchR2(0:1))
      call avR2(1578, 0, 57, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5009, nGC_5009,   &
      nGC_5009])

      call avR2(1578, 1, 58, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5008, nGC_5008,   &
      nGC_5008])

      allocate(vertices(1433)%branchR2(0:0))
      call avR2(1433, 0, 17, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_4851, nGC_4851])

      allocate(vertices(66)%branchR2(0:0))
      call avR2(66, 0, 21, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_4880, nGC_4879])

      allocate(vertices(1299)%branchR2(0:0))
      call avR2(1299, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4901, nGC_4900])

      allocate(vertices(1406)%branchR2(0:0))
      call avR2(1406, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4877, nGC_4877])

      allocate(vertices(582)%branchR2(0:0))
      call avR2(582, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4907, nGC_4906])

      allocate(vertices(649)%branchR2(0:0))
      call avR2(649, 0, 19, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_4909, nGC_4908])

      allocate(vertices(1457)%branchR2(0:0))
      call avR2(1457, 0, 18, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_4884])

      allocate(vertices(1316)%branchR2(0:0))
      call avR2(1316, 0, 21, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4921, nGC_4920])

      allocate(vertices(492)%branchR2(0:0))
      call avR2(492, 0, 17, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_4888])

      allocate(vertices(1579)%branchR2(0:5))
      call avR2(1579, 0, 77, 1, 0, VVVV1, 0, [3, 1, 1], [nGC_5022, nGC_5022,   &
      nGC_5022, nGC_5024])

      call avR2(1579, 1, 81, 1, 0, VVVV0, 0, [3, 1, 1], [nGC_5021, nGC_5021,   &
      nGC_5021])

      call avR2(1579, 2, 79, 1, 0, VVVV0, 0, [3, 1, 1], [nGC_5021, nGC_5021,   &
      nGC_5021])

      call avR2(1579, 3, 80, 1, 0, VVVV1, 0, [3, 1, 1], [nGC_5022, nGC_5022,   &
      nGC_5022, nGC_5023])

      call avR2(1579, 4, 78, 1, 0, VVVV0, 0, [3, 1, 1], [nGC_5021, nGC_5021,   &
      nGC_5021])

      call avR2(1579, 5, 82, 1, 0, VVVV0, 0, [3, 1, 1], [nGC_5020, nGC_5020,   &
      nGC_5020])

      allocate(vertices(454)%branchR2(0:0))
      call avR2(454, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4883, nGC_4883])

      allocate(vertices(1580)%branchR2(0:5))
      call avR2(1580, 0, 76, 1, 0, VVVV0, 0, [3, 1, 1], [nGC_5020, nGC_5020,   &
      nGC_5020])

      call avR2(1580, 1, 73, 1, 0, VVVV0, 0, [3, 1, 1], [nGC_5021, nGC_5021,   &
      nGC_5021])

      call avR2(1580, 2, 71, 1, 0, VVVV1, 0, [3, 1, 1], [nGC_5022, nGC_5022,   &
      nGC_5022, nGC_13163])

      call avR2(1580, 3, 72, 1, 0, VVVV0, 0, [3, 1, 1], [nGC_5021, nGC_5021,   &
      nGC_5021])

      call avR2(1580, 4, 75, 1, 0, VVVV0, 0, [3, 1, 1], [nGC_5021, nGC_5021,   &
      nGC_5021])

      call avR2(1580, 5, 74, 1, 0, VVVV1, 0, [3, 1, 1], [nGC_5022, nGC_5022,   &
      nGC_5022, nGC_13160])

      allocate(vertices(328)%branchR2(0:0))
      call avR2(328, 0, 19, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_4909, nGC_4908])

      allocate(vertices(1413)%branchR2(0:0))
      call avR2(1413, 0, 17, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_4854, nGC_4853])

      allocate(vertices(931)%branchR2(0:0))
      call avR2(931, 0, 21, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4896, nGC_4897])

      allocate(vertices(1209)%branchR2(0:0))
      call avR2(1209, 0, 21, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_4872, nGC_4873])

      allocate(vertices(1235)%branchR2(0:0))
      call avR2(1235, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4898, nGC_4899])

      allocate(vertices(230)%branchR2(0:0))
      call avR2(230, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_4850, nGC_4850])

      allocate(vertices(1104)%branchR2(0:0))
      call avR2(1104, 0, 18, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_4881, nGC_4881])

      allocate(vertices(1372)%branchR2(0:0))
      call avR2(1372, 0, 17, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_4888])

      allocate(vertices(264)%branchR2(0:0))
      call avR2(264, 0, 19, 1, 0, FSFa1, 0, [2, 1, 0], [nGC_4864, nGC_4865])

      allocate(vertices(450)%branchR2(0:0))
      call avR2(450, 0, 18, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_4888])

      allocate(vertices(519)%branchR2(0:0))
      call avR2(519, 0, 20, 1, 0, SFaF1, 0, [2, 1, 0], [nGC_4857])

      allocate(vertices(1414)%branchR2(0:0))
      call avR2(1414, 0, 17, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_4859, nGC_4858])

      allocate(vertices(1185)%branchR2(0:5))
      call avR2(1185, 0, 11, 1, 0, FFaV0, 0, [3, 0, 0], [nGC_4945, nGC_4945])

      call avR2(1185, 1, 11, 1, 0, FFaV0, 0, [1, 2, 0], [nGC_4962, nGC_4960])

      call avR2(1185, 2, 11, 1, 0, FFaV0, 0, [1, 2, 2], [nGC_4963, nGC_4961])

      call avR2(1185, 3, 12, 1, 0, FFaV0, 0, [3, 0, 0], [nGC_4940, nGC_4940])

      call avR2(1185, 4, 12, 1, 0, FFaV0, 0, [1, 2, 0], [nGC_4958, nGC_4956])

      call avR2(1185, 5, 12, 1, 0, FFaV0, 0, [1, 2, 2], [nGC_4959, nGC_4957])

      allocate(vertices(171)%branchR2(0:0))
      call avR2(171, 0, 18, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_4860, nGC_4861])

      allocate(vertices(381)%branchR2(0:0))
      call avR2(381, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4907, nGC_4906])

      allocate(vertices(1581)%branchR2(0:1))
      call avR2(1581, 0, 56, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4993, nGC_4993,   &
      nGC_4993])

      call avR2(1581, 1, 55, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4992, nGC_4992,   &
      nGC_4992])

      allocate(vertices(1582)%branchR2(0:1))
      call avR2(1582, 0, 61, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5005, nGC_5005,   &
      nGC_5005])

      call avR2(1582, 1, 62, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5004, nGC_5004,   &
      nGC_5004])

      allocate(vertices(1245)%branchR2(0:0))
      call avR2(1245, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4891, nGC_4890])

      allocate(vertices(733)%branchR2(0:5))
      call avR2(733, 0, 27, 1, 0, FVFa0, 0, [3, 0, 0], [nGC_4940, nGC_4940])

      call avR2(733, 1, 27, 1, 0, FVFa0, 0, [1, 2, 0], [nGC_4950, nGC_4948])

      call avR2(733, 2, 27, 1, 0, FVFa0, 0, [1, 2, 2], [nGC_4951, nGC_4949])

      call avR2(733, 3, 26, 1, 0, FVFa0, 0, [3, 0, 0], [nGC_4945, nGC_4945])

      call avR2(733, 4, 26, 1, 0, FVFa0, 0, [1, 2, 0], [nGC_4954, nGC_4952])

      call avR2(733, 5, 26, 1, 0, FVFa0, 0, [1, 2, 2], [nGC_4955, nGC_4953])

      allocate(vertices(317)%branchR2(0:0))
      call avR2(317, 0, 10, 1, 0, FFaS2, 0, [2, 1, 0], [nGC_4857])

      allocate(vertices(729)%branchR2(0:0))
      call avR2(729, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4896, nGC_4897])

      allocate(vertices(1012)%branchR2(0:0))
      call avR2(1012, 0, 19, 1, 0, FSFa1, 0, [2, 1, 0], [nGC_4856, nGC_4855])

      allocate(vertices(1060)%branchR2(0:0))
      call avR2(1060, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_4864, nGC_4865])

      allocate(vertices(614)%branchR2(0:0))
      call avR2(614, 0, 19, 1, 0, FSFa1, 0, [2, 1, 0], [nGC_4870, nGC_4871])

      allocate(vertices(880)%branchR2(0:0))
      call avR2(880, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4917, nGC_4916])

      allocate(vertices(1426)%branchR2(0:0))
      call avR2(1426, 0, 18, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_4853, nGC_4854])

      allocate(vertices(1583)%branchR2(0:1))
      call avR2(1583, 0, 64, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5016, nGC_5016,   &
      nGC_5016])

      call avR2(1583, 1, 63, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5015, nGC_5015,   &
      nGC_5015])

      allocate(vertices(298)%branchR2(0:0))
      call avR2(298, 0, 18, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_4874, nGC_4875])

      allocate(vertices(1251)%branchR2(0:0))
      call avR2(1251, 0, 19, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_4887])

      allocate(vertices(33)%branchR2(0:0))
      call avR2(33, 0, 19, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_4911, nGC_4910])

      allocate(vertices(369)%branchR2(0:0))
      call avR2(369, 0, 17, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_4851, nGC_4851])

      allocate(vertices(1584)%branchR2(0:1))
      call avR2(1584, 0, 59, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4996, nGC_4996,   &
      nGC_4996])

      call avR2(1584, 1, 60, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4997, nGC_4997,   &
      nGC_4997])

      allocate(vertices(224)%branchR2(0:0))
      call avR2(224, 0, 20, 1, 0, VFaF1, 0, [2, 1, 1], [nGC_4927, nGC_4926])

      allocate(vertices(297)%branchR2(0:5))
      call avR2(297, 0, 29, 1, 0, VFaF1, 0, [3, 0, 0], [nGC_4940, nGC_4940])

      call avR2(297, 1, 29, 1, 0, VFaF1, 0, [1, 2, 0], [nGC_4941, nGC_4938])

      call avR2(297, 2, 29, 1, 0, VFaF1, 0, [1, 2, 2], [nGC_4942, nGC_4939])

      call avR2(297, 3, 28, 1, 0, VFaF1, 0, [3, 0, 0], [nGC_4945, nGC_4945])

      call avR2(297, 4, 28, 1, 0, VFaF1, 0, [1, 2, 0], [nGC_4946, nGC_4943])

      call avR2(297, 5, 28, 1, 0, VFaF1, 0, [1, 2, 2], [nGC_4947, nGC_4944])

      allocate(vertices(379)%branchR2(0:0))
      call avR2(379, 0, 17, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_4909, nGC_4908])

      allocate(vertices(739)%branchR2(0:0))
      call avR2(739, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4905, nGC_4904])

      allocate(vertices(1585)%branchR2(0:1))
      call avR2(1585, 0, 53, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4996, nGC_4996,   &
      nGC_4996])

      call avR2(1585, 1, 54, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4997, nGC_4997,   &
      nGC_4997])

      allocate(vertices(995)%branchR2(0:0))
      call avR2(995, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4915, nGC_4914])

      allocate(vertices(711)%branchR2(0:0))
      call avR2(711, 0, 18, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_4889])

      allocate(vertices(909)%branchR2(0:0))
      call avR2(909, 0, 18, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_4877, nGC_4877])

      allocate(vertices(1213)%branchR2(0:0))
      call avR2(1213, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4880, nGC_4879])

      allocate(vertices(418)%branchR2(0:0))
      call avR2(418, 0, 21, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_4884])

      allocate(vertices(1586)%branchR2(0:1))
      call avR2(1586, 0, 59, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5009, nGC_5009,   &
      nGC_5009])

      call avR2(1586, 1, 60, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5008, nGC_5008,   &
      nGC_5008])

      allocate(vertices(186)%branchR2(0:0))
      call avR2(186, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4903, nGC_4902])

      allocate(vertices(1587)%branchR2(0:1))
      call avR2(1587, 0, 61, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4996, nGC_4996,   &
      nGC_4996])

      call avR2(1587, 1, 62, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4997, nGC_4997,   &
      nGC_4997])

      allocate(vertices(891)%branchR2(0:0))
      call avR2(891, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4937, nGC_4936])

      allocate(vertices(1162)%branchR2(0:0))
      call avR2(1162, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4896, nGC_4897])

      allocate(vertices(1151)%branchR2(0:0))
      call avR2(1151, 0, 21, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_4883, nGC_4883])

      allocate(vertices(370)%branchR2(0:0))
      call avR2(370, 0, 20, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_4887])

      allocate(vertices(631)%branchR2(0:0))
      call avR2(631, 0, 17, 1, 0, FaSF2, 0, [2, 1, 0], [nGC_4852])

      allocate(vertices(1588)%branchR2(0:1))
      call avR2(1588, 0, 56, 1, 0, SVVS0, 0, [2, 2, 0], [nGC_4995])

      call avR2(1588, 1, 55, 1, 0, SVVS0, 0, [2, 2, 0], [nGC_4994])

      allocate(vertices(698)%branchR2(0:0))
      call avR2(698, 0, 19, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_4909, nGC_4908])

      allocate(vertices(917)%branchR2(0:0))
      call avR2(917, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4898, nGC_4899])

      allocate(vertices(444)%branchR2(0:0))
      call avR2(444, 0, 19, 1, 0, FSFa1, 0, [2, 1, 0], [nGC_4853, nGC_4854])

      allocate(vertices(1518)%branchR2(0:2))
      call avR2(1518, 0, 14, 1, 0, FFa1, 0, [0, 2, 0], [nGC_4811, nGC_4834,    &
      nGC_4832, nGC_4832])

      call avR2(1518, 1, 14, 1, 0, FFa1, 0, [2, 0, 0], [nGC_4807, nGC_4807,    &
      nGC_4833, nGC_4833])

      call avR2(1518, 2, 14, 1, 0, FFa1, 0, [0, 2, 2], [nGC_4837, nGC_4835,    &
      nGC_4836, nGC_4836])

      allocate(vertices(1589)%branchR2(0:1))
      call avR2(1589, 0, 61, 1, 0, VSSV0, 0, [2, 2, 0], [nGC_5001])

      call avR2(1589, 1, 62, 1, 0, VSSV0, 0, [2, 2, 0], [nGC_5000])

      allocate(vertices(272)%branchR2(0:0))
      call avR2(272, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_4887])

      allocate(vertices(869)%branchR2(0:0))
      call avR2(869, 0, 21, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4915, nGC_4914])

      allocate(vertices(1590)%branchR2(0:5))
      call avR2(1590, 0, 77, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5019, nGC_5019,   &
      nGC_5019])

      call avR2(1590, 1, 81, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5018, nGC_5018,   &
      nGC_5018])

      call avR2(1590, 2, 79, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5018, nGC_5018,   &
      nGC_5018])

      call avR2(1590, 3, 80, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5019, nGC_5019,   &
      nGC_5019])

      call avR2(1590, 4, 78, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5018, nGC_5018,   &
      nGC_5018])

      call avR2(1590, 5, 82, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5017, nGC_5017,   &
      nGC_5017])

      allocate(vertices(743)%branchR2(0:0))
      call avR2(743, 0, 20, 1, 0, VFaF1, 0, [2, 1, 1], [nGC_4919, nGC_4918])

      allocate(vertices(424)%branchR2(0:0))
      call avR2(424, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4921, nGC_4920])

      allocate(vertices(1317)%branchR2(0:0))
      call avR2(1317, 0, 20, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_4889])

      allocate(vertices(1153)%branchR2(0:0))
      call avR2(1153, 0, 20, 1, 0, VFaF1, 0, [2, 1, 1], [nGC_4913, nGC_4912])

      allocate(vertices(969)%branchR2(0:0))
      call avR2(969, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_4850, nGC_4850])

      allocate(vertices(1591)%branchR2(0:1))
      call avR2(1591, 0, 59, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4992, nGC_4992,   &
      nGC_4992])

      call avR2(1591, 1, 60, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4993, nGC_4993,   &
      nGC_4993])

      allocate(vertices(846)%branchR2(0:0))
      call avR2(846, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4891, nGC_4890])

      allocate(vertices(1536)%branchR2(0:2))
      call avR2(1536, 0, 14, 1, 0, FFa1, 0, [0, 2, 0], [nGC_4811, nGC_4822,    &
      nGC_4824, nGC_4824])

      call avR2(1536, 1, 14, 1, 0, FFa1, 0, [2, 0, 0], [nGC_4807, nGC_4807,    &
      nGC_4820, nGC_4820])

      call avR2(1536, 2, 14, 1, 0, FFa1, 0, [0, 2, 2], [nGC_4825, nGC_4823,    &
      nGC_4821, nGC_4821])

      allocate(vertices(29)%branchR2(0:0))
      call avR2(29, 0, 17, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_4850, nGC_4850])

      allocate(vertices(349)%branchR2(0:0))
      call avR2(349, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4856, nGC_4855])

      allocate(vertices(1592)%branchR2(0:1))
      call avR2(1592, 0, 57, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5005, nGC_5005,   &
      nGC_5005])

      call avR2(1592, 1, 58, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5004, nGC_5004,   &
      nGC_5004])

      allocate(vertices(788)%branchR2(0:0))
      call avR2(788, 0, 21, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4891, nGC_4890])

      allocate(vertices(234)%branchR2(0:0))
      call avR2(234, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_4884])

      allocate(vertices(1118)%branchR2(0:0))
      call avR2(1118, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4895, nGC_4894])

      allocate(vertices(772)%branchR2(0:0))
      call avR2(772, 0, 18, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_4854, nGC_4853])

      allocate(vertices(1593)%branchR2(0:1))
      call avR2(1593, 0, 56, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5016, nGC_5016,   &
      nGC_5016])

      call avR2(1593, 1, 55, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5015, nGC_5015,   &
      nGC_5015])

      allocate(vertices(1594)%branchR2(0:1))
      call avR2(1594, 0, 56, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4997, nGC_4997,   &
      nGC_4997])

      call avR2(1594, 1, 55, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4996, nGC_4996,   &
      nGC_4996])

      allocate(vertices(1333)%branchR2(0:0))
      call avR2(1333, 0, 20, 1, 0, VFaF1, 0, [2, 1, 1], [nGC_4927, nGC_4926])

      allocate(vertices(657)%branchR2(0:0))
      call avR2(657, 0, 21, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_4888])

      allocate(vertices(557)%branchR2(0:0))
      call avR2(557, 0, 21, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4917, nGC_4916])

      allocate(vertices(1530)%branchR2(0:2))
      call avR2(1530, 0, 42, 1, 0, FaF0, 0, [0, 2, 0], [nGC_4818, nGC_4828,    &
      nGC_4826, nGC_4826])

      call avR2(1530, 1, 42, 1, 0, FaF0, 0, [2, 0, 0], [nGC_4807, nGC_4807,    &
      nGC_4827, nGC_4827])

      call avR2(1530, 2, 42, 1, 0, FaF0, 0, [0, 2, 2], [nGC_4831, nGC_4829,    &
      nGC_4830, nGC_4830])

      allocate(vertices(522)%branchR2(0:0))
      call avR2(522, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_4911, nGC_4910])

      allocate(vertices(1595)%branchR2(0:1))
      call avR2(1595, 0, 57, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5015, nGC_5015,   &
      nGC_5015])

      call avR2(1595, 1, 58, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5016, nGC_5016,   &
      nGC_5016])

      allocate(vertices(587)%branchR2(0:0))
      call avR2(587, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4891, nGC_4890])

      allocate(vertices(42)%branchR2(0:0))
      call avR2(42, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4893, nGC_4892])

      allocate(vertices(1596)%branchR2(0:1))
      call avR2(1596, 0, 57, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4992, nGC_4992,   &
      nGC_4992])

      call avR2(1596, 1, 58, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4993, nGC_4993,   &
      nGC_4993])

      allocate(vertices(1597)%branchR2(0:1))
      call avR2(1597, 0, 64, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4997, nGC_4997,   &
      nGC_4997])

      call avR2(1597, 1, 63, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4996, nGC_4996,   &
      nGC_4996])

      allocate(vertices(974)%branchR2(0:0))
      call avR2(974, 0, 21, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_4853, nGC_4854])

      allocate(vertices(798)%branchR2(0:0))
      call avR2(798, 0, 17, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_4878, nGC_4878])

      allocate(vertices(769)%branchR2(0:0))
      call avR2(769, 0, 19, 1, 0, FSFa1, 0, [2, 1, 0], [nGC_4880, nGC_4879])

      allocate(vertices(1340)%branchR2(0:0))
      call avR2(1340, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4923, nGC_4922])

      allocate(vertices(1040)%branchR2(0:0))
      call avR2(1040, 0, 18, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_4876, nGC_4876])

      allocate(vertices(792)%branchR2(0:0))
      call avR2(792, 0, 18, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_4879, nGC_4880])

      allocate(vertices(1598)%branchR2(0:1))
      call avR2(1598, 0, 64, 1, 0, VSVS0, 0, [2, 2, 0], [nGC_4995])

      call avR2(1598, 1, 63, 1, 0, VSVS0, 0, [2, 2, 0], [nGC_4994])

      allocate(vertices(1240)%branchR2(0:0))
      call avR2(1240, 0, 18, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_4909, nGC_4908])

      allocate(vertices(1599)%branchR2(0:1))
      call avR2(1599, 0, 56, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4997, nGC_4997,   &
      nGC_4997])

      call avR2(1599, 1, 55, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4996, nGC_4996,   &
      nGC_4996])

      allocate(vertices(732)%branchR2(0:5))
      call avR2(732, 0, 30, 1, 0, VFFa0, 0, [3, 0, 0], [nGC_4973, nGC_4973])

      call avR2(732, 1, 30, 1, 0, VFFa0, 0, [1, 2, 0], [nGC_4980, nGC_4978])

      call avR2(732, 2, 30, 1, 0, VFFa0, 0, [1, 2, 2], [nGC_4981, nGC_4979])

      call avR2(732, 3, 31, 1, 0, VFFa0, 0, [3, 0, 0], [nGC_4968, nGC_4968])

      call avR2(732, 4, 31, 1, 0, VFFa0, 0, [1, 2, 0], [nGC_4976, nGC_4974])

      call avR2(732, 5, 31, 1, 0, VFFa0, 0, [1, 2, 2], [nGC_4977, nGC_4975])

      allocate(vertices(1083)%branchR2(0:0))
      call avR2(1083, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4898, nGC_4899])

      allocate(vertices(680)%branchR2(0:0))
      call avR2(680, 0, 18, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_4887])

      allocate(vertices(1600)%branchR2(0:1))
      call avR2(1600, 0, 64, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5025, nGC_5025,   &
      nGC_5025])

      call avR2(1600, 1, 63, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5026, nGC_5026,   &
      nGC_5026])

      allocate(vertices(910)%branchR2(0:0))
      call avR2(910, 0, 10, 1, 0, FFaS2, 0, [2, 1, 0], [nGC_4852])

      allocate(vertices(1293)%branchR2(0:0))
      call avR2(1293, 0, 21, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4929, nGC_4928])

      allocate(vertices(1601)%branchR2(0:1))
      call avR2(1601, 0, 53, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4996, nGC_4996,   &
      nGC_4996])

      call avR2(1601, 1, 54, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4997, nGC_4997,   &
      nGC_4997])

      allocate(vertices(1602)%branchR2(0:1))
      call avR2(1602, 0, 61, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5026, nGC_5026,   &
      nGC_5026])

      call avR2(1602, 1, 62, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5025, nGC_5025,   &
      nGC_5025])

      allocate(vertices(573)%branchR2(0:0))
      call avR2(573, 0, 17, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_4864, nGC_4865])

      allocate(vertices(241)%branchR2(0:0))
      call avR2(241, 0, 19, 1, 0, FSFa1, 0, [2, 1, 0], [nGC_4860, nGC_4861])

      allocate(vertices(1603)%branchR2(0:1))
      call avR2(1603, 0, 53, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5007, nGC_5007,   &
      nGC_5007])

      call avR2(1603, 1, 54, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5006, nGC_5006,   &
      nGC_5006])

      allocate(vertices(1604)%branchR2(0:1))
      call avR2(1604, 0, 59, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4996, nGC_4996,   &
      nGC_4996])

      call avR2(1604, 1, 60, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4997, nGC_4997,   &
      nGC_4997])

      allocate(vertices(953)%branchR2(0:0))
      call avR2(953, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4903, nGC_4902])

      allocate(vertices(875)%branchR2(0:0))
      call avR2(875, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4937, nGC_4936])

      allocate(vertices(1364)%branchR2(0:0))
      call avR2(1364, 0, 17, 1, 0, FaSF2, 0, [2, 1, 0], [nGC_4857])

      allocate(vertices(1605)%branchR2(0:1))
      call avR2(1605, 0, 61, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5007, nGC_5007,   &
      nGC_5007])

      call avR2(1605, 1, 62, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5006, nGC_5006,   &
      nGC_5006])

      allocate(vertices(624)%branchR2(0:0))
      call avR2(624, 0, 18, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_4858, nGC_4859])

      allocate(vertices(1606)%branchR2(0:1))
      call avR2(1606, 0, 48, 1, 0, VVV1, 0, [2, 1, 1], [nGC_4933])

      call avR2(1606, 1, 47, 1, 0, VVV1, 0, [2, 1, 1], [nGC_4932])

      allocate(vertices(902)%branchR2(0:0))
      call avR2(902, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4862, nGC_4863])

      allocate(vertices(906)%branchR2(0:0))
      call avR2(906, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4905, nGC_4904])

      allocate(vertices(507)%branchR2(0:0))
      call avR2(507, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4905, nGC_4904])

      allocate(vertices(1480)%branchR2(0:0))
      call avR2(1480, 0, 21, 1, 0, SFFa2, 0, [2, 1, 0], [nGC_4852])

      allocate(vertices(428)%branchR2(0:0))
      call avR2(428, 0, 20, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_4888])

      allocate(vertices(488)%branchR2(0:0))
      call avR2(488, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4870, nGC_4871])

      allocate(vertices(660)%branchR2(0:0))
      call avR2(660, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4927, nGC_4926])

      allocate(vertices(181)%branchR2(0:0))
      call avR2(181, 0, 10, 1, 0, FFaS1, 0, [2, 1, 0], [nGC_4852])

      allocate(vertices(427)%branchR2(0:0))
      call avR2(427, 0, 18, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_4859, nGC_4858])

      allocate(vertices(1607)%branchR2(0:1))
      call avR2(1607, 0, 59, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5005, nGC_5005,   &
      nGC_5005])

      call avR2(1607, 1, 60, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5004, nGC_5004,   &
      nGC_5004])

      allocate(vertices(344)%branchR2(0:0))
      call avR2(344, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_4887])

      allocate(vertices(1070)%branchR2(0:0))
      call avR2(1070, 0, 21, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_4879, nGC_4880])

      allocate(vertices(1608)%branchR2(0:1))
      call avR2(1608, 0, 59, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5007, nGC_5007,   &
      nGC_5007])

      call avR2(1608, 1, 60, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5006, nGC_5006,   &
      nGC_5006])

      allocate(vertices(1609)%branchR2(0:1))
      call avR2(1609, 0, 56, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4997, nGC_4997,   &
      nGC_4997])

      call avR2(1609, 1, 55, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4996, nGC_4996,   &
      nGC_4996])

      allocate(vertices(913)%branchR2(0:5))
      call avR2(913, 0, 27, 1, 0, FVFa0, 0, [3, 0, 0], [nGC_4968, nGC_4968])

      call avR2(913, 1, 27, 1, 0, FVFa0, 0, [1, 2, 0], [nGC_4976, nGC_4974])

      call avR2(913, 2, 27, 1, 0, FVFa0, 0, [1, 2, 2], [nGC_4977, nGC_4975])

      call avR2(913, 3, 26, 1, 0, FVFa0, 0, [3, 0, 0], [nGC_4973, nGC_4973])

      call avR2(913, 4, 26, 1, 0, FVFa0, 0, [1, 2, 0], [nGC_4980, nGC_4978])

      call avR2(913, 5, 26, 1, 0, FVFa0, 0, [1, 2, 2], [nGC_4981, nGC_4979])

      allocate(vertices(118)%branchR2(0:0))
      call avR2(118, 0, 19, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_4888])

      allocate(vertices(959)%branchR2(0:0))
      call avR2(959, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_4874, nGC_4875])

      allocate(vertices(1084)%branchR2(0:0))
      call avR2(1084, 0, 19, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_4888])

      allocate(vertices(1610)%branchR2(0:1))
      call avR2(1610, 0, 61, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5015, nGC_5015,   &
      nGC_5015])

      call avR2(1610, 1, 62, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5016, nGC_5016,   &
      nGC_5016])

      allocate(vertices(989)%branchR2(0:0))
      call avR2(989, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4929, nGC_4928])

      allocate(vertices(885)%branchR2(0:0))
      call avR2(885, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4881, nGC_4881])

      allocate(vertices(991)%branchR2(0:5))
      call avR2(991, 0, 24, 1, 0, FaVF0, 0, [3, 0, 0], [nGC_4973, nGC_4973])

      call avR2(991, 1, 24, 1, 0, FaVF0, 0, [1, 2, 0], [nGC_4980, nGC_4978])

      call avR2(991, 2, 24, 1, 0, FaVF0, 0, [1, 2, 2], [nGC_4981, nGC_4979])

      call avR2(991, 3, 25, 1, 0, FaVF0, 0, [3, 0, 0], [nGC_4968, nGC_4968])

      call avR2(991, 4, 25, 1, 0, FaVF0, 0, [1, 2, 0], [nGC_4976, nGC_4974])

      call avR2(991, 5, 25, 1, 0, FaVF0, 0, [1, 2, 2], [nGC_4977, nGC_4975])

      allocate(vertices(552)%branchR2(0:0))
      call avR2(552, 0, 19, 1, 0, FSFa1, 0, [2, 1, 0], [nGC_4858, nGC_4859])

      allocate(vertices(1611)%branchR2(0:1))
      call avR2(1611, 0, 53, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5015, nGC_5015,   &
      nGC_5015])

      call avR2(1611, 1, 54, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5016, nGC_5016,   &
      nGC_5016])

      allocate(vertices(1612)%branchR2(0:1))
      call avR2(1612, 0, 61, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4996, nGC_4996,   &
      nGC_4996])

      call avR2(1612, 1, 62, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4997, nGC_4997,   &
      nGC_4997])

      allocate(vertices(918)%branchR2(0:0))
      call avR2(918, 0, 20, 1, 0, VFaF1, 0, [2, 1, 1], [nGC_4937, nGC_4936])

      allocate(vertices(1490)%branchR2(0:0))
      call avR2(1490, 0, 21, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_4887])

      allocate(vertices(470)%branchR2(0:0))
      call avR2(470, 0, 18, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_4911, nGC_4910])

      allocate(vertices(876)%branchR2(0:0))
      call avR2(876, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4913, nGC_4912])

      allocate(vertices(119)%branchR2(0:0))
      call avR2(119, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_4889])

      allocate(vertices(835)%branchR2(0:0))
      call avR2(835, 0, 20, 1, 0, VFaF1, 0, [2, 1, 1], [nGC_4903, nGC_4902])

      allocate(vertices(1613)%branchR2(0:1))
      call avR2(1613, 0, 53, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4996, nGC_4996,   &
      nGC_4996])

      call avR2(1613, 1, 54, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4997, nGC_4997,   &
      nGC_4997])

      allocate(vertices(904)%branchR2(0:0))
      call avR2(904, 0, 17, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_4889])

      allocate(vertices(653)%branchR2(0:0))
      call avR2(653, 0, 21, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4923, nGC_4922])

      allocate(vertices(113)%branchR2(0:0))
      call avR2(113, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4860, nGC_4861])

      allocate(vertices(1614)%branchR2(0:1))
      call avR2(1614, 0, 56, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5016, nGC_5016,   &
      nGC_5016])

      call avR2(1614, 1, 55, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5015, nGC_5015,   &
      nGC_5015])

      allocate(vertices(1297)%branchR2(0:0))
      call avR2(1297, 0, 19, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_4851, nGC_4851])

      allocate(vertices(1615)%branchR2(0:1))
      call avR2(1615, 0, 53, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4996, nGC_4996,   &
      nGC_4996])

      call avR2(1615, 1, 54, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4997, nGC_4997,   &
      nGC_4997])

      allocate(vertices(677)%branchR2(0:5))
      call avR2(677, 0, 22, 1, 0, FaFV0, 0, [3, 0, 0], [nGC_4945, nGC_4945])

      call avR2(677, 1, 22, 1, 0, FaFV0, 0, [1, 2, 0], [nGC_4954, nGC_4952])

      call avR2(677, 2, 22, 1, 0, FaFV0, 0, [1, 2, 2], [nGC_4955, nGC_4953])

      call avR2(677, 3, 23, 1, 0, FaFV0, 0, [3, 0, 0], [nGC_4940, nGC_4940])

      call avR2(677, 4, 23, 1, 0, FaFV0, 0, [1, 2, 0], [nGC_4950, nGC_4948])

      call avR2(677, 5, 23, 1, 0, FaFV0, 0, [1, 2, 2], [nGC_4951, nGC_4949])

      allocate(vertices(1616)%branchR2(0:1))
      call avR2(1616, 0, 56, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5025, nGC_5025,   &
      nGC_5025])

      call avR2(1616, 1, 55, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5026, nGC_5026,   &
      nGC_5026])

      allocate(vertices(888)%branchR2(0:5))
      call avR2(888, 0, 22, 1, 0, FaFV0, 0, [3, 0, 0], [nGC_4945, nGC_4945])

      call avR2(888, 1, 22, 1, 0, FaFV0, 0, [1, 2, 0], [nGC_4962, nGC_4960])

      call avR2(888, 2, 22, 1, 0, FaFV0, 0, [1, 2, 2], [nGC_4963, nGC_4961])

      call avR2(888, 3, 23, 1, 0, FaFV0, 0, [3, 0, 0], [nGC_4940, nGC_4940])

      call avR2(888, 4, 23, 1, 0, FaFV0, 0, [1, 2, 0], [nGC_4958, nGC_4956])

      call avR2(888, 5, 23, 1, 0, FaFV0, 0, [1, 2, 2], [nGC_4959, nGC_4957])

      allocate(vertices(1617)%branchR2(0:1))
      call avR2(1617, 0, 61, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5007, nGC_5007,   &
      nGC_5007])

      call avR2(1617, 1, 62, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5006, nGC_5006,   &
      nGC_5006])

      allocate(vertices(884)%branchR2(0:0))
      call avR2(884, 0, 18, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_4864, nGC_4865])

      allocate(vertices(190)%branchR2(0:0))
      call avR2(190, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4891, nGC_4890])

      allocate(vertices(102)%branchR2(0:0))
      call avR2(102, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4905, nGC_4904])

      allocate(vertices(1618)%branchR2(0:1))
      call avR2(1618, 0, 57, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4996, nGC_4996,   &
      nGC_4996])

      call avR2(1618, 1, 58, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4997, nGC_4997,   &
      nGC_4997])

      allocate(vertices(1512)%branchR2(0:2))
      call avR2(1512, 0, 14, 1, 0, FFa1, 0, [0, 2, 0], [nGC_4818, nGC_4828,    &
      nGC_4826, nGC_4826])

      call avR2(1512, 1, 14, 1, 0, FFa1, 0, [2, 0, 0], [nGC_4807, nGC_4807,    &
      nGC_4827, nGC_4827])

      call avR2(1512, 2, 14, 1, 0, FFa1, 0, [0, 2, 2], [nGC_4831, nGC_4829,    &
      nGC_4830, nGC_4830])

      allocate(vertices(973)%branchR2(0:0))
      call avR2(973, 0, 17, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_4851, nGC_4851])

      allocate(vertices(1431)%branchR2(0:0))
      call avR2(1431, 0, 17, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_4888])

      allocate(vertices(219)%branchR2(0:0))
      call avR2(219, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4917, nGC_4916])

      allocate(vertices(1619)%branchR2(0:1))
      call avR2(1619, 0, 56, 1, 0, SVVS0, 0, [2, 2, 0], [nGC_4998])

      call avR2(1619, 1, 55, 1, 0, SVVS0, 0, [2, 2, 0], [nGC_4999])

      allocate(vertices(290)%branchR2(0:0))
      call avR2(290, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4898, nGC_4899])

      allocate(vertices(1620)%branchR2(0:1))
      call avR2(1620, 0, 59, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5015, nGC_5015,   &
      nGC_5015])

      call avR2(1620, 1, 60, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5016, nGC_5016,   &
      nGC_5016])

      allocate(vertices(1146)%branchR2(0:0))
      call avR2(1146, 0, 20, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_4884])

      allocate(vertices(1621)%branchR2(0:1))
      call avR2(1621, 0, 53, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5007, nGC_5007,   &
      nGC_5007])

      call avR2(1621, 1, 54, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5006, nGC_5006,   &
      nGC_5006])

      allocate(vertices(882)%branchR2(0:0))
      call avR2(882, 0, 21, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4907, nGC_4906])

      allocate(vertices(479)%branchR2(0:0))
      call avR2(479, 0, 21, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4919, nGC_4918])

      allocate(vertices(1622)%branchR2(0:1))
      call avR2(1622, 0, 57, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5003, nGC_5003,   &
      nGC_5003])

      call avR2(1622, 1, 58, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5002, nGC_5002,   &
      nGC_5002])

      allocate(vertices(804)%branchR2(0:0))
      call avR2(804, 0, 21, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_4881, nGC_4881])

      allocate(vertices(1623)%branchR2(0:1))
      call avR2(1623, 0, 43, 1, 0, SVV0, 0, [2, 1, 0], [nGC_4885])

      call avR2(1623, 1, 44, 1, 0, SVV0, 0, [2, 1, 0], [nGC_4886])

      allocate(vertices(1624)%branchR2(0:1))
      call avR2(1624, 0, 57, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4996, nGC_4996,   &
      nGC_4996])

      call avR2(1624, 1, 58, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4997, nGC_4997,   &
      nGC_4997])

      allocate(vertices(524)%branchR2(0:0))
      call avR2(524, 0, 20, 1, 0, VFaF1, 0, [2, 1, 1], [nGC_4893, nGC_4892])

      allocate(vertices(682)%branchR2(0:5))
      call avR2(682, 0, 29, 1, 0, VFaF1, 0, [3, 0, 0], [nGC_4940, nGC_4940])

      call avR2(682, 1, 29, 1, 0, VFaF1, 0, [1, 2, 0], [nGC_4958, nGC_4956])

      call avR2(682, 2, 29, 1, 0, VFaF1, 0, [1, 2, 2], [nGC_4959, nGC_4957])

      call avR2(682, 3, 28, 1, 0, VFaF1, 0, [3, 0, 0], [nGC_4945, nGC_4945])

      call avR2(682, 4, 28, 1, 0, VFaF1, 0, [1, 2, 0], [nGC_4962, nGC_4960])

      call avR2(682, 5, 28, 1, 0, VFaF1, 0, [1, 2, 2], [nGC_4963, nGC_4961])

      allocate(vertices(658)%branchR2(0:0))
      call avR2(658, 0, 19, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_4851, nGC_4851])

      allocate(vertices(81)%branchR2(0:0))
      call avR2(81, 0, 19, 1, 0, FSFa1, 0, [2, 1, 0], [nGC_4883, nGC_4883])

      allocate(vertices(1024)%branchR2(0:0))
      call avR2(1024, 0, 21, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4921, nGC_4920])

      allocate(vertices(814)%branchR2(0:0))
      call avR2(814, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4907, nGC_4906])

      allocate(vertices(394)%branchR2(0:0))
      call avR2(394, 0, 19, 1, 0, FSFa1, 0, [2, 1, 0], [nGC_4878, nGC_4878])

      allocate(vertices(984)%branchR2(0:0))
      call avR2(984, 0, 20, 1, 0, VFaF1, 0, [2, 1, 1], [nGC_4915, nGC_4914])

      allocate(vertices(110)%branchR2(0:0))
      call avR2(110, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4866, nGC_4867])

      allocate(vertices(127)%branchR2(0:0))
      call avR2(127, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4891, nGC_4890])

      allocate(vertices(61)%branchR2(0:0))
      call avR2(61, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4896, nGC_4897])

      allocate(vertices(824)%branchR2(0:0))
      call avR2(824, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4853, nGC_4854])

      allocate(vertices(514)%branchR2(0:0))
      call avR2(514, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4931, nGC_4930])

      allocate(vertices(1625)%branchR2(0:1))
      call avR2(1625, 0, 61, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4992, nGC_4992,   &
      nGC_4992])

      call avR2(1625, 1, 62, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4993, nGC_4993,   &
      nGC_4993])

      allocate(vertices(1049)%branchR2(0:0))
      call avR2(1049, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4931, nGC_4930])

      allocate(vertices(801)%branchR2(0:0))
      call avR2(801, 0, 21, 1, 0, SFFa1, 0, [2, 1, 0], [nGC_4852])

      allocate(vertices(1254)%branchR2(0:0))
      call avR2(1254, 0, 18, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_4862, nGC_4863])

      allocate(vertices(1260)%branchR2(0:5))
      call avR2(1260, 0, 24, 1, 0, FaVF0, 0, [3, 0, 0], [nGC_4945, nGC_4945])

      call avR2(1260, 1, 24, 1, 0, FaVF0, 0, [1, 2, 0], [nGC_4954, nGC_4952])

      call avR2(1260, 2, 24, 1, 0, FaVF0, 0, [1, 2, 2], [nGC_4955, nGC_4953])

      call avR2(1260, 3, 25, 1, 0, FaVF0, 0, [3, 0, 0], [nGC_4940, nGC_4940])

      call avR2(1260, 4, 25, 1, 0, FaVF0, 0, [1, 2, 0], [nGC_4950, nGC_4948])

      call avR2(1260, 5, 25, 1, 0, FaVF0, 0, [1, 2, 2], [nGC_4951, nGC_4949])

      allocate(vertices(1626)%branchR2(0:1))
      call avR2(1626, 0, 56, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5010, nGC_5010,   &
      nGC_5010])

      call avR2(1626, 1, 55, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5011, nGC_5011,   &
      nGC_5011])

      allocate(vertices(936)%branchR2(0:0))
      call avR2(936, 0, 21, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_4889])

      allocate(vertices(1627)%branchR2(0:1))
      call avR2(1627, 0, 64, 1, 0, VSVS0, 0, [2, 2, 0], [nGC_5000])

      call avR2(1627, 1, 63, 1, 0, VSVS0, 0, [2, 2, 0], [nGC_5001])

      allocate(vertices(1628)%branchR2(0:1))
      call avR2(1628, 0, 56, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5006, nGC_5006,   &
      nGC_5006])

      call avR2(1628, 1, 55, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5007, nGC_5007,   &
      nGC_5007])

      allocate(vertices(642)%branchR2(0:0))
      call avR2(642, 0, 21, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_4858, nGC_4859])

      allocate(vertices(1629)%branchR2(0:1))
      call avR2(1629, 0, 64, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4993, nGC_4993,   &
      nGC_4993])

      call avR2(1629, 1, 63, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4992, nGC_4992,   &
      nGC_4992])

      allocate(vertices(938)%branchR2(0:0))
      call avR2(938, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4891, nGC_4890])

      allocate(vertices(1630)%branchR2(0:1))
      call avR2(1630, 0, 59, 1, 0, VVSS0, 0, [2, 2, 0], [nGC_4994])

      call avR2(1630, 1, 60, 1, 0, VVSS0, 0, [2, 2, 0], [nGC_4995])

      allocate(vertices(1631)%branchR2(0:1))
      call avR2(1631, 0, 61, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4996, nGC_4996,   &
      nGC_4996])

      call avR2(1631, 1, 62, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4997, nGC_4997,   &
      nGC_4997])

      allocate(vertices(415)%branchR2(0:0))
      call avR2(415, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_4869, nGC_4868])

      allocate(vertices(1632)%branchR2(0:1))
      call avR2(1632, 0, 53, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5005, nGC_5005,   &
      nGC_5005])

      call avR2(1632, 1, 54, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5004, nGC_5004,   &
      nGC_5004])

      allocate(vertices(563)%branchR2(0:0))
      call avR2(563, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_4870, nGC_4871])

      allocate(vertices(1061)%branchR2(0:0))
      call avR2(1061, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4937, nGC_4936])

      allocate(vertices(1633)%branchR2(0:5))
      call avR2(1633, 0, 70, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5019, nGC_5019,   &
      nGC_5019])

      call avR2(1633, 1, 67, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5018, nGC_5018,   &
      nGC_5018])

      call avR2(1633, 2, 66, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5018, nGC_5018,   &
      nGC_5018])

      call avR2(1633, 3, 69, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5019, nGC_5019,   &
      nGC_5019])

      call avR2(1633, 4, 68, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5018, nGC_5018,   &
      nGC_5018])

      call avR2(1633, 5, 65, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5017, nGC_5017,   &
      nGC_5017])

      allocate(vertices(2)%branchR2(0:0))
      call avR2(2, 0, 20, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_4888])

      allocate(vertices(1634)%branchR2(0:1))
      call avR2(1634, 0, 48, 1, 0, VSV0, 0, [2, 1, 0], [nGC_4886])

      call avR2(1634, 1, 47, 1, 0, VSV0, 0, [2, 1, 0], [nGC_4885])

      allocate(vertices(1300)%branchR2(0:0))
      call avR2(1300, 0, 18, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_4878, nGC_4878])

      allocate(vertices(1285)%branchR2(0:0))
      call avR2(1285, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4915, nGC_4914])

      allocate(vertices(1156)%branchR2(0:0))
      call avR2(1156, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4919, nGC_4918])

      allocate(vertices(137)%branchR2(0:0))
      call avR2(137, 0, 19, 1, 0, FSFa1, 0, [2, 1, 0], [nGC_4872, nGC_4873])

      allocate(vertices(1363)%branchR2(0:0))
      call avR2(1363, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_4854, nGC_4853])

      allocate(vertices(1214)%branchR2(0:0))
      call avR2(1214, 0, 18, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_4889])

      allocate(vertices(1342)%branchR2(0:0))
      call avR2(1342, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4895, nGC_4894])

      allocate(vertices(1635)%branchR2(0:1))
      call avR2(1635, 0, 57, 1, 0, SVSV0, 0, [2, 2, 0], [nGC_4999])

      call avR2(1635, 1, 58, 1, 0, SVSV0, 0, [2, 2, 0], [nGC_4998])

      allocate(vertices(1054)%branchR2(0:0))
      call avR2(1054, 0, 20, 1, 0, VFaF1, 0, [2, 1, 1], [nGC_4898, nGC_4899])

      allocate(vertices(886)%branchR2(0:0))
      call avR2(886, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4913, nGC_4912])

      allocate(vertices(420)%branchR2(0:0))
      call avR2(420, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_4888])

      allocate(vertices(1636)%branchR2(0:1))
      call avR2(1636, 0, 59, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5026, nGC_5026,   &
      nGC_5026])

      call avR2(1636, 1, 60, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5025, nGC_5025,   &
      nGC_5025])

      allocate(vertices(161)%branchR2(0:0))
      call avR2(161, 0, 21, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4937, nGC_4936])

      allocate(vertices(1637)%branchR2(0:1))
      call avR2(1637, 0, 59, 1, 0, VVSS0, 0, [2, 2, 0], [nGC_4994])

      call avR2(1637, 1, 60, 1, 0, VVSS0, 0, [2, 2, 0], [nGC_4995])

      allocate(vertices(662)%branchR2(0:0))
      call avR2(662, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_4855, nGC_4856])

      allocate(vertices(1638)%branchR2(0:1))
      call avR2(1638, 0, 53, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4992, nGC_4992,   &
      nGC_4992])

      call avR2(1638, 1, 54, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4993, nGC_4993,   &
      nGC_4993])

      allocate(vertices(1366)%branchR2(0:0))
      call avR2(1366, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_4909, nGC_4908])

      allocate(vertices(1215)%branchR2(0:0))
      call avR2(1215, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4896, nGC_4897])

      allocate(vertices(237)%branchR2(0:0))
      call avR2(237, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_4911, nGC_4910])

      allocate(vertices(1021)%branchR2(0:1))
      call avR2(1021, 0, 3, 1, 0, VVV0, 0, [3, 0, 0], [nGC_14183])

      call avR2(1021, 1, 2, 1, 0, VVV0, 0, [3, 0, 0], [nGC_14185])

      allocate(vertices(78)%branchR2(0:0))
      call avR2(78, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4891, nGC_4890])

      allocate(vertices(1223)%branchR2(0:0))
      call avR2(1223, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_4909, nGC_4908])

      allocate(vertices(1074)%branchR2(0:5))
      call avR2(1074, 0, 22, 1, 0, FaFV0, 0, [3, 0, 0], [nGC_4973, nGC_4973])

      call avR2(1074, 1, 22, 1, 0, FaFV0, 0, [1, 2, 0], [nGC_4988, nGC_4986])

      call avR2(1074, 2, 22, 1, 0, FaFV0, 0, [1, 2, 2], [nGC_4989, nGC_4987])

      call avR2(1074, 3, 23, 1, 0, FaFV0, 0, [3, 0, 0], [nGC_4968, nGC_4968])

      call avR2(1074, 4, 23, 1, 0, FaFV0, 0, [1, 2, 0], [nGC_4984, nGC_4982])

      call avR2(1074, 5, 23, 1, 0, FaFV0, 0, [1, 2, 2], [nGC_4985, nGC_4983])

      allocate(vertices(1639)%branchR2(0:1))
      call avR2(1639, 0, 61, 1, 0, VSSV0, 0, [2, 2, 0], [nGC_4999])

      call avR2(1639, 1, 62, 1, 0, VSSV0, 0, [2, 2, 0], [nGC_4998])

      allocate(vertices(1124)%branchR2(0:5))
      call avR2(1124, 0, 27, 1, 0, FVFa0, 0, [3, 0, 0], [nGC_4940, nGC_4940])

      call avR2(1124, 1, 27, 1, 0, FVFa0, 0, [1, 2, 0], [nGC_4958, nGC_4956])

      call avR2(1124, 2, 27, 1, 0, FVFa0, 0, [1, 2, 2], [nGC_4959, nGC_4957])

      call avR2(1124, 3, 26, 1, 0, FVFa0, 0, [3, 0, 0], [nGC_4945, nGC_4945])

      call avR2(1124, 4, 26, 1, 0, FVFa0, 0, [1, 2, 0], [nGC_4962, nGC_4960])

      call avR2(1124, 5, 26, 1, 0, FVFa0, 0, [1, 2, 2], [nGC_4963, nGC_4961])

      allocate(vertices(1640)%branchR2(0:1))
      call avR2(1640, 0, 64, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4997, nGC_4997,   &
      nGC_4997])

      call avR2(1640, 1, 63, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4996, nGC_4996,   &
      nGC_4996])

      allocate(vertices(1462)%branchR2(0:5))
      call avR2(1462, 0, 27, 1, 0, FVFa0, 0, [3, 0, 0], [nGC_4968, nGC_4968])

      call avR2(1462, 1, 27, 1, 0, FVFa0, 0, [1, 2, 0], [nGC_4984, nGC_4982])

      call avR2(1462, 2, 27, 1, 0, FVFa0, 0, [1, 2, 2], [nGC_4985, nGC_4983])

      call avR2(1462, 3, 26, 1, 0, FVFa0, 0, [3, 0, 0], [nGC_4973, nGC_4973])

      call avR2(1462, 4, 26, 1, 0, FVFa0, 0, [1, 2, 0], [nGC_4988, nGC_4986])

      call avR2(1462, 5, 26, 1, 0, FVFa0, 0, [1, 2, 2], [nGC_4989, nGC_4987])

      allocate(vertices(609)%branchR2(0:0))
      call avR2(609, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_4850, nGC_4850])

      allocate(vertices(541)%branchR2(0:0))
      call avR2(541, 0, 19, 1, 0, FSFa1, 0, [2, 1, 0], [nGC_4854, nGC_4853])

      allocate(vertices(38)%branchR2(0:0))
      call avR2(38, 0, 19, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_4851, nGC_4851])

      allocate(vertices(1279)%branchR2(0:0))
      call avR2(1279, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_4850, nGC_4850])

      allocate(vertices(1094)%branchR2(0:0))
      call avR2(1094, 0, 21, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4913, nGC_4912])

      allocate(vertices(1641)%branchR2(0:1))
      call avR2(1641, 0, 61, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4996, nGC_4996,   &
      nGC_4996])

      call avR2(1641, 1, 62, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4997, nGC_4997,   &
      nGC_4997])

      allocate(vertices(188)%branchR2(0:0))
      call avR2(188, 0, 19, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_4850, nGC_4850])

      allocate(vertices(985)%branchR2(0:0))
      call avR2(985, 0, 21, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4891, nGC_4890])

      allocate(vertices(676)%branchR2(0:0))
      call avR2(676, 0, 17, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_4884])

      allocate(vertices(1184)%branchR2(0:5))
      call avR2(1184, 0, 29, 1, 0, VFaF1, 0, [3, 0, 0], [nGC_4968, nGC_4968])

      call avR2(1184, 1, 29, 1, 0, VFaF1, 0, [1, 2, 0], [nGC_4966, nGC_4964])

      call avR2(1184, 2, 29, 1, 0, VFaF1, 0, [1, 2, 2], [nGC_4967, nGC_4965])

      call avR2(1184, 3, 28, 1, 0, VFaF1, 0, [3, 0, 0], [nGC_4973, nGC_4973])

      call avR2(1184, 4, 28, 1, 0, VFaF1, 0, [1, 2, 0], [nGC_4971, nGC_4969])

      call avR2(1184, 5, 28, 1, 0, VFaF1, 0, [1, 2, 2], [nGC_4972, nGC_4970])

      allocate(vertices(403)%branchR2(0:0))
      call avR2(403, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4895, nGC_4894])

      allocate(vertices(1642)%branchR2(0:5))
      call avR2(1642, 0, 70, 1, 0, VVVV1, 0, [3, 1, 1], [nGC_5022, nGC_5022,   &
      nGC_5022, nGC_5024])

      call avR2(1642, 1, 67, 1, 0, VVVV0, 0, [3, 1, 1], [nGC_5021, nGC_5021,   &
      nGC_5021])

      call avR2(1642, 2, 66, 1, 0, VVVV0, 0, [3, 1, 1], [nGC_5021, nGC_5021,   &
      nGC_5021])

      call avR2(1642, 3, 69, 1, 0, VVVV1, 0, [3, 1, 1], [nGC_5022, nGC_5022,   &
      nGC_5022, nGC_5023])

      call avR2(1642, 4, 68, 1, 0, VVVV0, 0, [3, 1, 1], [nGC_5021, nGC_5021,   &
      nGC_5021])

      call avR2(1642, 5, 65, 1, 0, VVVV0, 0, [3, 1, 1], [nGC_5020, nGC_5020,   &
      nGC_5020])

      allocate(vertices(745)%branchR2(0:0))
      call avR2(745, 0, 21, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_4888])

      allocate(vertices(1643)%branchR2(0:1))
      call avR2(1643, 0, 59, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5007, nGC_5007,   &
      nGC_5007])

      call avR2(1643, 1, 60, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5006, nGC_5006,   &
      nGC_5006])

      allocate(vertices(1195)%branchR2(0:0))
      call avR2(1195, 0, 21, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4927, nGC_4926])

      allocate(vertices(952)%branchR2(0:0))
      call avR2(952, 0, 21, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4923, nGC_4922])

      allocate(vertices(1025)%branchR2(0:0))
      call avR2(1025, 0, 21, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_4851, nGC_4851])

      allocate(vertices(1475)%branchR2(0:0))
      call avR2(1475, 0, 21, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_4889])

      allocate(vertices(897)%branchR2(0:0))
      call avR2(897, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_4909, nGC_4908])

      allocate(vertices(957)%branchR2(0:0))
      call avR2(957, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_4881, nGC_4881])

      allocate(vertices(916)%branchR2(0:0))
      call avR2(916, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_4880, nGC_4879])

      allocate(vertices(747)%branchR2(0:0))
      call avR2(747, 0, 18, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_4869, nGC_4868])

      allocate(vertices(94)%branchR2(0:0))
      call avR2(94, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4898, nGC_4899])

      allocate(vertices(414)%branchR2(0:0))
      call avR2(414, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_4888])

      allocate(vertices(466)%branchR2(0:0))
      call avR2(466, 0, 19, 1, 0, FSFa2, 0, [2, 1, 0], [nGC_4857])

      allocate(vertices(834)%branchR2(0:0))
      call avR2(834, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4907, nGC_4906])

      allocate(vertices(839)%branchR2(0:0))
      call avR2(839, 0, 19, 1, 0, FSFa1, 0, [2, 1, 0], [nGC_4881, nGC_4881])

      allocate(vertices(368)%branchR2(0:0))
      call avR2(368, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4903, nGC_4902])

      allocate(vertices(1644)%branchR2(0:1))
      call avR2(1644, 0, 64, 1, 0, VSVS0, 0, [2, 2, 0], [nGC_4995])

      call avR2(1644, 1, 63, 1, 0, VSVS0, 0, [2, 2, 0], [nGC_4994])

      allocate(vertices(1231)%branchR2(0:0))
      call avR2(1231, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4896, nGC_4897])

      allocate(vertices(1410)%branchR2(0:0))
      call avR2(1410, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4927, nGC_4926])

      allocate(vertices(934)%branchR2(0:0))
      call avR2(934, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4919, nGC_4918])

      allocate(vertices(1645)%branchR2(0:1))
      call avR2(1645, 0, 59, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5011, nGC_5011,   &
      nGC_5011])

      call avR2(1645, 1, 60, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5010, nGC_5010,   &
      nGC_5010])

      allocate(vertices(460)%branchR2(0:0))
      call avR2(460, 0, 18, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_4888])

      allocate(vertices(1646)%branchR2(0:1))
      call avR2(1646, 0, 57, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4996, nGC_4996,   &
      nGC_4996])

      call avR2(1646, 1, 58, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4997, nGC_4997,   &
      nGC_4997])

      allocate(vertices(785)%branchR2(0:5))
      call avR2(785, 0, 29, 1, 0, VFaF1, 0, [3, 0, 0], [nGC_4968, nGC_4968])

      call avR2(785, 1, 29, 1, 0, VFaF1, 0, [1, 2, 0], [nGC_4984, nGC_4982])

      call avR2(785, 2, 29, 1, 0, VFaF1, 0, [1, 2, 2], [nGC_4985, nGC_4983])

      call avR2(785, 3, 28, 1, 0, VFaF1, 0, [3, 0, 0], [nGC_4973, nGC_4973])

      call avR2(785, 4, 28, 1, 0, VFaF1, 0, [1, 2, 0], [nGC_4988, nGC_4986])

      call avR2(785, 5, 28, 1, 0, VFaF1, 0, [1, 2, 2], [nGC_4989, nGC_4987])

      allocate(vertices(856)%branchR2(0:0))
      call avR2(856, 0, 19, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_4888])

      allocate(vertices(1097)%branchR2(0:0))
      call avR2(1097, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4931, nGC_4930])

      allocate(vertices(866)%branchR2(0:0))
      call avR2(866, 0, 18, 1, 0, FaFS2, 0, [2, 1, 0], [nGC_4852])

      allocate(vertices(399)%branchR2(0:0))
      call avR2(399, 0, 18, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_4866, nGC_4867])

      allocate(vertices(593)%branchR2(0:0))
      call avR2(593, 0, 21, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4895, nGC_4894])

      allocate(vertices(766)%branchR2(0:0))
      call avR2(766, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4935, nGC_4934])

      allocate(vertices(1473)%branchR2(0:0))
      call avR2(1473, 0, 20, 1, 0, VFaF1, 0, [2, 1, 1], [nGC_4893, nGC_4892])

      allocate(vertices(697)%branchR2(0:0))
      call avR2(697, 0, 21, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_4909, nGC_4908])

      allocate(vertices(971)%branchR2(0:0))
      call avR2(971, 0, 18, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_4888])

      allocate(vertices(715)%branchR2(0:0))
      call avR2(715, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4905, nGC_4904])

      allocate(vertices(361)%branchR2(0:0))
      call avR2(361, 0, 21, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_4850, nGC_4850])

      allocate(vertices(1205)%branchR2(0:5))
      call avR2(1205, 0, 24, 1, 0, FaVF0, 0, [3, 0, 0], [nGC_4945, nGC_4945])

      call avR2(1205, 1, 24, 1, 0, FaVF0, 0, [1, 2, 0], [nGC_4946, nGC_4943])

      call avR2(1205, 2, 24, 1, 0, FaVF0, 0, [1, 2, 2], [nGC_4947, nGC_4944])

      call avR2(1205, 3, 25, 1, 0, FaVF0, 0, [3, 0, 0], [nGC_4940, nGC_4940])

      call avR2(1205, 4, 25, 1, 0, FaVF0, 0, [1, 2, 0], [nGC_4941, nGC_4938])

      call avR2(1205, 5, 25, 1, 0, FaVF0, 0, [1, 2, 2], [nGC_4942, nGC_4939])

      allocate(vertices(853)%branchR2(0:0))
      call avR2(853, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4915, nGC_4914])

      allocate(vertices(892)%branchR2(0:0))
      call avR2(892, 0, 19, 1, 0, FSFa1, 0, [2, 1, 0], [nGC_4876, nGC_4876])

      allocate(vertices(893)%branchR2(0:0))
      call avR2(893, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4935, nGC_4934])

      allocate(vertices(1647)%branchR2(0:1))
      call avR2(1647, 0, 57, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5007, nGC_5007,   &
      nGC_5007])

      call avR2(1647, 1, 58, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5006, nGC_5006,   &
      nGC_5006])

      allocate(vertices(233)%branchR2(0:0))
      call avR2(233, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4927, nGC_4926])

      allocate(vertices(390)%branchR2(0:0))
      call avR2(390, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4921, nGC_4920])

      allocate(vertices(494)%branchR2(0:0))
      call avR2(494, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4917, nGC_4916])

      allocate(vertices(1648)%branchR2(0:5))
      call avR2(1648, 0, 76, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5012, nGC_5012,   &
      nGC_5012])

      call avR2(1648, 1, 73, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5013, nGC_5013,   &
      nGC_5013])

      call avR2(1648, 2, 71, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5014, nGC_5014,   &
      nGC_5014])

      call avR2(1648, 3, 72, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5013, nGC_5013,   &
      nGC_5013])

      call avR2(1648, 4, 75, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5013, nGC_5013,   &
      nGC_5013])

      call avR2(1648, 5, 74, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5014, nGC_5014,   &
      nGC_5014])

      allocate(vertices(561)%branchR2(0:0))
      call avR2(561, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4898, nGC_4899])

      allocate(vertices(830)%branchR2(0:0))
      call avR2(830, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_4859, nGC_4858])

      allocate(vertices(1241)%branchR2(0:0))
      call avR2(1241, 0, 17, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_4872, nGC_4873])

      allocate(vertices(1649)%branchR2(0:5))
      call avR2(1649, 0, 85, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5013, nGC_5013,   &
      nGC_5013])

      call avR2(1649, 1, 84, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5013, nGC_5013,   &
      nGC_5013])

      call avR2(1649, 2, 87, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5013, nGC_5013,   &
      nGC_5013])

      call avR2(1649, 3, 88, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5012, nGC_5012,   &
      nGC_5012])

      call avR2(1649, 4, 86, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5014, nGC_5014,   &
      nGC_5014])

      call avR2(1649, 5, 83, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5014, nGC_5014,   &
      nGC_5014])

      allocate(vertices(1650)%branchR2(0:1))
      call avR2(1650, 0, 56, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4997, nGC_4997,   &
      nGC_4997])

      call avR2(1650, 1, 55, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4996, nGC_4996,   &
      nGC_4996])

      allocate(vertices(235)%branchR2(0:0))
      call avR2(235, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_4850, nGC_4850])

      allocate(vertices(1030)%branchR2(0:5))
      call avR2(1030, 0, 30, 1, 0, VFFa0, 0, [3, 0, 0], [nGC_4945, nGC_4945])

      call avR2(1030, 1, 30, 1, 0, VFFa0, 0, [1, 2, 0], [nGC_4954, nGC_4952])

      call avR2(1030, 2, 30, 1, 0, VFFa0, 0, [1, 2, 2], [nGC_4955, nGC_4953])

      call avR2(1030, 3, 31, 1, 0, VFFa0, 0, [3, 0, 0], [nGC_4940, nGC_4940])

      call avR2(1030, 4, 31, 1, 0, VFFa0, 0, [1, 2, 0], [nGC_4950, nGC_4948])

      call avR2(1030, 5, 31, 1, 0, VFFa0, 0, [1, 2, 2], [nGC_4951, nGC_4949])

      allocate(vertices(696)%branchR2(0:0))
      call avR2(696, 0, 19, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_4852])

      allocate(vertices(312)%branchR2(0:0))
      call avR2(312, 0, 20, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_4889])

      allocate(vertices(1062)%branchR2(0:0))
      call avR2(1062, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_4851, nGC_4851])

      allocate(vertices(139)%branchR2(0:0))
      call avR2(139, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4907, nGC_4906])

      allocate(vertices(1387)%branchR2(0:0))
      call avR2(1387, 0, 21, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_4854, nGC_4853])

      allocate(vertices(1051)%branchR2(0:0))
      call avR2(1051, 0, 17, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_4887])

      allocate(vertices(1651)%branchR2(0:1))
      call avR2(1651, 0, 57, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5011, nGC_5011,   &
      nGC_5011])

      call avR2(1651, 1, 58, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5010, nGC_5010,   &
      nGC_5010])

      allocate(vertices(126)%branchR2(0:0))
      call avR2(126, 0, 21, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_4877, nGC_4877])

      allocate(vertices(960)%branchR2(0:0))
      call avR2(960, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4925, nGC_4924])

      allocate(vertices(619)%branchR2(0:0))
      call avR2(619, 0, 21, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4927, nGC_4926])

      allocate(vertices(1345)%branchR2(0:0))
      call avR2(1345, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4921, nGC_4920])

      allocate(vertices(200)%branchR2(0:0))
      call avR2(200, 0, 21, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_4850, nGC_4850])

      allocate(vertices(1652)%branchR2(0:1))
      call avR2(1652, 0, 64, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4997, nGC_4997,   &
      nGC_4997])

      call avR2(1652, 1, 63, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4996, nGC_4996,   &
      nGC_4996])

      allocate(vertices(222)%branchR2(0:0))
      call avR2(222, 0, 17, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_4877, nGC_4877])

      allocate(vertices(175)%branchR2(0:0))
      call avR2(175, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4903, nGC_4902])

      allocate(vertices(1194)%branchR2(0:0))
      call avR2(1194, 0, 21, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_4869, nGC_4868])

      allocate(vertices(816)%branchR2(0:0))
      call avR2(816, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4903, nGC_4902])

      allocate(vertices(504)%branchR2(0:0))
      call avR2(504, 0, 20, 1, 0, SFaF2, 0, [2, 1, 0], [nGC_4852])

      allocate(vertices(1653)%branchR2(0:1))
      call avR2(1653, 0, 53, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5011, nGC_5011,   &
      nGC_5011])

      call avR2(1653, 1, 54, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5010, nGC_5010,   &
      nGC_5010])

      allocate(vertices(864)%branchR2(0:0))
      call avR2(864, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_4862, nGC_4863])

      allocate(vertices(198)%branchR2(0:0))
      call avR2(198, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4931, nGC_4930])

      allocate(vertices(668)%branchR2(0:0))
      call avR2(668, 0, 20, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_4887])

      allocate(vertices(1454)%branchR2(0:0))
      call avR2(1454, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4921, nGC_4920])

      allocate(vertices(260)%branchR2(0:0))
      call avR2(260, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_4888])

      allocate(vertices(1042)%branchR2(0:0))
      call avR2(1042, 0, 17, 1, 0, FaSF1, 0, [2, 1, 0], [nGC_4857])

      allocate(vertices(1219)%branchR2(0:0))
      call avR2(1219, 0, 19, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_4850, nGC_4850])

      allocate(vertices(1089)%branchR2(0:0))
      call avR2(1089, 0, 20, 1, 0, VFaF1, 0, [2, 1, 1], [nGC_4907, nGC_4906])

      allocate(vertices(338)%branchR2(0:0))
      call avR2(338, 0, 21, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4905, nGC_4904])

      allocate(vertices(510)%branchR2(0:0))
      call avR2(510, 0, 17, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_4911, nGC_4910])

      allocate(vertices(1315)%branchR2(0:0))
      call avR2(1315, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4864, nGC_4865])

      allocate(vertices(996)%branchR2(0:0))
      call avR2(996, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4929, nGC_4928])

      allocate(vertices(942)%branchR2(0:0))
      call avR2(942, 0, 20, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_4888])

      allocate(vertices(809)%branchR2(0:0))
      call avR2(809, 0, 21, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_4874, nGC_4875])

      allocate(vertices(1382)%branchR2(0:0))
      call avR2(1382, 0, 20, 1, 0, VFaF1, 0, [2, 1, 1], [nGC_4901, nGC_4900])

      allocate(vertices(703)%branchR2(0:0))
      call avR2(703, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4915, nGC_4914])

      allocate(vertices(1654)%branchR2(0:1))
      call avR2(1654, 0, 59, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4996, nGC_4996,   &
      nGC_4996])

      call avR2(1654, 1, 60, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_4997, nGC_4997,   &
      nGC_4997])

      allocate(vertices(1038)%branchR2(0:0))
      call avR2(1038, 0, 18, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_4852])

      allocate(vertices(812)%branchR2(0:0))
      call avR2(812, 0, 19, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_4887])

      allocate(vertices(1655)%branchR2(0:5))
      call avR2(1655, 0, 76, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5017, nGC_5017,   &
      nGC_5017])

      call avR2(1655, 1, 73, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5018, nGC_5018,   &
      nGC_5018])

      call avR2(1655, 2, 71, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5019, nGC_5019,   &
      nGC_5019])

      call avR2(1655, 3, 72, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5018, nGC_5018,   &
      nGC_5018])

      call avR2(1655, 4, 75, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5018, nGC_5018,   &
      nGC_5018])

      call avR2(1655, 5, 74, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_5019, nGC_5019,   &
      nGC_5019])

      allocate(vertices(327)%branchR2(0:0))
      call avR2(327, 0, 21, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4931, nGC_4930])

      allocate(vertices(1656)%branchR2(0:1))
      call avR2(1656, 0, 53, 1, 0, SSVV0, 0, [2, 2, 0], [nGC_4994])

      call avR2(1656, 1, 54, 1, 0, SSVV0, 0, [2, 2, 0], [nGC_4995])

      allocate(vertices(517)%branchR2(0:0))
      call avR2(517, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4917, nGC_4916])

      allocate(vertices(269)%branchR2(0:0))
      call avR2(269, 0, 19, 1, 0, FSFa1, 0, [2, 1, 0], [nGC_4855, nGC_4856])

      allocate(vertices(1404)%branchR2(0:0))
      call avR2(1404, 0, 20, 1, 0, VFaF1, 0, [2, 1, 1], [nGC_4896, nGC_4897])

      allocate(vertices(550)%branchR2(0:5))
      call avR2(550, 0, 30, 1, 0, VFFa0, 0, [3, 0, 0], [nGC_4973, nGC_4973])

      call avR2(550, 1, 30, 1, 0, VFFa0, 0, [1, 2, 0], [nGC_4971, nGC_4969])

      call avR2(550, 2, 30, 1, 0, VFFa0, 0, [1, 2, 2], [nGC_4972, nGC_4970])

      call avR2(550, 3, 31, 1, 0, VFFa0, 0, [3, 0, 0], [nGC_4968, nGC_4968])

      call avR2(550, 4, 31, 1, 0, VFFa0, 0, [1, 2, 0], [nGC_4966, nGC_4964])

      call avR2(550, 5, 31, 1, 0, VFFa0, 0, [1, 2, 2], [nGC_4967, nGC_4965])

      allocate(vertices(687)%branchR2(0:0))
      call avR2(687, 0, 18, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_4872, nGC_4873])

      allocate(vertices(431)%branchR2(0:0))
      call avR2(431, 0, 17, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_4880, nGC_4879])

      allocate(vertices(764)%branchR2(0:0))
      call avR2(764, 0, 21, 1, 0, SFFa2, 0, [2, 1, 0], [nGC_4857])

      allocate(vertices(1221)%branchR2(0:0))
      call avR2(1221, 0, 17, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_4881, nGC_4881])

      allocate(vertices(442)%branchR2(0:0))
      call avR2(442, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4901, nGC_4900])

      allocate(vertices(457)%branchR2(0:0))
      call avR2(457, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4879, nGC_4880])

      allocate(vertices(690)%branchR2(0:5))
      call avR2(690, 0, 24, 1, 0, FaVF0, 0, [3, 0, 0], [nGC_4945, nGC_4945])

      call avR2(690, 1, 24, 1, 0, FaVF0, 0, [1, 2, 0], [nGC_4962, nGC_4960])

      call avR2(690, 2, 24, 1, 0, FaVF0, 0, [1, 2, 2], [nGC_4963, nGC_4961])

      call avR2(690, 3, 25, 1, 0, FaVF0, 0, [3, 0, 0], [nGC_4940, nGC_4940])

      call avR2(690, 4, 25, 1, 0, FaVF0, 0, [1, 2, 0], [nGC_4958, nGC_4956])

      call avR2(690, 5, 25, 1, 0, FaVF0, 0, [1, 2, 2], [nGC_4959, nGC_4957])

      allocate(vertices(1657)%branchR2(0:1))
      call avR2(1657, 0, 57, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4992, nGC_4992,   &
      nGC_4992])

      call avR2(1657, 1, 58, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4993, nGC_4993,   &
      nGC_4993])

      allocate(vertices(105)%branchR2(0:0))
      call avR2(105, 0, 21, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_4862, nGC_4863])

      allocate(vertices(1658)%branchR2(0:1))
      call avR2(1658, 0, 64, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5010, nGC_5010,   &
      nGC_5010])

      call avR2(1658, 1, 63, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5011, nGC_5011,   &
      nGC_5011])

      allocate(vertices(981)%branchR2(0:0))
      call avR2(981, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4895, nGC_4894])

      allocate(vertices(1659)%branchR2(0:1))
      call avR2(1659, 0, 56, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5002, nGC_5002,   &
      nGC_5002])

      call avR2(1659, 1, 55, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5003, nGC_5003,   &
      nGC_5003])

      allocate(vertices(1453)%branchR2(0:0))
      call avR2(1453, 0, 20, 1, 0, VFaF1, 0, [2, 1, 1], [nGC_4929, nGC_4928])

      allocate(vertices(1531)%branchR2(0:2))
      call avR2(1531, 0, 42, 1, 0, FaF0, 0, [0, 2, 0], [nGC_4811, nGC_4808,    &
      nGC_4805, nGC_4805])

      call avR2(1531, 1, 42, 1, 0, FaF0, 0, [2, 0, 0], [nGC_4807, nGC_4807,    &
      nGC_4806, nGC_4806])

      call avR2(1531, 2, 42, 1, 0, FaF0, 0, [0, 2, 2], [nGC_4812, nGC_4809,    &
      nGC_4810, nGC_4810])

      allocate(vertices(1166)%branchR2(0:0))
      call avR2(1166, 0, 20, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_4884])

      allocate(vertices(701)%branchR2(0:0))
      call avR2(701, 0, 18, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_4870, nGC_4871])

      allocate(vertices(659)%branchR2(0:0))
      call avR2(659, 0, 18, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_4883, nGC_4883])

      allocate(vertices(1420)%branchR2(0:5))
      call avR2(1420, 0, 22, 1, 0, FaFV0, 0, [3, 0, 0], [nGC_4973, nGC_4973])

      call avR2(1420, 1, 22, 1, 0, FaFV0, 0, [1, 2, 0], [nGC_4971, nGC_4969])

      call avR2(1420, 2, 22, 1, 0, FaFV0, 0, [1, 2, 2], [nGC_4972, nGC_4970])

      call avR2(1420, 3, 23, 1, 0, FaFV0, 0, [3, 0, 0], [nGC_4968, nGC_4968])

      call avR2(1420, 4, 23, 1, 0, FaFV0, 0, [1, 2, 0], [nGC_4966, nGC_4964])

      call avR2(1420, 5, 23, 1, 0, FaFV0, 0, [1, 2, 2], [nGC_4967, nGC_4965])

      allocate(vertices(307)%branchR2(0:0))
      call avR2(307, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4896, nGC_4897])

      allocate(vertices(159)%branchR2(0:0))
      call avR2(159, 0, 17, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_4879, nGC_4880])

      allocate(vertices(899)%branchR2(0:0))
      call avR2(899, 0, 18, 1, 0, FaFS2, 0, [2, 1, 0], [nGC_4857])

      allocate(vertices(1007)%branchR2(0:0))
      call avR2(1007, 0, 17, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_4858, nGC_4859])

      allocate(vertices(335)%branchR2(0:0))
      call avR2(335, 0, 19, 1, 0, FSFa1, 0, [2, 1, 0], [nGC_4869, nGC_4868])

      allocate(vertices(851)%branchR2(0:0))
      call avR2(851, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4859, nGC_4858])

      allocate(vertices(421)%branchR2(0:0))
      call avR2(421, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4901, nGC_4900])

      allocate(vertices(1341)%branchR2(0:0))
      call avR2(1341, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_4893, nGC_4892])

      allocate(vertices(948)%branchR2(0:0))
      call avR2(948, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4925, nGC_4924])

      allocate(vertices(337)%branchR2(0:0))
      call avR2(337, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_4876, nGC_4876])

      allocate(vertices(1660)%branchR2(0:1))
      call avR2(1660, 0, 43, 1, 0, VVV2, 0, [2, 1, 1], [nGC_4932])

      call avR2(1660, 1, 44, 1, 0, VVV2, 0, [2, 1, 1], [nGC_4933])

      allocate(vertices(49)%branchR2(0:5))
      call avR2(49, 0, 11, 1, 0, FFaV0, 0, [3, 0, 0], [nGC_4945, nGC_4945])

      call avR2(49, 1, 11, 1, 0, FFaV0, 0, [1, 2, 0], [nGC_4946, nGC_4943])

      call avR2(49, 2, 11, 1, 0, FFaV0, 0, [1, 2, 2], [nGC_4947, nGC_4944])

      call avR2(49, 3, 12, 1, 0, FFaV0, 0, [3, 0, 0], [nGC_4940, nGC_4940])

      call avR2(49, 4, 12, 1, 0, FFaV0, 0, [1, 2, 0], [nGC_4941, nGC_4938])

      call avR2(49, 5, 12, 1, 0, FFaV0, 0, [1, 2, 2], [nGC_4942, nGC_4939])

      allocate(vertices(409)%branchR2(0:0))
      call avR2(409, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4893, nGC_4892])

      allocate(vertices(1374)%branchR2(0:0))
      call avR2(1374, 0, 21, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4903, nGC_4902])

      allocate(vertices(877)%branchR2(0:0))
      call avR2(877, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4893, nGC_4892])

      allocate(vertices(1332)%branchR2(0:0))
      call avR2(1332, 0, 21, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4895, nGC_4894])

      allocate(vertices(1661)%branchR2(0:1))
      call avR2(1661, 0, 64, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5006, nGC_5006,   &
      nGC_5006])

      call avR2(1661, 1, 63, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5007, nGC_5007,   &
      nGC_5007])

      allocate(vertices(1027)%branchR2(0:0))
      call avR2(1027, 0, 21, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_4911, nGC_4910])

      allocate(vertices(1662)%branchR2(0:1))
      call avR2(1662, 0, 57, 1, 0, SVSV0, 0, [2, 2, 0], [nGC_4994])

      call avR2(1662, 1, 58, 1, 0, SVSV0, 0, [2, 2, 0], [nGC_4995])

      allocate(vertices(1270)%branchR2(0:0))
      call avR2(1270, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4872, nGC_4873])

      allocate(vertices(1663)%branchR2(0:1))
      call avR2(1663, 0, 64, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5004, nGC_5004,   &
      nGC_5004])

      call avR2(1663, 1, 63, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5005, nGC_5005,   &
      nGC_5005])

      allocate(vertices(791)%branchR2(0:0))
      call avR2(791, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4923, nGC_4922])

      allocate(vertices(695)%branchR2(0:0))
      call avR2(695, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_4851, nGC_4851])

      allocate(vertices(1370)%branchR2(0:0))
      call avR2(1370, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4919, nGC_4918])

      allocate(vertices(1664)%branchR2(0:1))
      call avR2(1664, 0, 57, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5026, nGC_5026,   &
      nGC_5026])

      call avR2(1664, 1, 58, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_5025, nGC_5025,   &
      nGC_5025])

      allocate(vertices(930)%branchR2(0:0))
      call avR2(930, 0, 19, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_4884])

      allocate(vertices(1134)%branchR2(0:0))
      call avR2(1134, 0, 17, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_4887])

      allocate(vertices(92)%branchR2(0:0))
      call avR2(92, 0, 18, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_4880, nGC_4879])

      allocate(vertices(1088)%branchR2(0:0))
      call avR2(1088, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_4850, nGC_4850])

      allocate(vertices(194)%branchR2(0:0))
      call avR2(194, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4878, nGC_4878])

      allocate(vertices(515)%branchR2(0:0))
      call avR2(515, 0, 17, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_4911, nGC_4910])

      allocate(vertices(1665)%branchR2(0:1))
      call avR2(1665, 0, 57, 1, 0, SVSV0, 0, [2, 2, 0], [nGC_5001])

      call avR2(1665, 1, 58, 1, 0, SVSV0, 0, [2, 2, 0], [nGC_5000])

      allocate(vertices(391)%branchR2(0:0))
      call avR2(391, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4925, nGC_4924])

      allocate(vertices(1666)%branchR2(0:1))
      call avR2(1666, 0, 56, 1, 0, SVVS0, 0, [2, 2, 0], [nGC_4995])

      call avR2(1666, 1, 55, 1, 0, SVVS0, 0, [2, 2, 0], [nGC_4994])

      allocate(vertices(1272)%branchR2(0:0))
      call avR2(1272, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4896, nGC_4897])

      allocate(vertices(572)%branchR2(0:0))
      call avR2(572, 0, 21, 1, 0, VFFa0, 0, [2, 1, 1], [nGC_4907, nGC_4906])

      allocate(vertices(1537)%branchR2(0:2))
      call avR2(1537, 0, 42, 1, 0, FaF0, 0, [0, 2, 0], [nGC_4811, nGC_4822,    &
      nGC_4824, nGC_4824])

      call avR2(1537, 1, 42, 1, 0, FaF0, 0, [2, 0, 0], [nGC_4807, nGC_4807,    &
      nGC_4820, nGC_4820])

      call avR2(1537, 2, 42, 1, 0, FaF0, 0, [0, 2, 2], [nGC_4825, nGC_4823,    &
      nGC_4821, nGC_4821])

      allocate(vertices(1474)%branchR2(0:5))
      call avR2(1474, 0, 24, 1, 0, FaVF0, 0, [3, 0, 0], [nGC_4973, nGC_4973])

      call avR2(1474, 1, 24, 1, 0, FaVF0, 0, [1, 2, 0], [nGC_4988, nGC_4986])

      call avR2(1474, 2, 24, 1, 0, FaVF0, 0, [1, 2, 2], [nGC_4989, nGC_4987])

      call avR2(1474, 3, 25, 1, 0, FaVF0, 0, [3, 0, 0], [nGC_4968, nGC_4968])

      call avR2(1474, 4, 25, 1, 0, FaVF0, 0, [1, 2, 0], [nGC_4984, nGC_4982])

      call avR2(1474, 5, 25, 1, 0, FaVF0, 0, [1, 2, 2], [nGC_4985, nGC_4983])

      allocate(vertices(1667)%branchR2(0:1))
      call avR2(1667, 0, 61, 1, 0, VSSV0, 0, [2, 2, 0], [nGC_4994])

      call avR2(1667, 1, 62, 1, 0, VSSV0, 0, [2, 2, 0], [nGC_4995])

      allocate(vertices(717)%branchR2(0:0))
      call avR2(717, 0, 21, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_4888])

      allocate(vertices(568)%branchR2(0:0))
      call avR2(568, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4935, nGC_4934])

      allocate(vertices(1417)%branchR2(0:0))
      call avR2(1417, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4895, nGC_4894])

      allocate(vertices(1668)%branchR2(0:1))
      call avR2(1668, 0, 45, 1, 0, VVV3, 0, [2, 1, 1], [nGC_4932])

      call avR2(1668, 1, 46, 1, 0, VVV3, 0, [2, 1, 1], [nGC_4933])

      allocate(vertices(199)%branchR2(0:0))
      call avR2(199, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_4860, nGC_4861])

      allocate(vertices(860)%branchR2(0:0))
      call avR2(860, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4854, nGC_4853])

      allocate(vertices(719)%branchR2(0:0))
      call avR2(719, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_4884])

      allocate(vertices(1669)%branchR2(0:1))
      call avR2(1669, 0, 61, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5011, nGC_5011,   &
      nGC_5011])

      call avR2(1669, 1, 62, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5010, nGC_5010,   &
      nGC_5010])

      allocate(vertices(39)%branchR2(0:0))
      call avR2(39, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4901, nGC_4900])

      allocate(vertices(1078)%branchR2(0:0))
      call avR2(1078, 0, 17, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_4850, nGC_4850])

      allocate(vertices(221)%branchR2(0:0))
      call avR2(221, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_4883, nGC_4883])

      allocate(vertices(283)%branchR2(0:0))
      call avR2(283, 0, 19, 1, 0, FSFa1, 0, [2, 1, 0], [nGC_4874, nGC_4875])

      allocate(vertices(704)%branchR2(0:0))
      call avR2(704, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_4877, nGC_4877])

      allocate(vertices(464)%branchR2(0:0))
      call avR2(464, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4898, nGC_4899])

      allocate(vertices(1670)%branchR2(0:1))
      call avR2(1670, 0, 61, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5003, nGC_5003,   &
      nGC_5003])

      call avR2(1670, 1, 62, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5002, nGC_5002,   &
      nGC_5002])

      allocate(vertices(1072)%branchR2(0:0))
      call avR2(1072, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_4851, nGC_4851])

      allocate(vertices(1516)%branchR2(0:2))
      call avR2(1516, 0, 14, 1, 0, FFa1, 0, [0, 2, 0], [nGC_4811, nGC_4808,    &
      nGC_4805, nGC_4805])

      call avR2(1516, 1, 14, 1, 0, FFa1, 0, [2, 0, 0], [nGC_4807, nGC_4807,    &
      nGC_4806, nGC_4806])

      call avR2(1516, 2, 14, 1, 0, FFa1, 0, [0, 2, 2], [nGC_4812, nGC_4809,    &
      nGC_4810, nGC_4810])

      allocate(vertices(1428)%branchR2(0:0))
      call avR2(1428, 0, 20, 1, 0, VFaF1, 0, [2, 1, 1], [nGC_4903, nGC_4902])

      allocate(vertices(435)%branchR2(0:0))
      call avR2(435, 0, 21, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_4870, nGC_4871])

      allocate(vertices(1208)%branchR2(0:0))
      call avR2(1208, 0, 20, 1, 0, VFaF1, 0, [2, 1, 1], [nGC_4917, nGC_4916])

      allocate(vertices(1671)%branchR2(0:1))
      call avR2(1671, 0, 59, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5005, nGC_5005,   &
      nGC_5005])

      call avR2(1671, 1, 60, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5004, nGC_5004,   &
      nGC_5004])

      allocate(vertices(151)%branchR2(0:0))
      call avR2(151, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_4911, nGC_4910])

      allocate(vertices(147)%branchR2(0:0))
      call avR2(147, 0, 20, 1, 0, VFaF1, 0, [2, 1, 1], [nGC_4905, nGC_4904])

      allocate(vertices(1100)%branchR2(0:0))
      call avR2(1100, 0, 20, 1, 0, VFaF1, 0, [2, 1, 1], [nGC_4923, nGC_4922])

      allocate(vertices(1672)%branchR2(0:1))
      call avR2(1672, 0, 59, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4992, nGC_4992,   &
      nGC_4992])

      call avR2(1672, 1, 60, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4993, nGC_4993,   &
      nGC_4993])

      allocate(vertices(1673)%branchR2(0:1))
      call avR2(1673, 0, 53, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4992, nGC_4992,   &
      nGC_4992])

      call avR2(1673, 1, 54, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4993, nGC_4993,   &
      nGC_4993])

      allocate(vertices(569)%branchR2(0:0))
      call avR2(569, 0, 19, 1, 0, FSFa1, 0, [2, 1, 0], [nGC_4877, nGC_4877])

      allocate(vertices(1073)%branchR2(0:0))
      call avR2(1073, 0, 19, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_4889])

      allocate(vertices(1674)%branchR2(0:1))
      call avR2(1674, 0, 56, 1, 0, SVVS0, 0, [2, 2, 0], [nGC_5000])

      call avR2(1674, 1, 55, 1, 0, SVVS0, 0, [2, 2, 0], [nGC_5001])

      allocate(vertices(795)%branchR2(0:0))
      call avR2(795, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4874, nGC_4875])

      allocate(vertices(1675)%branchR2(0:1))
      call avR2(1675, 0, 57, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5007, nGC_5007,   &
      nGC_5007])

      call avR2(1675, 1, 58, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5006, nGC_5006,   &
      nGC_5006])

      allocate(vertices(257)%branchR2(0:0))
      call avR2(257, 0, 18, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_4911, nGC_4910])

      allocate(vertices(1180)%branchR2(0:5))
      call avR2(1180, 0, 22, 1, 0, FaFV0, 0, [3, 0, 0], [nGC_4945, nGC_4945])

      call avR2(1180, 1, 22, 1, 0, FaFV0, 0, [1, 2, 0], [nGC_4946, nGC_4943])

      call avR2(1180, 2, 22, 1, 0, FaFV0, 0, [1, 2, 2], [nGC_4947, nGC_4944])

      call avR2(1180, 3, 23, 1, 0, FaFV0, 0, [3, 0, 0], [nGC_4940, nGC_4940])

      call avR2(1180, 4, 23, 1, 0, FaFV0, 0, [1, 2, 0], [nGC_4941, nGC_4938])

      call avR2(1180, 5, 23, 1, 0, FaFV0, 0, [1, 2, 2], [nGC_4942, nGC_4939])

      allocate(vertices(1228)%branchR2(0:0))
      call avR2(1228, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4891, nGC_4890])

      allocate(vertices(896)%branchR2(0:0))
      call avR2(896, 0, 18, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_4855, nGC_4856])

      allocate(vertices(1224)%branchR2(0:5))
      call avR2(1224, 0, 11, 1, 0, FFaV0, 0, [3, 0, 0], [nGC_4945, nGC_4945])

      call avR2(1224, 1, 11, 1, 0, FFaV0, 0, [1, 2, 0], [nGC_4954, nGC_4952])

      call avR2(1224, 2, 11, 1, 0, FFaV0, 0, [1, 2, 2], [nGC_4955, nGC_4953])

      call avR2(1224, 3, 12, 1, 0, FFaV0, 0, [3, 0, 0], [nGC_4940, nGC_4940])

      call avR2(1224, 4, 12, 1, 0, FFaV0, 0, [1, 2, 0], [nGC_4950, nGC_4948])

      call avR2(1224, 5, 12, 1, 0, FFaV0, 0, [1, 2, 2], [nGC_4951, nGC_4949])

      allocate(vertices(1676)%branchR2(0:1))
      call avR2(1676, 0, 53, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5009, nGC_5009,   &
      nGC_5009])

      call avR2(1676, 1, 54, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5008, nGC_5008,   &
      nGC_5008])

      allocate(vertices(481)%branchR2(0:0))
      call avR2(481, 0, 18, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_4909, nGC_4908])

      allocate(vertices(1493)%branchR2(0:0))
      call avR2(1493, 0, 20, 1, 0, VFaF1, 0, [2, 1, 1], [nGC_4891, nGC_4890])

      allocate(vertices(1409)%branchR2(0:0))
      call avR2(1409, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4923, nGC_4922])

      allocate(vertices(567)%branchR2(0:0))
      call avR2(567, 0, 17, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_4853, nGC_4854])

      allocate(vertices(1019)%branchR2(0:0))
      call avR2(1019, 0, 21, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_4887])

      allocate(vertices(289)%branchR2(0:0))
      call avR2(289, 0, 17, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_4888])

      allocate(vertices(12)%branchR2(0:0))
      call avR2(12, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4896, nGC_4897])

      allocate(vertices(1157)%branchR2(0:0))
      call avR2(1157, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4893, nGC_4892])

      allocate(vertices(1677)%branchR2(0:1))
      call avR2(1677, 0, 56, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5006, nGC_5006,   &
      nGC_5006])

      call avR2(1677, 1, 55, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5007, nGC_5007,   &
      nGC_5007])

      allocate(vertices(753)%branchR2(0:0))
      call avR2(753, 0, 17, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_4860, nGC_4861])

      allocate(vertices(203)%branchR2(0:0))
      call avR2(203, 0, 21, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_4911, nGC_4910])

      allocate(vertices(1444)%branchR2(0:5))
      call avR2(1444, 0, 27, 1, 0, FVFa0, 0, [3, 0, 0], [nGC_4968, nGC_4968])

      call avR2(1444, 1, 27, 1, 0, FVFa0, 0, [1, 2, 0], [nGC_4966, nGC_4964])

      call avR2(1444, 2, 27, 1, 0, FVFa0, 0, [1, 2, 2], [nGC_4967, nGC_4965])

      call avR2(1444, 3, 26, 1, 0, FVFa0, 0, [3, 0, 0], [nGC_4973, nGC_4973])

      call avR2(1444, 4, 26, 1, 0, FVFa0, 0, [1, 2, 0], [nGC_4971, nGC_4969])

      call avR2(1444, 5, 26, 1, 0, FVFa0, 0, [1, 2, 2], [nGC_4972, nGC_4970])

      allocate(vertices(1678)%branchR2(0:1))
      call avR2(1678, 0, 56, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4993, nGC_4993,   &
      nGC_4993])

      call avR2(1678, 1, 55, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4992, nGC_4992,   &
      nGC_4992])

      allocate(vertices(805)%branchR2(0:0))
      call avR2(805, 0, 19, 1, 0, FSFa1, 0, [2, 1, 0], [nGC_4862, nGC_4863])

      allocate(vertices(1679)%branchR2(0:1))
      call avR2(1679, 0, 64, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5006, nGC_5006,   &
      nGC_5006])

      call avR2(1679, 1, 63, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_5007, nGC_5007,   &
      nGC_5007])

      allocate(vertices(836)%branchR2(0:0))
      call avR2(836, 0, 18, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_4850, nGC_4850])

      allocate(vertices(475)%branchR2(0:0))
      call avR2(475, 0, 20, 1, 0, VFaF1, 0, [2, 1, 1], [nGC_4921, nGC_4920])

      allocate(vertices(108)%branchR2(0:0))
      call avR2(108, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4917, nGC_4916])

      allocate(vertices(83)%branchR2(0:0))
      call avR2(83, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_4927, nGC_4926])

      allocate(vertices(321)%branchR2(0:0))
      call avR2(321, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_4935, nGC_4934])

      allocate(vertices(596)%branchR2(0:0))
      call avR2(596, 0, 17, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_4874, nGC_4875])

      allocate(vertices(1680)%branchR2(0:1))
      call avR2(1680, 0, 56, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5004, nGC_5004,   &
      nGC_5004])

      call avR2(1680, 1, 55, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_5005, nGC_5005,   &
      nGC_5005])

      allocate(vertices(1681)%branchR2(0:1))
      call avR2(1681, 0, 45, 1, 0, VVS0, 0, [2, 1, 0], [nGC_4885])

      call avR2(1681, 1, 46, 1, 0, VVS0, 0, [2, 1, 0], [nGC_4886])

      allocate(vertices(461)%branchR2(0:0))
      call avR2(461, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4876, nGC_4876])

      allocate(vertices(1478)%branchR2(0:0))
      call avR2(1478, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_4903, nGC_4902])

    end subroutine fill_vertices_mdl5
end module vertices_info5
