!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-29 12:10             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl4()
      coupl(nGC_4898) = coupl(nGC_11)**2d0*coupl(nGC_81)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_8684) = coupl(nGC_120)*dZH/2d0 + coupl(nGC_5085)
      coupl(nGC_4890) = coupl(nGC_11)**2d0*coupl(nGC_64)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_5388) = coupl(nGC_5386)*dcw_ + coupl(nGC_5387)*dsw_
      coupl(nGC_4892) = coupl(nGC_11)**2d0*coupl(nGC_67)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4897) = coupl(nGC_11)**2d0*coupl(nGC_62)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4896) = coupl(nGC_11)**2d0*coupl(nGC_80)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_7678) = coupl(nGC_112)*dZZ/2d0 + coupl(nGC_112)*dZtauMinusR +  &
                        coupl(nGC_5447)
      coupl(nGC_4950) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_111)**2d0 - coupl(   &
                        nGC_132)**2d0 - coupl(nGC_133)*coupl(nGC_919) - coupl( &
                        nGC_134)**2d0 - coupl(nGC_135)**2d0 - 4d0*coupl(nGC_2  &
                        )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_5187) = coupl(nGC_5186)*dsw_
      coupl(nGC_5189) = coupl(nGC_5188)*dsw_
      coupl(nGC_4964) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                        nGC_109)**2d0 - 4d0*coupl(nGC_114)**2d0 - coupl(nGC_134&
                        )**2d0 - coupl(nGC_139)*coupl(nGC_141) - coupl(nGC_140 &
                        )**2d0 - coupl(nGC_149)*coupl(nGC_1587) - coupl(nGC_150&
                        )**2d0 - coupl(nGC_163)**2d0 - 4d0*coupl(nGC_43)**2d0  &
                        )/(64d0*pi**2d0*Nc)
      coupl(nGC_7602) = coupl(nGC_46)*dZA/2d0 + coupl(nGC_46)*dZWMinus/2d0 +   &
                        coupl(nGC_5191)
      coupl(nGC_7605) = coupl(nGC_145)*dZmuMinusR/2d0 + coupl(nGC_145)*dZnu_muL&
                        /2d0 + coupl(nGC_5145)
      coupl(nGC_4960) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                        nGC_108)**2d0 + 4d0*coupl(nGC_114)**2d0 + coupl(nGC_135&
                        )**2d0 + coupl(nGC_137)*coupl(nGC_879) + coupl(nGC_138 &
                        )**2d0 + coupl(nGC_151)*coupl(nGC_153) + coupl(nGC_152 &
                        )**2d0 + coupl(nGC_162)**2d0 + 4d0*coupl(nGC_43)**2d0  &
                        )/(64d0*pi**2d0)
      coupl(nGC_4962) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                        nGC_110)**2d0 + coupl(nGC_136)**2d0 + coupl(nGC_137)*  &
                        coupl(nGC_879) + coupl(nGC_138)**2d0 + coupl(nGC_139)* &
                        coupl(nGC_141) + coupl(nGC_140)**2d0)/(64d0*pi**2d0)
      coupl(nGC_4969) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                        nGC_109)**2d0 + 4d0*coupl(nGC_114)**2d0 + coupl(nGC_134&
                        )**2d0 + coupl(nGC_139)*coupl(nGC_141) + coupl(nGC_140 &
                        )**2d0 + coupl(nGC_149)*coupl(nGC_1587) + coupl(nGC_150&
                        )**2d0 + coupl(nGC_163)**2d0 + 4d0*coupl(nGC_43)**2d0  &
                        )/(64d0*pi**2d0)
      coupl(nGC_7918) = coupl(nGC_42)*dZWMinus/2d0 + coupl(nGC_42)*dZeMinusL/  &
                        2d0 + coupl(nGC_42)*dZnu_eL/2d0 + coupl(nGC_5429)
      coupl(nGC_4805) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_110)*coupl(   &
                        nGC_114))/(8d0*pi**2d0)
      coupl(nGC_11206) = coupl(nGC_MI)*dZWpMinus
      coupl(nGC_10004) = coupl(nGC_10002) + coupl(nGC_7826)
      coupl(nGC_10005) = coupl(nGC_10003) + coupl(nGC_7826)
      coupl(nGC_7542) = coupl(nGC_21)*dZZp/2d0 + coupl(nGC_21)*dZeMinusL/2d0 + &
                        coupl(nGC_21)*dZtauMinusL/2d0 + coupl(nGC_5364)
      coupl(nGC_7543) = coupl(nGC_30)*dZZp/2d0 + coupl(nGC_30)*dZeMinusR/2d0 + &
                        coupl(nGC_30)*dZtauMinusR/2d0 + coupl(nGC_5361)
      coupl(nGC_8309) = -coupl(nGC_8308)
      coupl(nGC_8648) = coupl(nGC_5097) + coupl(nGC_8645)
      coupl(nGC_7755) = coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_5087)
      coupl(nGC_7751) = coupl(nGC_35)*dZWMinus + coupl(nGC_5195)
      coupl(nGC_7610) = coupl(nGC_5286) + coupl(nGC_70)*dZWpMinus/2d0 + coupl( &
                        nGC_70)*dZnu_eR/2d0 + coupl(nGC_70)*dZtauMinusR/2d0
      coupl(nGC_7611) = coupl(nGC_52)*dZWpMinus/2d0 + coupl(nGC_52)*dZnu_eL/2d0&
                         + coupl(nGC_52)*dZtauMinusL/2d0 + coupl(nGC_5284)
      coupl(nGC_8842) = coupl(nGC_100)*dZZp/2d0 + coupl(nGC_100)*dZtauMinusR + &
                        coupl(nGC_5382)
      coupl(nGC_5001) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1085)*    &
                        coupl(nGC_161) - coupl(nGC_130)*coupl(nGC_1325) - coupl&
                        (nGC_133)*coupl(nGC_919) - coupl(nGC_137)*coupl(nGC_879&
                        ) - coupl(nGC_139)*coupl(nGC_141) - coupl(nGC_149)*    &
                        coupl(nGC_1587) - coupl(nGC_151)*coupl(nGC_153) - coupl&
                        (nGC_156)*coupl(nGC_687))/(16d0*pi**2d0)
      coupl(nGC_7869) = coupl(nGC_162)*dZdL_QCD2/2d0 + coupl(nGC_162)*dZuR_QCD2&
                        /2d0 + coupl(nGC_5094)
      coupl(nGC_7903) = coupl(nGC_5163) + coupl(nGC_7901)
      coupl(nGC_7530) = coupl(nGC_5352) + coupl(nGC_89)*dZZp/2d0 + coupl(nGC_89&
                        )*dZeMinusL
      coupl(nGC_8095) = coupl(nGC_163)*dZsL_QCD2/2d0 + coupl(nGC_163)*dZuR_QCD2&
                        /2d0 + coupl(nGC_5157)
      coupl(nGC_8319) = coupl(nGC_103)*dZZp/2d0 + coupl(nGC_5418)
      coupl(nGC_5000) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1085)*coupl&
                        (nGC_161) + coupl(nGC_130)*coupl(nGC_1325) + coupl(    &
                        nGC_133)*coupl(nGC_919) + coupl(nGC_137)*coupl(nGC_879 &
                        ) + coupl(nGC_139)*coupl(nGC_141) + coupl(nGC_149)*    &
                        coupl(nGC_1587) + coupl(nGC_151)*coupl(nGC_153) + coupl&
                        (nGC_156)*coupl(nGC_687))/(16d0*pi**2d0*Nc)
      coupl(nGC_7742) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_5421)
      coupl(nGC_7743) = coupl(nGC_7741) + coupl(nGC_7742)
      coupl(nGC_7664) = coupl(nGC_26)*dZZp/2d0 + coupl(nGC_5319)
      coupl(nGC_8658) = coupl(nGC_5147) + coupl(nGC_8656)
      coupl(nGC_8657) = -coupl(nGC_5147) - coupl(nGC_8656)
      coupl(nGC_8893) = coupl(nGC_110)*dZZ/2d0 + coupl(nGC_5438)
      coupl(nGC_8363) = coupl(nGC_5152) + coupl(nGC_8360)
      coupl(nGC_8362) = -coupl(nGC_5152) - coupl(nGC_8360)
      coupl(nGC_13160) = -coupl(nGC_5023)
      coupl(nGC_13163) = -coupl(nGC_5024)
      coupl(nGC_9268) = coupl(nGC_9266) + coupl(nGC_9267)
      coupl(nGC_8977) = coupl(nGC_20)*dZZp/2d0 + coupl(nGC_20)*dZeMinusL/2d0 + &
                        coupl(nGC_20)*dZmuMinusL/2d0 + coupl(nGC_5355)
      coupl(nGC_9571) = coupl(nGC_113)*dZH/2d0 + coupl(nGC_113)*dZZ/2d0 + coupl&
                        (nGC_5207)
      coupl(nGC_8792) = 2d0*coupl(nGC_36)*dZWMinus + coupl(nGC_5201)
      coupl(nGC_8793) = -2d0*coupl(nGC_8792)
      coupl(nGC_10327) = -coupl(nGC_9571)
      coupl(nGC_8880) = coupl(nGC_5452) + coupl(nGC_8877)
      coupl(nGC_7756) = -coupl(nGC_7755)
      coupl(nGC_7645) = coupl(nGC_5256) + coupl(nGC_81)*dZWpMinus/2d0
      coupl(nGC_9875) = coupl(nGC_5459) + coupl(nGC_9872)
      coupl(nGC_7646) = coupl(nGC_5258) + coupl(nGC_63)*dZWpMinus/2d0
      coupl(nGC_8278) = coupl(nGC_35)*dZH + coupl(nGC_35)*dZWMinus + coupl(    &
                        nGC_5195)
      coupl(nGC_8677) = coupl(nGC_7826) + coupl(nGC_8673)
      coupl(nGC_8116) = coupl(nGC_27)*dZZp/2d0 + coupl(nGC_5328)
      coupl(nGC_8763) = coupl(nGC_5453) + coupl(nGC_8761)
      coupl(nGC_8265) = coupl(nGC_5388) + coupl(nGC_92)*dZZp/2d0
      coupl(nGC_7819) = coupl(nGC_33)*dZZp/2d0 + coupl(nGC_5397)
      coupl(nGC_7589) = coupl(nGC_40)*dZH/2d0 + coupl(nGC_40)*dZWMinus/2d0 +   &
                        coupl(nGC_5189)
      coupl(nGC_8066) = coupl(nGC_134)*dZcR_QCD2/2d0 + coupl(nGC_134)*dZsL_QCD2&
                        /2d0 + coupl(nGC_5117)
      coupl(nGC_9591) = -coupl(nGC_7589)
      coupl(nGC_8107) = coupl(nGC_44)*dZZ/2d0 + coupl(nGC_5075)
      coupl(nGC_9200) = coupl(nGC_9198) + coupl(nGC_9199)
      coupl(nGC_7594) = coupl(nGC_41)*dZWMinus/2d0 + coupl(nGC_5187)
      coupl(nGC_7947) = coupl(nGC_51)*dZWpMinus/2d0 + coupl(nGC_51)*dZmuMinusL/&
                        2d0 + coupl(nGC_51)*dZnu_eL/2d0 + coupl(nGC_5280)
      coupl(nGC_8219) = coupl(nGC_7742) + coupl(nGC_8215)
      coupl(nGC_8218) = coupl(nGC_7742) + coupl(nGC_8214)
      coupl(nGC_7578) = coupl(nGC_7576) + coupl(nGC_7577)
      coupl(nGC_7571) = coupl(nGC_5276) + coupl(nGC_68)*dZWpMinus/2d0 + coupl( &
                        nGC_68)*dZeMinusR/2d0 + coupl(nGC_68)*dZnu_eR/2d0
      coupl(nGC_12826) = coupl(nGC_12823) + coupl(nGC_5458)
      coupl(nGC_8119) = coupl(nGC_44)*dZWMinus/2d0 + coupl(nGC_5075)
      coupl(nGC_8978) = coupl(nGC_29)*dZZp/2d0 + coupl(nGC_29)*dZeMinusR/2d0 + &
                        coupl(nGC_29)*dZmuMinusR/2d0 + coupl(nGC_5358)
      coupl(nGC_7839) = coupl(nGC_152)*dZH/2d0 + coupl(nGC_5111)
      coupl(nGC_7939) = coupl(nGC_32)*dZZp/2d0 + coupl(nGC_5394)
      coupl(nGC_8120) = -coupl(nGC_8119)
      coupl(nGC_8454) = coupl(nGC_5451) + coupl(nGC_8452)
      coupl(nGC_8325) = coupl(nGC_7742) + coupl(nGC_8323)
      coupl(nGC_8324) = coupl(nGC_7742) + coupl(nGC_8322)
      coupl(nGC_11210) = -coupl(nGC_11206)
      coupl(nGC_8044) = coupl(nGC_7742) + coupl(nGC_8041)
      coupl(nGC_8045) = coupl(nGC_7742) + coupl(nGC_8040)
      coupl(nGC_7842) = coupl(nGC_140)*dZdR_QCD2/2d0 + coupl(nGC_140)*dZsL_QCD2&
                        /2d0 + coupl(nGC_5109)
      coupl(nGC_7847) = coupl(nGC_5292) + coupl(nGC_72)*dZWpMinus/2d0 + coupl( &
                        nGC_72)*dZmuMinusR/2d0 + coupl(nGC_72)*dZnu_muR/2d0
      coupl(nGC_14183) = -coupl(nGC_4991)
      coupl(nGC_7722) = coupl(nGC_105)*dZH/2d0 + coupl(nGC_5065)
      coupl(nGC_7925) = coupl(nGC_39)*dZH/2d0 + coupl(nGC_39)*dZWMinus/2d0 +   &
                        coupl(nGC_5193)
      coupl(nGC_7926) = -coupl(nGC_7925)
      coupl(nGC_7729) = coupl(nGC_5250) + coupl(nGC_79)*dZWpMinus/2d0
      coupl(nGC_7921) = coupl(nGC_45)*dZWMinus/2d0 + coupl(nGC_5068)
      coupl(nGC_8233) = -coupl(nGC_8232)
      coupl(nGC_7558) = coupl(nGC_5367) + coupl(nGC_90)*dZZp/2d0 + coupl(nGC_90&
                        )*dZmuMinusL
      coupl(nGC_8172) = coupl(nGC_5306) + coupl(nGC_75)*dZWpMinus/2d0 + coupl( &
                        nGC_75)*dZmuMinusR/2d0 + coupl(nGC_75)*dZnu_tauR/2d0
      coupl(nGC_11117) = coupl(nGC_5464) + coupl(nGC_MW_GF)*dZWMinus/2d0
      coupl(nGC_8916) = coupl(nGC_151)*dZdL_QCD2/2d0 + coupl(nGC_151)*dZsR_QCD2&
                        /2d0 + coupl(nGC_5103)
      coupl(nGC_7744) = coupl(nGC_7738) + coupl(nGC_7742)
      coupl(nGC_9177) = -coupl(nGC_7594)
      coupl(nGC_9462) = coupl(nGC_7742) + coupl(nGC_9457)
      coupl(nGC_9461) = coupl(nGC_7742) + coupl(nGC_9460)
      coupl(nGC_8108) = -coupl(nGC_8107)
      coupl(nGC_7922) = -coupl(nGC_7921)
      coupl(nGC_8432) = coupl(nGC_7742) + coupl(nGC_8427)
      coupl(nGC_8431) = coupl(nGC_7742) + coupl(nGC_8428)
    end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
